xorg-x11 (6.9.0.dfsg.1-6) unstable; urgency=high

  * Disable new evdev driver patches to prevent FTBFS on mipsen.  Thanks 
    Ryan Murray. (closes: #360540)

 -- David Nusinow <dnusinow@debian.org>  Mon,  3 Apr 2006 07:18:50 -0400

xorg-x11 (6.9.0.dfsg.1-5) unstable; urgency=high

  [ David Martínez Moreno ]
  * hurd/800_gnu_config.diff: Fix for local socket creation in the Hurd:
    sockets are BSD4.4-like (closes: #348011).

  [ David Nusinow ]
  * Remove resize from xutils description. This program has been moved to the
    xterm package as of Xorg 6.9 and xterm 208-3.
  * Remove general/020_acpi_event_loop_fix.diff. This patch is the incorrect
    fix, since the server should not be usurping the acpi file interface from
    acpid when acpid is transiently restarted. We need a better fix.
    (reopens: #345537) (closes: #347680)
  * Add Zephenia E. Hull's rewritten evdev driver which should provide the
    missing features removed from our Debian-specific implementation of the
    protocol in the mouse driver. See its manpage for details, as well as
    upstream bug https://bugs.freedesktop.org/show_bug.cgi?id=5696. Note that
    as a result of this patch I've removed general/021_evdev_manpage.diff
    which is now obsolete and rolled in to general/033_evdev_rewrite.diff.
    This also adds patch general/034_evdev_xkb.diff as well. (closes: #350389)
  * Remove rgb.txt stuff from x11-common.preinst. This is causing the file to
    be deleted.
  * Add general/029_enable_truetype_font_hinting.diff. Thanks to Eugene Konev
    for seeing that this one got through. (closes: #340001)
  * Add general/036_geteuid_security.diff for upstream security fix. Patch by
    Daniel Stone. See upstream bug #6213.

  [ Denis Barbier ]
  * Update debian/xserver-xorg.config.in to reflect changes in XKB layouts.
    Better handling of Turkish layouts, by Recai Oktaş. (closes: #348027)
  * Rewrite pt_BR.UTF-8/Compose to include en_US.UTF-8/Compose so that
    this file can be easily maintained.  Replace <dead_acute>+<C> to match
    the definition from iso8859-1/Compose.  Thanks Rafael Ávila de Espíndola
    (closes: #296599)
  * Remove ko/Compose, as requested by Korean users.  Thanks Changwoo Ryu
    (closes: #89703)
  * Add extra compose sequences for euro sign in iso8859-15/Compose.
    Thanks Bas Zoetekouw  (closes: #127609)

  [ Eugene Konev ]
  * Correct the ru_RU.UTF-8 locale alias. This adds
    general/011b_ru_RU_UTF-8_XLC_LOCALE.diff (closes: #330144)

 -- David Nusinow <dnusinow@debian.org>  Sun, 19 Mar 2006 23:03:55 -0500

xorg-x11 (6.9.0.dfsg.1-4) unstable; urgency=low

  [ David Martínez Moreno ]
  * GNU/KFreeBSD changes (closes: #331517, #338290):
    - Updated freebsd/001_gnu-kbsd.diff in order to fix FTBFS.
    - Added freebsd/003_gnu-kbsd_sock_un.diff for fixing some non-portable
      code.
    - Updated MANIFEST.kfreebsd-i386.in.
    - Modified xlibmesa-dri.install and xserver-xorg.install.kfreebsd-i386.
    - Dropped debian/xdmx.install.kfreebsd-i386, as its content is the same
      as in generic debian/xdmx.install.
  * Updated Turkish translation. Thanks, Recai Oktaş and Osman Yüksel
    (closes: #347494, #334568).
  * Updated Japanese translation. Thanks, Kenshi Muto (closes: #347498).
  * Updated Galician translation. Thanks, Jacobo Tarrio (closes: #347889).
  * Fixed Compose key for LC_CTYPE=cs_CZ.UTF-8 (closes: #347531).

  [ David Nusinow ]
  * MANIFEST updates for mips and mipsel over evdev manpage that was added for
    last upload
  * unset DH_OPTIONS for dh_installinit during binary-indep and binary-arch
    targets. There's some bug in dh_installinit that was causing it to ignore
    all the .init scripts when -s or -i was used in it alongside --noscripts
    (closes: #347705)
  * Add general/024_xterm_bindir.diff to deal with xterm's move to /usr/bin.
    Thanks Oliver Chief O'Cordes. (closes: #348091)

  [ Denis Barbier ]
  * Add general/086_enable_ca_variants.diff so that variants of the ca
    layout can be selected.  Thanks Felix-Antoine Bourbonnais
    (closes: #347496)
  * Add general/013_xkb_drop_rules_xorg_duplicates.diff to remove duplicate
    definitions from /etc/X11/xkb/rules/xorg, and update
    general/091_xkb_implement_compose:caps.diff
  * Add general/087_xkb_ralt_switch_multikey.diff to enable again the
    lv3:ralt_switch_multikey option.  Thanks Klaus Ethgen  (closes: #345409)
  * Set Caps type in general/091_xkb_implement_compose:caps.diff
    (closes: #345796)

 -- David Nusinow <dnusinow@debian.org>  Sat, 14 Jan 2006 17:49:29 -0500

xorg-x11 (6.9.0.dfsg.1-3) unstable; urgency=low

  [ Denis Barbier ]
  * Add general/094_xkb_fix_dead_diaresis.diff to replace dead_diaresis
    by dead_diaeresis in German layout.  Thanks Mario 'BitKoenig' Holbe
    (closes: #291853)

  [ David Nusinow ]
  * MANIFEST updates
    + arm
    + hppa
    + mips
    + mipsel. Thanks Ryan Murray. (closes: #347246)
    + minor s390 (mir-specific stuff)
  * Update xbase-clients description to account for libdps removal
  * We no longer build or ship x-window-system-dev. This is in line with
    killing xlibs-dev. Currently only three packages in Debian build-depend on
    this package, so we'll target them in the same effort as getting rid of
    xlibs-dev.
  * Add general/018_mesa_debug_fglrx.diff. The default mesa build was
    generating symbols which were interfering with the use of the fglrx
    drivers for some people. Thanks infernix. (closes: #274862)
  * Hurd patch and MANIFEST updates. Thanks Samuel Thibault and Michael Banck.
    (closes: #346500)
  * Add general/020_acpi_event_loop_fix.diff. This corrects a problem when the
    acpid is shut down while server is running. Thanks Mattia Dongili.
    (closes: #345537)
  * Raise mouse detection question to high priority when mdetect isn't
    present. This will help out LiveCD's. Thanks Robert Millan and Daniel
    Stone. (closes: #333921)
  * Remove our custom support for evdev in favor of upstream's version
    (closes: #325807, #322253, #346460, #346461)
    + Remove general/054_lnx_evdev_mouse.diff, general/053_lnx_evdev.diff, and
      general/055_lnx_evdev_keyboard.diff
    + Adjust xserver-xorg.templates to include and load the evdev module by
      default
    + Document in NEWS file how to get evdev support working. Thanks to Ian
      Wienand for instructions.
    + Add general/021_evdev_manpage.diff taken from
      https://bugs.freedesktop.org/show_bug.cgi?id=968. This will at least
      document the driver better.
  * Remove some cruft leftover from libdps in debian/rules
  * Corrent NEWS version number from last upload. Thanks Sven Koch.
    (closes: #347265)
  * When generating shlibdeps for libx11, unset DH_OPTIONS so that the -p
    switch actually takes effect and we don't generate the wrong shlibdeps for
    every package. This should allow libraries from xorg-x11 to properly
    depend on libx11-6. Thanks Daniel Kobras, Eugene Konev, and Russ Allbery.
    (closes: #347228)

 -- David Nusinow <dnusinow@debian.org>  Mon,  9 Jan 2006 20:16:32 -0500

xorg-x11 (6.9.0.dfsg.1-2) unstable; urgency=low

  [ David Nusinow ]
  * MANIFEST updates
    + s390. Thanks Bastian Blank. (closes: #345328)
    + ppc. Thanks Paul TBBle Hampson. (closes: #343693)
    + sparc
    + ia64
    + amd64. Thanks Kurt Roeckx. (closes: #343822)
    + alpha
    + m68k
  * Add HURD patches. Thanks Michael Banck. (closes: #345285)
  * Remove extra space in debian/905_debian_xdm.diff that caused a failure to
    properly create xdm-config. Thanks Alex Romosan. (closes: #345406)
  * Add general/015_startx_dummy_fix.diff to fix missing $ in startx.
    Thanks Daniel 'NebuchadnezzaR' Dehennin. (closes: #345446)
  * Move all the xkb stuff that was mistakenly put in to xlibs-data to xlibs
    where it belongs. Sorry everyone. (closes: #345387)
    + Make xlibs conflict and replace xlibs-data (= 6.9.0.dfsg.1-1) to prevent
      upgrade errors
  * Document upstream breakage with xkb in NEWS file. Recommend that people
    change from xlibs to xkb-data if they have further problems once xlibs and
    xlibs-data are both ad 6.9.0.dfsg.1-2. (closes: #345436)
  * Remove general/097_mouse_zaxis_mapping_pushes_up_buttons.diff which is now
    obsolete. Thanks Christopher Martin. (closes: #343728)
  * Add general/016_czech_include_location.diff which is a fix the path to the
    czech symbol rules. This Fd.o bug #5077. Thanks Matej Cepl.
    (closes: #345893)
  * Remove obsolete warning about cpp in the xbase-clients description. Thanks
    Adrian Bunk. (closes: #345578)
  * Update general/000_stolen_from_linuxwacom_wacom_driver.diff to bring
    driver to 0.6.8. Also remove obsolete hunk from
    freebsd/002_gnu-kbsd_wacom.diff. (closes: #333496)
  * Translation Updates:
    + Italian thanks to Danilo Piazzalunga. (closes: #345789)

  [ David Martínez Moreno ]
  * Added -n in order to avoid newline in xdm script (closes: #310000).
  * While at it, removed another extra space in debian/905_debian_xdm.diff.
  * Hide a string in the xserver-xorg debconf templates.  Thanks, Christian
    Perrier (closes: #345609).  While at it, added whitespace that made all
    the translations gain 1 fuzzy string.

 -- David Nusinow <dnusinow@debian.org>  Wed,  4 Jan 2006 22:29:29 -0500

xorg-x11 (6.9.0.dfsg.1-1) unstable; urgency=low

  * Update to 6.9 final
    + remove obsolete patch debian/993_debian_no_pclcomp.diff as pclcomp has
      also been removed upstream for non-freeness
    + Remove pclcomp from prune/non-free
    + MANIFEST Updates
      - amd64 Thanks to Ari Pollak and others (closes: #343693, #343822)
  * Remove obsolete patch general/033_radeon_fix_for_no_accel.diff
  * Fix xserver-xorg config script to properly output resolutions other than
    640x480. Thanks Colin Watson. (closes: #344785, #328259)
  * Allow xserver-xorg maintainer script to be used in locales other than C.
    Thanks Denis Barbier. (closes: #343602)
  * Translation updates
    + Swedish. Thanks Daniel Nylander. (closes: #333833)
    + Greek. Thanks Konstantinos Margaritis. (closes: #344590)

 -- David Nusinow <dnusinow@debian.org>  Wed, 28 Dec 2005 21:32:21 -0500

xorg-x11 (6.8.99.903.dfsg.1-1) experimental; urgency=low

  * Update to 6.9 RC3
  * Remove obsolete patch alpha/202_alpha_typedef_card32.diff
  * Remove xdpr from xbase-clients to allow xprint to install. Thanks Martin
    Michlmayer.
  * Move various libxvmc shlibs from the -dev package to the normal lib
    package where they belong.

 -- David Nusinow <dnusinow@debian.org>  Tue, 13 Dec 2005 01:14:13 -0500

xorg-x11 (6.8.99.902.dfsg.1-1) experimental; urgency=low

  * Add alpha/202_alpha_typedef_card32.diff to correct FTBFS. Thanks to Julien
    Cristau.
  * Remove @ embedded in multiline shell in patch target of debian/rules
  * Port to 6.9 RC2
    + Remove the following obsolete patches
      - patches/general/016_ICE_subprotocol_reply_fix.diff
    + Port the following patches
      - general/002_xdm_fixes.diff (mostly remove whitespace-only changes)
      - debian/904_debian_xinitrc.diff
      - debian/905_debian_xdm.diff
    + Manifest updates:
      - i386
      - amd64. Thanks to Ari Pollak.
  * Remove replaces and conflicts in xdmx package that were for internal
    testing. Thanks to Steve Langasek and Daniel Stone.
  * Have xserver-xorg conflict with nvidia-glx less than or equal to
    1.0.7174-4. Thanks Steve Langasek.
  * Have x-window-system-core alternately depend on the mesa packages. Thanks
    Xavier Bestel.
  * Prune pclcomp from our programs, as it is non-free. Thanks Daniel Stone.
    + Add debian/993_no_pclcomp.diff to cope with this

 -- David Nusinow <dnusinow@debian.org>  Mon, 14 Nov 2005 14:18:10 -0500

xorg-x11 (6.8.2.dfsg.1-11+SVN) unstable; urgency=low

  [ David Martínez Moreno ]
  * general/033_radeon_fix_for_no_accel.diff: A bug into one of ati driver's
    sources (radeon_video.c) causes Xorg server to crash when using it with
    option "NoAccel", due to erroneous dereferencing of uninitialized pointer.
    Thanks, Riccardo Brigo (closes: #341351).
  * debian/control: Rephrased the description in x11-common package. Thanks,
    Denis Barbier.

  [ David Nusinow ]
  * Remove non-modified /etc/X11/rgb.txt on x11-common's preinst, not
    postinst. The recommendation to remove it in postinst was for obsolete
    conffiles, but this file is not obsolete, and removing it in the postinst
    will cause the new version to be deleted. Removing it in the preinst
    should solve this issue, although it will cause issues if the upgrade
    fails and if the user has modified the file. (closes: #343389)

 -- David Nusinow <dnusinow@debian.org>  Thu, 15 Dec 2005 14:42:21 -0500

xorg-x11 (6.8.2.dfsg.1-11) unstable; urgency=low

  [ David Nusinow ]
  * Only try and remove the xserver-xorg init script if we're actually
    xserver-xorg, not xserver-xorg-dbg. Thanks Steve Langasek and Ryan Murray.
  * Change ls to /bin/ls in Xsession to prevent login problems if ls is
    locally aliased to ls --color=auto. Thanks January Weiner,  David
    Vernazobres. (closes: #340443, #337650)
  * Add general/032_fix_matrox_display.diff to fix corruption on some cards.
    Thanks Julien Wajsberg. (closes: #320328)
  * In xserver-xorg config, only update symlink to X server if it is in fact a
    symlink and is not already pointing to where it's supposed to go. This
    avoids problems on thin clients. Thanks Petter Reinholdtsen,
    (closes: #336748)
  * Fix binary server target to not choke on Xorg.1 manpage install. Thanks
    Bill Allombert. (closes: #334740)
  * Only reset autodetection questions on first install or reconfigure, and
    then only in the configure portion of the package install.
    (closes: #332369, #332637, #334340).

  [ Christian Perrier ]
  * Updated Russian translation (ru.po). Thanks, Yuri Kozlov!
    (closes: #337057).
  * Added Romanian translation (ro.po). Thanks, Eddy Petrisor!
    (closes: #338547).

 -- David Nusinow <dnusinow@debian.org>  Tue, 29 Nov 2005 00:20:26 -0500

xorg-x11 (6.8.99.901.dfsg.1-2) experimental; urgency=low

  * MANIFEST updates
    + alpha thanks to Julien Cristau.
    + ia64 thanks to Dagfinn Ilmari Mannsåker
    + powerpc thanks to Sven Luther.
    + sparc thanks to Julien Cristau
  * Make dh_strip not lose debugging symbols. Thanks Eugene Konev.
    (closes: #336282)
  * Fix general/091_xkb_implement_compose:caps.diff. Thanks Eugene Konev.
    (closes: #335048)

 -- David Nusinow <dnusinow@debian.org>  Sat, 29 Oct 2005 18:37:00 -0400

xorg-x11 (6.8.2.dfsg.1-10) unstable; urgency=low

  * Really fix x11-common.preinst "eq" test by using "=" instead.
    (Closes: #334345).
  * Add debian/992_debian_allow_build_from_svn.diff to ignore .svn directories
    rather than CVS ones, thereby letting people build straight from our SVN
    without failing MANIFEST check. Thanks Will Dyson and Frans Pop.

 -- David Nusinow <dnusinow@debian.org>  Sat, 29 Oct 2005 16:53:20 -0400

xorg-x11 (6.8.99.901.dfsg.1-1) experimental; urgency=low

  * Update to 6.9RC1
    + Remove obsolete patches
      - debian/990_ubuntu_accept_enabled_for_extensions.diff
      - ia64/452_ia64_smart_pci_rom_probe.diff
      - sparc/102_sparc_pci_fix.diff
      - sparc/100_sparc_4m_hw_mult_fix.diff
      - freebsd/003_gnu-kbsd_sessreg.diff
      - general/000_backport_from_author_xterm.diff
      - general/050_fix_lnx_io_kbd_rate_fix.diff
      - general/075_elographics_improve_manpage.diff
      - general/099z_xkb_level3_ralt_switch.diff
      - general/099y_xkb_fix_rules_xfree86.diff
      - general/099t_xkb_remove_hidden_attributes.diff
      - general/069_ati_r128_fix_ugly_warning.diff
      - general/024_ati_r128_and_radeon_enable_build_without_vgahw.diff
      - general/076_xfree86_server_fix_aout_loader_include.diff
      - general/015_vesa_ifdef_afb_calls.diff
      - general/070_fbdevhw_device_node_warnings.diff
      - general/047_mga_manpage_updates.diff
      - general/089_xkb_fix_symbols_pc_lt.diff
      - general/087_xkb_no_altgr_wanted_with_dvorak.diff
      - general/040_extend_netmouse_support.diff
      - general/099n_fbdev_driver_message_improvements.diff
      - general/099zz_xkb_hr_fixes.diff
      - general/025f_XPutImage_manpage_macros_fix.diff
      - general/025_XStandards_manpage_typo.diff
      - general/099o_xkb_a4tech_kb21.diff
      - general/011_SECURITY_makedepend_safer.diff
      - general/088_xkb_only_one_default_variant_gb.diff
      - general/099j_xkb_new_layouts.diff
      - general/029_only_open_proc_bus_pci_devices_once.diff
      - general/018_fix_mesa_build_issues.diff
      - general/002a_xterm_no_overstrike_bold_fonts.diff
      - general/021_riscpc_ioport_fix.diff
      - general/020_add_sigusr2_signal_handler.diff

  * MANIFEST updates for the following
    + amd64 (Thanks Ari Pollak)
    + hppa (Thanks Kyle McMartin)
    + powerpc (Thanks Sven Luther)
    + sparc (Thanks Julien Cristau)
  * Change NONDBG_PACKAGES to correctly remove packages we don't need to send
    to dh_strip
  * Remove obsolete "| xlibs (> 4.1.0)" from various shlibs packaging files
  * Allow patch target to succeed if there simply are no patches available
  * Ship XlibConf.h in libx11-dev. This will allow non-imake packages to build
    against X, including Xrender
  * Add support for preseeding fontserver. Thanks Petter Reinholdtsen.
    (closes: #323262)
  * Fix typo in xserver-xorg.init. (closes: #327514)
  * Have xserver-xorg-dbg depend on xserver-xorg, since we no longer ship a
    full xserver in the -dbg package.
  * Don't ship all of xserver-xorg's configuration scripts with
    xserver-xorg-dbg. This was an accidental holdover from the old statically
    linked binary in the pre-6.9 series. (closes: #327465)
  * Update the description of xserver-xorg-dbg to reflect the change from a
    statically linked server to only shipping the debugging symbols in that
    package.
  * Add sparc/105_ffb_dac_typedef_bool.diff to prevent FTBFS in sunffb driver.
    Thanks Julien Cristau.
  * Add libxvmc1-install and libxvmc-dev.install for hppa, powerpc, and sparc
  * Add xlibmesa-dri.install for hppa
  * Fix chooser path in xdm-config. This will fix querying xdm with -indirect.
    Thanks Eugene Konev.

 -- David Nusinow <dnusinow@debian.org>  Thu, 20 Oct 2005 14:24:23 -0400

xorg-x11 (6.8.99.900.dfsg.1-0pre1) experimental; urgency=low

  [ David Nusinow ]
  * Remove xterm references. Upstream is no longer shipping it in the monolith
    and we've been planning to move to Thomas Dickey's releases as our
    canonical upstream anyway.
  * libdps is dead upstream. Remove all traces of it from our builds
  * Radically change the way we build xserver-xorg-dbg. We no longer
    separately build a static version, but instead build a normal modular
    version and don't strip it.
    + Modify general/003_linux.cf_and_xfree86.cf.diff to build libdl modules
      by default
    + xserver-xorg-dbg now conflicts, replaces, and provides xserver-xorg
  * Change the way we handle library -dbg packages. Now rather than build
    and ship unstripped versions, use dh_strip to store the debugging symbols
    in the -dbg packages.
    + Add build dependency on binutils (>= 2.14.90.0.7) because dh_strip
      requires it to use  --dbg-package option, which we now use and love
    + Remove obsolete packaging files for -dbg packages
  * Temporarily delete freebsd/001_gnu-kbsd.diff until it can be
    forward-ported, because it's late and I'm tired :-p
  * Remove obsolete by upstream patches:
    + general/0000_backport_from_upstream.diff
    + general/000_stolen_from_HEAD_i810.diff
    + general/000_stolen_from_HEAD_savage.diff
    + general/000_stolen_from_HEAD_Xfuncproto.diff
    + general/000_stolen_from_unichrome.sf.net.diff
    + general/000_stolen_from_drm.diff
    + general/000_stolen_from_Mesa_6.2_branch.diff
    + general/000_stolen_from_Mesa_6.2_branch_vb_cull.diff
    + general/000k_Xvfb_re-enable_backing_store.diff
    + general/013_novtswitch.diff
    + general/018_sharevts_option.diff
    + general/024d_radeon_fix_gcc4_build.diff
    + general/025b_xkb_README_typos.diff
    + general/063_fix_weak_deps.diff
    + general/072_Xserver_fb_convert_RGB_to_BGR.diff
    + general/080_pci_isolate_device_feature.diff
    + general/086_fix_SEGV_in_ximcp.diff
    + general/092_Xserver_sunffb_xaa_extension.diff
    + general/094_gbk_compound_text_transformation_fix.diff
    + general/099za_fix_XOrgManDefs.diff
    + alpha/202_alpha_elfloader_support_R_ALPHA_SREL32.diff
    + alpha/203_alpha_elfloader_support_R_ALPHA_BRSGP.diff
    + debian/915_disable_i915_debugging.diff
    + debian/991_ubuntu_gcc_flags.diff
  * Forward-port the following:
    + general/001_kernel_version_in_banner.diff
    + general/003_linux.cf_and_xfree86.cf.diff
    + Disable gamma DRI driver, as it is broken upstream
    + general/008_fix_xgetpw_macro.diff
    + general/011a_recognize_glibc_2.3.2_locale_names.diff
    + general/020_add_sigusr2_signal_handler.diff
    + general/021_riscpc_ioport_fix.diff
    + general/024_ati_r128_and_radeon_enable_build_without_vgahw.diff
    + general/028_loader_speed_hack.diff
    + general/053_lnx_evdev.diff
    + general/058_support_external_Xcursor_Xft_Xrender_libs.diff
    + general/062_make_libGL_PIC_compliant.diff
    + general/089_xkb_fix_symbols_pc_lt.diff
    + general/097_mouse_zaxis_mapping_pushes_up_buttons.diff
    + general/099e_xorgconf_manpage_overhaul.diff
    + general/099l_xkb_cymotion_master_and_ibm_space_saver.diff
    + arm/315_arm_is_not_x86_and_has_no_vga.diff
    + hurd/800_gnu_config.diff
    + debian/905_debian_xdm.diff adds trailing whitespace
    + debian/908_debian_exclude_non-free_fonts_and_docs.diff
  * Update 000_stolen_from_linuxwacom_wacom_driver.diff to have version 0.6.8
    of xf86Wacom.c to get the patch to apply
  * Add new patches:
    + general/018_fix_mesa_build_issues.diff to fix FTBFS
  * Tighten up debian/rules to allow more flexibility
    + Test things in prepare and patch targets so they don't fail when we've
      interrupted a build for some reason and we attempt to re-run them
    + Typofix to allow dpkg-buildpackage -nc to work
  * We no longer build or ship xlibs-dev
  * Update build-dependency versions on render-dev and libxrender-dev

 -- David Nusinow <dnusinow@debian.org>  Thu,  8 Sep 2005 12:04:56 -0400

xorg-x11 (6.8.2.dfsg.1-8+SVN) unstable; urgency=low

  * debian/changelog: Changed references at bottom to xfree86-common to
    x11-common, referring old changelogs.
  * debian/control: Removed *a lot* (4 KB) of old legacy stuff like Conflicts:
    with packages that are not in stable, some even in oldstable, or others even
    from before.

  [ David Nusinow ]
  * Back out change from last revision that reset all debconf questions with
    "autodetect" in their name no matter what. This is unnecessary and only
    lead to annoyances. (closes: #332336)
  * Add missing '-' before 'eq' in x11-common.preinst.in. Thanks Matthias
    Heinz. (closes: #332341)
  * Add transitional xserver-xfree86 package that merely depends on
    xserver-xorg. Make all conflicts with xserver-xfree86 be on
    pre-6.8.2.dfsg.1-1 packages. Thanks Adrian Davey. (closes: #332414)

 -- David Nusinow <dnusinow@debian.org>  Thu,  6 Oct 2005 20:40:25 -0400

xorg-x11 (6.8.2.dfsg.1-8) unstable; urgency=low

  [ Denis Barbier ]
  * Modify setxkbmap and xkbcomp to look for XKB files in $XKBPATH if this
    environment variable is set.  This allows installing both xlibs and
    xkeyboard-config at the same time, so that xkeyboard-config can install
    its files under /etc/X11/xkb-data until all packages depending on xlibs
    are fixed (closes: #324768).

  [ Christian Perrier ]
  * Updated Basque translation (eu.po). Thanks, Piarres Beobide!
    (closes: #327409).
  * Updated Portuguese translation (pt.po). Thanks, Miguel Figueiredo!
    (closes: #328878).

  [ David Nusinow ]
  * Added various hurd-i386 patches. Thanks, Michael Banck.
    + hurd/806_gnuLib_update.diff (closes: #295472)
    + hurd/804_maxhostnamelen.diff (closes: #325204)
    + hurd/805_via_nodri.patch (closes: #325243)
    + hurd/808_i810_nodri.diff (closes: #325882)
    + updated hurd/800_gnu_config.diff (closes: #327740)
    + updated MANIFEST and install files for HURD (closes: #327745)
  * Force xserver-xfree86 to transition to xserver-xorg. Do this by having
    xserver-common conflict with xserver-xfree86, and having xserver-xorg not
    provide xserver-xfree86 any more. Thanks Adrian Bunk. (Closes: #318425)
  * Add a new flag to dexconf to allow the user to specify the name of the
    file used in comments. This can be used to prevent it from referring to
    xorg.conf.dpkg-new. Thanks Mike O'Connor. (Closes: #319323)
  * Add freebsd/003_gnu-kbsd_sessreg.diff to allow GNU/kFreeBSD to use GNU
    UTMP. Thanks Robert Millan. (Closes: #325615)
  * Have x11-common preinst check for xfree86-common conffile modification. If
    there are no modifications, remove them so that dpkg doesn't prompt the
    user due to the package name change. Thanks Steve Langasek and Andreas
    Metzler. (closes: #318688)
  * No longer refer to the removed Xsetup script in xdm.options.5. Thanks
    Bastian Kleineidam. (closes: #324887)
  * Update general/055_lnx_evdev_keyboard.diff to properly use the "less
    greater bar"-key (EV_KEY_102ND) on a pc102 keyboards. Thanks Pär
    Andersson. (closes: #322253)
  * Don't choke when the user doesn't select a video mode. This fix also
    involves a patch to substitute the default resolutions list in both
    the xserver-xorg.preinst and .postinst files using part of
    debian/rules. Thanks Robert Millan. (closes: #322902, #330304)
  * Don't reset all xserver-xorg debconf templates when "dpkg-reconfigure
    xserver-xorg" is called. (closes: #320241, #318634)
    + Reset values for templates that are affected by autodetection only when
      the user actually opts for autodetection. This allows autodetection to
      actually work. Thanks Daniel Stone.
    + Ensure that all templates containing the name "autodetect" are reset in
      the auto_answer function
  * Provide extra insurance for autodetecting drivers on installation. Also
    update driver default lists for amd64 and i386. (closes: #320634)
  * Have packages built specifically for etch be counted as official builds.
  * Have xserver-xorg remove its /etc/rcS.d link in its postinst by calling
    update-rc.d. Thanks Lars Wirzenius.  (closes: #330588)

  [ Branden Robinson ]
  * Change xserver-xorg and xserver-xorg-dbg's recommendation of "discover1"
    to "discover | discover1".  These packages' configure scripts detect both
    utilities, and use whichever one is found, so there's no reason to compel
    users to have discover1 in particular installed (as aptitude does, since
    it treats recommends like depends by default). (closes: #322659)

  [ David Martínez Moreno ]
  * Added Slovak translation (sk.po). Thanks, Peter Mann (closes: #330272).
  * Updated Czech translation (cs.po). Thanks, Miroslav Kure (closes:
    #327506).

 -- David Nusinow <dnusinow@debian.org>  Tue,  4 Oct 2005 22:24:17 -0400

xorg-x11 (6.8.2.dfsg.1-7) unstable; urgency=high

  [ Branden Robinson ]
  * Add patch #000k: Fix VSW5 (and therefore LSB 3.0) test failures by
    re-enabling backing store in the Xvfb X server.  The test harness relies
    on the existence of backing store in the virtual X server it uses to run
    tests in.
  * Fix shell-lib.sh to ensure that the function
    replace_conffile_with_symlink_rollback() actually exists.

  [ David Nusinow ]
  * Fix for CAN-2005-2495. See also freedesktop bug #594. Disallows pixmaps
    greater than the allocation limit. This is incorporated in to
    general/0000_backport_from_upstream.diff.
  * Add Build-Depends on linux-kernel-headers to (>= 2.6.13+0rc3-1.1) so that
    people do not get FTBFSes due to Bug#320515. The previous build-conflict
    was not enough to ensure that the necessary version of l-k-h was
    installed, causing an FTBFS. This does not apply to non-linux arches.
  * In debian/rules, change STAMP_DIR target to use STAMP_DIR/stampdir. Have
    targets that depended on this also change accordingly. This should allow
    dpkg-buildpackage -nc to work. Thanks Jeremy Shaw.
    + Also add -f to ln command in genscripts to allow -nc to work

 -- David Nusinow <dnusinow@debian.org>  Wed,  7 Sep 2005 16:17:18 -0400

xorg-x11 (6.8.2.dfsg.1-6) unstable; urgency=low

  [ Branden Robinson ]
  * Increment versioning of build-conflict with linux-kernel-headers to (<<
    2.6.13+0rc3-1.1) so that people do not get FTBFSes due to Bug#320515.

  * Overhaul debian/rules file and debian/scripts directory.
    + In the debugging X server build, change the branding string from
      "(static)" to "(non-modularized)", so people won't assume the X server
      is intended to be e.g., statically linked against libc (but for some
      reason isn't).
    + Add a new Makefile variable, SERVER_WRAPPER_OPT, to control the
      optimization level of the X server wrapper.  DEB_BUILD_OPTIONS
      determines its value.
    + Stop including debian/scripts/vars* files in favor of performing
      architecture-dependent variable assignments directly in the rules file.
      The include mechanism was used for dbs's sake, and is now overkill for
      what we need it for.
    + Rewrite comments documenting usage of targets with stamp files.
    + Declare phony targets and stampdir_targets adjacent to the target
      definitions themselves so they are less likely to get out of sync.
    + Make $(STAMP_DIR) itself a real target.
    + Make the "patch", "unpatch", and "patch-audit" rules run more quietly.
    + Wrap some long lines (> 80 columns).  Some couldn't be wrapped without
      making them even uglier.
    + Add targets for the text versions of the Debian X and XTerm FAQs and for
      the X server wrapper.  Stop building them inside the $(STAMP_DIR)/build
      target, and instead have $(STAMP_DIR)/build depend on them.
    + Move targets that exist only for the convience of package maintainers
      (i.e., which are never invoked via dpkg-buildpackage) to the end of the
      file.
    + Make shell usage style consistent.
    + Use the shell's redirection operator to create empty files instead of
      fooling with "touch" (or, God forbid, useless uses of cat).
    + Ensure that there are comments documenting just about everything.
    + Whitespace police: use hard tabs *only* for indenting target definitions
      (once, so Make will pull its head out).  All other indentation is done
      with spaces.

  * Drop unneeded scripts:
    - debian/setperms is now unused.
    - debian/scripts/getglibcversion hasn't been used by anything in a long
      time.
    - debian/scripts/up-scripts hasn't been used since we switched from dbs to
      quilt.
    - debian/scripts/vars* are now unused.

  * Update package maintainers' documentation in debian/README.
    + Refer to the package as "X.Org X11" to identify it as the monolithic
      release.
    + Expand caveat section for new architecture porters.
    + Break document into sections and give them titles.
    + Document many more of debian/rules's targets by summarizing the
      documentation within debian/rules itself.
    + Copyedit documentation of quilt usage.
    + Add documentation of debian/po directory.
    + Update discussion of debian/patches directory.
    + Condense discussion of MANIFEST and debhelper install files into a new
      section, "Architecture-specific binary package payloads".
    + Direct people's attention to the existence of certain convenience
      scripts in debian/scripts that make some mundane tasks easier.

  [ David Nusinow ]
  * Add missing libfs-dev depends. Thanks Guillem Jover (Closes: #321641)
  * Update debconf translations
    + French. Thanks Christian Perrier (Closes: #323633)
    + Vietnamese. Thanks Clytie Siddall (Closes: #324227)
    + Portuguese. Thanks Eduardo Silva and Miguel Figueiredo (Closes: #324782)

  [ David Martínez Moreno ]
  * Fixed some macros in XPutImage.3x, that left trailing characters in the
    lines above the insertions (closes: #323210).
  * Added 000_stolen_from_HEAD_savage.diff, that includes the backport of
    savage driver from HEAD X.Org CVS as of 03/08/05 (closes: #320468). Also
    commented out 099f_savage_driver_disable_randr_on_rotation, as I think it
    is no longer necessary.
  * Cut down 0000_backport_from_upstream by *300 KB!* due to wrong inclusion
    of three .orig files from drivers/ati/ subdirectory.
  * debian/control:
    - libxaw7-dev should depend on libxp-dev. Thanks, Daniel Schepler (closes:
      #324562).
    - libxaw8-dev should depend on libxp-dev. Thanks, Matej Vela (closes:
      #324275).
    - libxres-dev should depend on libxres1 and x-dev. Thanks, Michael Olbrich
      (closes: #324474).
    - Add in xserver-xorg{,-dbg} a conflict on xlibs (<< 6.8.2.dfsg.1-5) and
      added recommends xlibs; if /etc/X11/xkb/rules/xorg.lst does if not
      exist, people lose XKB on reboot. Thanks, James Ballantine and Daniel
      Stone (closes: #325509).
    - Removed old sh3 and sh4 architectures. There were no packages for those
      in years.
  * patches/general/000_stolen_from_unichrome.sf.net.diff: Fixed a
    cut-and-paste error when checking mode->Flags for sync polarity in
    via_mode.c.
  * Updated debconf translations:
    - Brazilian portuguese, thanks to André Luís Lopes (closes: #325150).
    - Danish, thanks to Claus Hindsgaul (closes: #325583).
  * debian/shell-lib.sh: It seems that a copy-paste type slipped in
    6.8.2.dfsg.1-5, and the function replace_conffile_with_symlink_rollback
    was not really included. xlibs upgrades from sarge were affected. Fixed
    (closes: #322920, #323954).

 -- David Nusinow <dnusinow@debian.org>  Wed, 31 Aug 2005 08:57:21 -0400

xorg-x11 (6.8.2.dfsg.1-5) unstable; urgency=low

  [ David Nusinow ]
  * Incorporate ELF loader patch for alpha. Thanks Steve Langasek.
    Closes: #319298
  * Make xlibs-dev depend on all the packages for libraries that were split
    out from xlibs-static-dev. We need to kill xlibs-dev eventually, but
    there's no point in doing it piecemeal. Closes: #318692
  * Re-enable failure on manifest check fail
  * Deal with Speedo fonts removal
    - Document in NEWS.Debian
    - Remove mention of speedo from templates.pot and update. Sorry
      translators!
  * Edit various Debian files for XFree86 -> X.Org branding changes
  * Remove general/033_no_html.diff
  * Fix reference to XF86Config-4 in xserver-xorg.templates
  * Add general/031_disable_libXft1.diff to stop building libXft1, since we
    don't ship it anyway.
  * Ship extramodes file in xserver-xorg examples
  * Allow xfree86-common package to purge cleanly by adding a '-f' to
    update-rc.d call in postrm. Thanks Enrico Zinni.
  * Add xserver-xorg.init script that will allow people (intended for
    LiveCD's) to generate an xorg.conf on the fly at bootup. Thanks Petter
    Reinholdtsen
  * Add "| debconf-2.0" to all package depends that depend on debconf so as
    to unblock installation of cdebconf
  * Backport i810 Driver from CVS Head. Thanks Jean-Christophe Dubacq
    - Update general/000_stolen_from_HEAD_i810.diff
    - Add general/000_stolen_from_HEAD_Xfuncproto.diff
  * Apply various GNU/kFreeBSD updates. Thanks Robert Millan and Aurelien
    Jarno. Closes: #318934
    - Remove all the old GNU/kFreeBSD support files
    - Update 099s to only include SELinux support if we're building for
      linux
      + Also update Build-Depends to not require selinux for hurd and
        GNU/kFreeBSD
    - Allow xlibmesa-dri and friends, as well as xdmx and xserver-xorg to
      build on kfreebsd-i386
    - Add fixes to xserver-wrapper.c for major and minor numbers for VT's
      on non-linux platforms
    - Miscellaneous fixes to xserver-xorg.config.in
    - Update MANIFEST and various .install files
    - Add megapatch freebsd/001 and Wacom fixes in freebsd/002

  [ Eugene Konev ]
  * Do not impose selinux on the whole world out there: move selinux
    specific changes from config/cf/Imake.tmpl to programs/xdm/Imakefile,
    as xdm is the only program affected by this patch. Closes: #319121
  * Change prune target of debian/rules to use file lists in debian/prune
  * Add dependency on libxss1 to libxss-dev. Thanks Russ Allbery.
    Closes: #318629
  * Re-enable building HTML docs
    - Remove patch general/057_X11.tmpl_warning_fix.diff to allow this
  * Introduce replace_conffile_with_symlink_{prepare,commit,rollback}
    functions to debian/shell-lib.sh. Switch handling of symlinks to
    them.
  * Add link from /etc/X11/xkb/rules/xorg.lst to
    /etc/X11/xkb/rules/xfree86.lst in xlibs.links. Add it to symlink
    handling.
  * Add /etc/X11/xkb/rules/xfree86.xml symlink to symlink handling.
  * Check old version of package in postrm in case of abort-install or
    abort-upgrade so we do not remove new config in the case of failed
    install/upgrade from not so old version.

  [ Julien Cristau ]
  * Clean up FAQ to refer to X.Org instead of XFree86. Closes: #319407

  [ David Martínez Moreno ]
  * Include upstream X.Org changelog in x11-common documents.
  * Remove various references to XFree86 and its trappings.
  * Remove obsolete XF86Config.7 manpage.
  * Minor updates to Hurd files.
  * Various fixes to xserver-xorg.templates.
    - Typo fix.
    - Don't add load GLcore module, which is ignored by the server anyway.
    - Remove extraneous reference to the now removed Speedo fonts.
    - Remove references to xtt in the description of the modules.
  * patches/general/000_stolen_from_unichrome.sf.net.diff: Added high
    resolution modes for KM400, patch by Luc Verhagen (closes: #318348).
  * Typos kindly submitted by A Costa:
    - Fixed typo in XStandards manpage (closes: #320545).
    - Fixed typo in Xsession manpage (closes: #320546).
    - Fixed typo in dexconf manpage (closes: #306689).
    - Fixed typo in bitmap manpage (closes: #306706).
    - Fixed typo in xedit manpage (closes: #306707).
    - Fixed typo in xvinfo manpage (closes: #306709).
  * Added patches/general/general/025b_xkb_README_typos.diff: Fixed
    typos in XKB's README.config. Thanks, Daniel Hulme and Adrian von Bidder
    (closes: #315555, #321946).
  * Updated Spanish translation.
  * Updated French translation. Thanks, Christian Perrier (closes:
    #319448).
  * Updated Brazilian Portuguese translation. Thanks, André Luís Lopes
    (closes: #320469).
  * Added Simplified Chinese translation (zh_CN.po). Thanks, Carlos Z.F.
    Liu! (closes: #320657).
  * Added Basque translation (eu.po). Thanks, Pi. (closes: #320792).
  * Added more GNU/kFreeBSD fixes, for xserver-xorg.config.in, in order to
    obtain the list of mouse devices dynamically.
  * Fixed reference to migrated items in xserver.xorg.config.in. Thanks,
    Joey Hess (closes: #318276).
  * patches/general/030_libvgahw_gcc4_volatile_fix.diff: Disabled by now in
    order to test if the gcc 4.0.1-3 workaround is enough.

  [ Eugene Konev and David Nusinow ]
  * Switch from dbs to quilt.
    - Document how to use the system in debian/README
    - Re-organize patches in to subdirectories
  * Drop xmh.
    - Add general/022_disable_xmh.diff to not build it
    - Remove xmh from MANIFEST files and xlibs-data.installs

  [ Branden Robinson ]
  * Document the function of the "v4l" X server module in the
    xserver-xorg/config/modules debconf template, and enable it by default.
    (Closes: #135768)
  * Remove versioned dependency expression from libxaw8's shlibs file, as
    there was never an earlier version of the package in existence to depend
    on.

  [ Denis Barbier ]
  * Minor cleanup of XKB related patches.
    - Remove us(intl) from patch #099j_xkb_new_layouts, this variant
      has been included upstream.
    - Fix patch #099t_xkb_remove_hidden_attributes, it applies against
      symbols/pc/us and not symbols/us.
    - Update patch #099z_xkb_level3_ralt_switch to also replace
      level3(ralt_switch_multikey) by level3(ralt_switch) in new layouts.
  * Add general/088_xkb_only_one_default_variant_gb.diff to remove the
    'default' attribute of gb(intl), there must be only one default
    variant per layout.
  * Do not set Right Alt to AltGr with dvorak layout: this layout has
    only two levels, so people prefer to have a 2nd Alt key rather
    than a useless AltGr.  Thanks Adam C Powell IV.  Closes: #258399

 -- David Nusinow <dnusinow@debian.org>  Wed, 10 Aug 2005 01:09:06 -0400

xorg-x11 (6.8.2.dfsg.1-4) unstable; urgency=low

  Changes by David Nusinow:

     - Remove README.DGA from xserver-xorg.docs.m68k, mips, mipsel, and arm to
       fix FTBFS.
     - Resolve MANIFEST.mips to fix FTBFS
     - Add missing docs to xserver-xorg.docs.mipsel
     - Incorporate patch from HEAD to include more radeon PCI ID's. Thanks
       Harald Welte. Closes: #318948
     - Make the build not fail on MANIFEST check. If there are discrepancies,
       I'd rather have a mostly complete X package than a failure on some
       arches. The failure diff will still be spit out, allowing us to fix the
       problems.

  Changes by Eugene Konev:

     - Update 030_libvgahw_gcc4_volatile_fix.diff to include a complete fix.
       Closes: #318218

  Changes by David Martínez Moreno

     - Fix xlibmesa-dri.bug.script to attach correct log files

 -- David Nusinow <dnusinow@debian.org>  Mon, 18 Jul 2005 09:34:07 -0400

xorg-x11 (6.8.2.dfsg.1-3) unstable; urgency=low

  Changes by David Nusinow:

     - Change reference to xlibglu1-xorg-dbg to libglu1-xorg-dbg in
       debian/rules (thanks Steve Langasek)
     - Update MANIFEST.in, and missing items to be installed for alpha, arm,
       and m68k
     - Fix incorrect C++ ABI transition. libglu1-xorg is implemented in C++
       but only exports a C ABI, so transitioning it is unnecessary. The
       package now provides both libglu1 and libglu1c2. Thanks to Marcelo
       Magallon and Steve Langasek.
     - Refer to correct config file in xserver-xorg.bug.script (thanks David
       Martínez Moreno)
     - Add 030_libvgahw_gcc4_volatile_fix.diff to work around libvgahw.a gcc4
       breakages. Thanks David Martínez Moreno and Paul Hampson.
       Closes: #318218, #318231, #318271, #318405, #318430
     - dexconf fix for 3 button mouse emulation. Thanks David Martínez Moreno;
       Closes: #318092
     - Turn on SELinux support in xdm. Thanks Manoj Srivastava; Closes: #317024
       - Add libselinux1-dev to Build-Depends
     - Update Danish debconf translations. Thanks to Claus Hindsgaul;
       Closes: #318227
     - Update Czech debconf translations. Thanks to Miroslav Kure;
       Closes: #318323
     - Update Portuguese (Brazilian) debconf translations. Thanks to Andre
       Luis Lopes; Closes: #318635
     - Update German debconf translations. Thanks to Alwin Meschede;
       Closes: #318721

   * Changes by Daniel Stone:
     - Fix S/390 build by bringing MANIFEST and *.install.s390 files up to
       date.
     - Let Xdmx build on S/390 as well.  Move xdmx.install.* files to
       xdmx.install, since they were identical for each architecture.
     - Bring MANIFEST.mips{,el}.in up to date.
     - Bring xserver-xorg.install.{alpha,mips{,el}} up to date.
     - Fix mysterious breakage in the SPARC build by fixing its MANIFEST good
       and proper.
     - Drop libstdc++6-dev dependency entirely, since build-essential will
       bring that in.  Also drop libc6-dev dependency. Closes: #318353

  Changes by Eugene Konev:

     - Add patch 002a_xterm_no_overstrike_bold_fonts.diff to fix xterm bold
       fonts ugliness; Closes: #318162

 -- David Nusinow <dnusinow@debian.org>  Tue, 12 Jul 2005 16:52:39 -0400

xorg-x11 (6.8.2.dfsg.1-2) unstable; urgency=low

  Changes by David Nusinow:

     - Change x-window-system to depend on xprint
       - Change 009 patch to refer to xprint instead of xprt-xprintorg

     - Run debian/rules update-po to update translation templates

     - Drop versioned dependency on libstdc++

     - Update debian/NEWS with a few things

     - Update xlibs-static-dev package description with libXprint* libs (thanks
       Nathanael Nerode)

     - Add 104_sparc_no_mv8_flag.diff to fix a build problem on sparc (thanks
       Julien Cristau)

  Changes by Daniel Stone:

     - Fix FTBFS by only forcing BuildXprintLib building when we're not
       BuildingServersOnly (i.e. only in the normal build, not in -dbg).
     - Change NOT_BUILDING_XFREE86_X_SERVER to _XORG_ in vars.s390 (fixes FTBFS
       also).
     - Add 000_stolen_from_drm.diff from Ubuntu, with annotations, which fixes
       FTBFS when using linux-libc-headers.

 -- David Nusinow <dnusinow@debian.org>  Mon, 11 Jul 2005 20:47:31 -0400

xorg-x11 (6.8.2.dfsg.1-1) unstable; urgency=low

  Changes by David Nusinow:

    - Add missing comma to Build-Depends in debian/control. Thanks to Eugene
      Konev for catching this!

    - Change x-common to x11-common in order to reflect that this package
      provides symlinks named x11

   - Add -f to update-rc.d call in xfree86-common.postinst.in to get rid of
      error during configure stage. Thanks to Norbert Tretowski for providing
      the fix.

   - Disable acceleration on C&T 69000 by default but allow it to be overrided
     by config file. Thanks to Dan Christensen and Nathanael Nerode;
     Closes: #315315

   - Remove svn comments from debian/local xpm pixmaps to unbreak xdm. Thanks
     to Eugene Konev.

   - Disable xprt. Thanks to Eugene Konev!
     - Change x-window-system to depend on xprt-xprintorg (thanks to Drew
       Parsons); Closes: #300974

   - Change debian/po/POTFILES.in to use x11-common templates, not
     xorg-common.templates. Thanks to Eugene Konev

   - Pull the following from Ubuntu Breezy patches to allow gcc4 builds
     - 024d_radeon_fix_gcc4_build.diff (to which I incorporated a one-line fix
       from the 024a_radeon_benh_fixes.diff patch)
     - 991_ubuntu_gcc_flags.diff

    - Package name changes for the C++ ABI transition: (Thanks to Eugene Konev,
      Steve Langasek, and Daniel Stone)
      - xlibmesa-glu renamed to libglu1-xorg; Provides: changed to
        libglu1c2, libglu1c2 added to the Conflicts: and Replaces:
      - libglu1-xorg shlibs changed to libglu1-xorg | libglu1c2
      - xlibmesa-glu-dbg renamed to libglu1-xorg-dbg; xlibmesa-glu-dbg
        added to Conflicts: and Replaces:
      - xlibmesa-glu-dev renamed to libglu1-xorg-dev; depend on
        libglu1-xorg instead of xlibmesa-glu, of course, and add
        xlibmesa-glu-dev to the Conflicts/Replaces/Provides
      - Update x-window-system-core to depend on libglu1-xorg instead of
        xlibmesa-glu
      - Update x-window-system-dev to depend on libglu1-xorg-{dev,dbg}
        instead of xlibmesa-glu-{dev,dbg}
      - Drop the xlibmesa3, xlibmesa3-dbg, and xlibmesa-dev transition
        packages; these existed for the woody->sarge transition, and they
        can't possibly provide a proper transition for anything that
        relies on the C++ ABI, so better to get rid of them altogether
      - Rename all xlibmesa-glu package files accordingly

    - Remove libglu1-xorg-dev's dependency on "libstdc++5-3.3-dev |
      libstdc++-dev": this doesn't actually ensure that the correct C++
      headers are installed, and it's no longer the correct libstdc++
      version anyway.

    - Add patch 915_disable_i915_debugging.diff, to disable non-x86 debug
      statements for this chip. Thanks to Aaron M. Ucko

    - Patch Audit
      - 0000_backport_from_upstream.diff updated
        - Thomas Winischhofer's post-6.8.2 fixes to MiscPassMessage();
          Closes: #285807
      - 000_backport_from_author_xterm.diff ported (Nathanael Nerode)
        - Closes: #297430, #296592, #298551
      - 002_xdm_fixes.diff updated (Eugene Konev)
      - 003b_xfs_fixes.diff ported (Eugene Konev, Nathanael Nerode)
      - 005_rgb.txt_in_etc_X11.diff updated (Nathanael Nerode)
      - 008_fix_xgetpw_macro.diff updated (Eugene Konev)
      - 011_SECURITY_makedepend_safer.diff (Nathanael Nerode)
      - 011a_recognize_glibc_2.3.2_locale_names.diff (Nathanael Nerode)
      - 013a_xkb_symbols_euro_support.diff added (Eugene Konev)
      - 019_iso8859-15_Compose_fix.diff updated (Eugene Konev)
      - 043_ati_r128_update_chip_identification.diff added (Nathanael Nerode)
      - 047_mga_manpage_updates.diff updated
      - 055_lnx_evdev_keyboard.diff updated
      - 067_fix_X11_and_xdm_build_problems.diff ported (Eugene Konev)
      - 089_xkb_fix_symbols_pc_lt.diff got ID tags back
      - 093_xkb_fix_macintosh_problems.diff got macintosh equal key fix ported
      - 099e_xorgconf_manpage_overhaul.diff ported
      - 099h_mesa_tdfx_load_right_glide_library.diff patched to use
          libglide_h3/5 as used in unstable packages.
      - 099q_tdfx_improve_mode_rejection_diagnostics.diff added
      - 099q_xkb_tr_fix_eacute.diff removed
      - 099r_xlsfonts_do_not_spew_usage_on_connection_error.diff added
      - 099s_selinux_support.diff ported
      - 099s_xkb_tr_fix_eacute.diff added
      - 099t_xkb_remove_hidden_attributes.diff ported
      - 099u_mkdirhier_rewrite.diff ported (Eugene Konev, Nathanael Nerode)
      - 099v_fontserver_fix_SEGV.diff ported
      - 099x_xdm_support_logfile_rotation.diff ported
      - 250_m68k_build_scanpci.diff updated
      - 304_arm_Xlib.h_kludge_around_ARM_ABI_brain_damage.diff ported
      - 910_debian_Xserver_RTFF.diff updated
      - 913_debian_remove_code_ref_to_object_code_files.diff ported
        - patch to xc/programs/Xserver/hw/xfree86/drivers/rendition/vboard.c
          re-added to comply with post-sarge SC

 -- David Nusinow <dnusinow@debian.org>  Fri, 24 Jun 2005 10:24:48 -0400

xorg-x11 (6.8.2.dfsg.1-0pre1v1) experimental; urgency=low

  Changes by David Nusinow:

    - Updated packaging to be based off Ubuntu hoary packaging
      - Merge changelog from Ubuntu hoary package to this changelog
      - Change instances of "Ubuntu" to "Debian" in control file
      - Add Daniel Stone to list of Debian package authors in copyright for
        his work on this package. Update branding in general in this file.
      - Update shell-lib.sh to merge changes from current xfree tree
      - Change twm manpage to be set to twm.1x rather than twm.1, as in the
        xfree packaging
      - Re-brand XFree86 to X.Org in README
      - Re-add usr/X11R6/lib/X11/fonts/encodings/large/jisx0208.1983-0.enc.gz
        to xfonts-base.install
      - Merge xfree tree xfree86-common.init in to xorg-common.init
        - Comment out lsb stuff for now, since Debian can't guarantee it.
          Replace logging with echo's like in xfree script.
      - Re-add Branden's copyright to xfs.init
      - Merge changes from xfree tree in to xserver-common.config.in
      - Merge changes from xfree tree to scripts directory:
        - manifest-install-reconcile
        - validate-posix-sh
      - Merge changes from xfree86 tree to local directory:
        - dexconf
        - dexconf.1
        - FAQ.xhtml
          - Fix a freedesktop.org reference to X.Org
        - xterm.faq.html
        - xvfb-run
        - xdm/Xstartup
        - Xsession.d/30xorg-common_xresources
        - xdm.init
        - xdm.logrotate
        - xdm.README.Debian

    - Re-add jisx0208.1983-0.enc.gz to MANIFEST.all's list of font encodings
      until I know more about why it was removed.

    - Re-add the following to MANIFEST.[arch] and xdm.install
      - etc/X11/xdm/Xreset

    - Re-enable various modules for xlibmesa-dri-dbg.install
      - i810 and tdfx for amd64 . Apparently these were supposed to be
        re-enabled according to the changelog
      - i830 and ffb for i386
      - ffb, i810, and i830 for ia64
    - Re-enable various modules for xlibmesa-dri.install
      - i810 for amd64
      - ffb and i830 for i386
      - ffb, i810, and i830 for ia64

    - Handle xlibs-static package split
      - Add libxvmc-dev.install.hurd-i386 file which removes
        usr/X11R6/lib/libI810XvMC.a. Removing
        xlibs-static-dev.install.hurd-386.
      - Add libxxf86vm-dev.install.s390 file which removes manpages. Removing
        xlibs-static-dev.install.s390.
      - Removing xlibs-static-pic-install.[hurd-i386,netbsd-i386,s390] as the
        files which they specifically removed in the past don't appear to be
        shipped any more.

    - Merge and edit control file to refer to XSF

    - Fixes in local
      - Spelling fix in dexconf.1
      - Spelling fix and merge updates in to FAQ.xhtml
      - Merge update to lxterm, uxterm.1, xdm.options.5, XF86Config.7,
        xfs.options.5, Xsession.5, Xsession.options.5, Xwrapper.config.5
      - Re-added Xreset script in local/xdm

    - Branding edit and merges to debian/rules

    - Patch Audit
      - Edited 0000_backport_from_upstream.diff
        - Removed redundant patches that are also in 000_stolen_from_HEAD.diff
      - Edited 000_stolen_from_HEAD.diff
        - Re-diffed Xpm's create.c fix to get it to apply properly
      - Edited 002_xdm_fixes.diff, 003_linux.cf_and_xfree86.cf.diff, and
        068_fix_InstallAppDefFiles_screwage.diff to allow them to apply
        properly with no fuzz

  * Update FAQ to refer to X.Org instead of freedesktop.org where appropriate.
    (Closes: #309811)

  * Change xorg-common to x-common

  * Update lsb-base version requirement to 3.0-1

  Changes by Branden Robinson:

  * Initial release, based upon upstream CVS tag XORG-6_8_2.  See
    debian/copyright for details of material removed due to overlap with
    existing Debian packaging or license terms that fail to satisfy the DFSG.

  * Explain build-dependencies and build-conflicts in debian/control comments.

  * Update build-dependencies relative to xfree86 4.3.0.dfsg.1-12:
    + List upstream build dependencies on commands first, followed by
      upstream build depenencies on library headers, and then Debian packaging
      infrastructure dependencies.
    + Remove no-longer needed build dependencies on libfontconfig1-dev (header
      files not used), libpaperg (superseded by libpaper1, and depended upon
      by tetex-bin nowadays), linux-kernel-headers (depended on by
      build-essential package libc6-dev), bzip2 and dbs (new organization of
      source package will not require these).

  * Backport fixes from upstream CVS trunk:
    + Shut up (tons of) Imake warnings on Debian systems by testing for
      variable being defined before testing its value.  (Presumably the
      fallback definition of NothingOutsideProjectRoot in Imake.tmpl was
      intended to prevent this, but it apparently is not in effect yet
      when linux.cf is parsed.)
    + Fix CAN-2005-0605: scan.c in the Xpm library may allow attackers to
      execute arbitrary code via a negative bitmap_unit value that leads
      to a buffer overflow. (see Debian #298939)

  * Update debian/copyright to correctly document source package name, origin
    of .orig.tar.gz file, and credit David Nusinow as a package author.
    Restore removal of credits to Stephen Early, Mark Eichin, and ISHIKAWA
    Mutsumi as package authors.  Alter Debian "fallback" copyright notice to
    credit copyright from changes in 1996 to Stephen Early, in 1997 to Mark
    Eichin, and for the years since to Branden Robinson.  In the U.S., a
    written instrument is required to transfer copyright, and to the best of
    my knowledge, none of Stephen, Mark, or myself ever signed such an
    instrument.  Remove anti-publicity clause from Debian fallback copyright
    notice as it's not part of the original MIT/X11 license from the 1980s and
    has no force under U.S. copyright law (asserting copyright in something,
    even Free Software, doesn't waive a person's publicity rights anyway).
    Remove duplicate Debian copyright notice for Software in the Public
    Interest, Inc.  Merge change from Debian xfree86 SVN to stop identifying
    the Compugraphic and Adobe fonts from the Xprint server as non-DFSG-free;
    the files have been removed from the upstream archive for another reason,
    namely the existence of the xprint package.

  * Place Ubuntu package changelog entries in changelog.Ubuntu (as they do not
    actually reflect package release history as a Debian user would see it).
    Ship this changelog in /usr/share/doc/xorg-common.

  * Add debian/scripts/missing-keyword-sniffer, which identifies plain text
    files in the source package that are missing Subversion Id keywords or the
    corresponding property.

  * Rework source package to consist of an unpacked source tree, instead of
    shipping a .tar.gz inside the .orig.tar.gz.
    + Add debian/scripts/up-scripts (called automatically by dbs's "setup"
      target), which copies the source tree into build-tree using hardlinks.
    + Update debian/setperms to ensure that up-scripts is executable.
    + Update debian/vars to stop defining SOURCE_DIR variable.
    + Put debian/scripts in PATH and export it from debian/rules, so that dbs
      can find up-scripts.
    + Update target dependencies in debian/rules from "$(patched)" to "setup",
      so that we can be sure up-scripts is run.

  * Make .orig.tar.gz preparation less opaque.
    + Add prune-upstream-tree and make-orig-tar-gz phony targets to
      debian/rules.  (Note that these are not intended for ordinary package
      builds, and have to be manually invoked.)
    + Remove outdated and now-obsolete file debian/scripts/prune-non-free.
    + Add $(SOURCE_NAME) and $(UPSTREAM_VERSION) variables to debian/rules.

  * Update paths to files containg sourceless firmware in debian/copyright.

  * Grab patches from upstream CVS HEAD:
    - Add radeon(4x) manpage updates documenting VGAAccess, ReverseDDC, and
      LVDSProbePLL options.  (Benjamin Herrenschmidt)
      <URL: https://bugs.freedesktop.org/show_bug.cgi?id=2064 >.
    - Add VGAAccess option to r128 driver, based on Benjamin Herrenscmidts's
      radeon patch.  r128 should now work on PowerPCs without "UseFBDev".  To
      use this on PowerPC, make sure you set "UseFBDev" to "false".
      (Alex Deucher)
      <URL: https://bugs.freedesktop.org/show_bug.cgi?id=2089 >.

  * Document DFSG-non-freeness of PolyglotMan ("rman") in debian/copyright.

  * Update patch #058 to give Xcomposite, Xdamage, Xevie, and Xfixes their own
    copies of the config-subst script, instead of hard-coding a within-tree
    path to the copy in the Xcursor library.  (I don't know what the point of
    directing these Imakefiles over to Xcursor's copy was -- there were
    already four identical copies of config-subst in X.Org 6.8.2 anyway, so
    this decision didn't help matters much. :) ) Update the Imakefiles to look
    for config-subst in the current working directory instead of ../Xcursor.
    Convert local includes to system includes in the GLU library and X server
    so that the RENDER protocol headers can actually be found.  Define
    RenderDefines if either BuildRender or HaveRenderLibrary is true, not just
    BuildRender.  Only specify render.h and renderproto.h as targets and
    install renderproto.h as part of the SDK if we're building the extension
    and *don't* have the extension library in the build environment.  Update
    MANIFEST.*.in files to reflect the fact that render.h and renderproto.h
    are no longer installed.

  * Stop removing the debian/local/xlibmesa-drm-source directory in
    debian/rules's clean target, as nothing creates it, and nothing has since
    xfree86 4.3.0-0pre1v3.

  * Add build-dependency on render-dev (>> 1:0.9), since several files
    directly #include render.h and renderproto.h.  Version dependency since
    symbols new to renderext 0.9 are used.  Document dependency in detail in
    debian/control comments.

  * Update patch #908 to stop attempting to install the sourceless microcode
    files associated with the rendition driver, which are not part of the
    source package (see debian/copyright).  Correct
    debian/MANIFEST.{alpha,amd64,hurd-i386,i386,ia64,sparc}.in to reflect the
    absence of these files.  (Other architectures do not build the rendition
    driver.)  Thanks to Jesus Climent for spotting this problem.

 -- David Nusinow <dnusinow@debian.org>  Wed, 22 Jun 2005 11:24:38 -0400
xorg (6.8.2-77) breezy; urgency=low

  * Silence update-rc.d in xorg-common postrm.
  * Add ch(de) fallback for sg-latin1--* (closes: Ubuntu#8824).
  * Revert Wacom changes from -76.
  * Reinstate stripping of drivers.  'Whoops.'

 -- Daniel Stone <daniel.stone@ubuntu.com>  Mon, 10 Oct 2005 09:01:02 +1000

xorg (6.8.2-76) breezy; urgency=low

  * Write stanza for Wacom tablets out by default.  As this uses /dev/wacom*
    stuff, it has no effect on the rest of the planet.
  * Blacklist all HP X300 RV370s a la -69.  Sigh. (closes: Ubuntu#16628).
  * Provide di-keymap us -> layout us mapping (closes: Ubuntu#17097).
  * Revert SiS regs.map changes; outsmarted by the SiS driver, which I assumed
    was just being dumb about it (closes: Ubuntu#16722).
  * Bring in drm.h from libdrm (proper modularisation would be too invasive),
    fixing DRI on amd64 (unsigned int vs unsigned long hilarity; closes:
    Ubuntu#16656).

 -- Daniel Stone <daniel.stone@ubuntu.com>  Wed,  5 Oct 2005 19:08:27 +1000

xorg (6.8.2-75) breezy; urgency=low

  * Remove debris from -74 (cosmetic).
  * Don't add lv3:lwin_switch to XkbOptions if it's already there.
  * Migrate nodeadkeys from XkbOptions to XkbVariant.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Tue,  4 Oct 2005 18:35:57 +1000

xorg (6.8.2-74) breezy; urgency=low

  * Update tdfx and mga DDX versions to match the DRI drivers.
  * Revert sis changes from -72.
  * Always write sync ranges for tdfx (closes: Ubuntu#14787).
  * Pull back i830_driver patch from HEAD to stop the video engine during
    LeaveVT.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Fri, 30 Sep 2005 17:32:30 +1000

xorg (6.8.2-73) breezy; urgency=low

  * xserver-xorg dependency on xserver-xorg-input-* needs to be optionally
    removed for some architectures.  (Specifically, hppa has never delivered
    them, and that made xserver-xorg uninstallable.)

 -- LaMont Jones <lamont@ubuntu.com>  Fri, 30 Sep 2005 14:23:07 -0600

xorg (6.8.2-72) breezy; urgency=low

  * Add stanza for Wacom tablets per default in dexconf.
  * Update tdfx (closes: Ubuntu#15695), mga (closes: Ubuntu#15528), and sis
    DDX-side DRI bits to match Mesa, with mixed 32/64-bit DRI clients.
  * Only do a find if $REAL_DRIVER_DIRS is non-null, so we don't try a find
    across the root (ouch).

 -- Daniel Stone <daniel.stone@ubuntu.com>  Thu, 29 Sep 2005 11:19:23 +1000

xorg (6.8.2-71) breezy; urgency=low

  * Force 16 bit depth on savage driver.
  (Closes: #15718)

  * Implement an anti-"I LOVE TO SHOT MY FEET" check that will force users to
    input at least one resolution if it is not autodetected.
  (Closes: #16035)

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Wed, 28 Sep 2005 13:16:34 +0200

xorg (6.8.2-70) breezy; urgency=low

  * Fix xserver-xorg Depends: on sparc.

  * Fix br-latin1 variant/model in xserver-xorg.config.in.
  (Closes: #16386)

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 27 Sep 2005 07:42:54 +0200

xorg (6.8.2-69) breezy; urgency=low

  * Change AccelSucks/AccelLite/FullAccel behaviour: do full acceleration by
    default on RV370 chips, since they seem to largely be okay.  Only disable
    acceleration on R[CV]4xx chips, which are broken, and then disable all
    acceleration instead of accel lite, since drawing lines is just as quick
    in software as hardware, and we don't have to read back from the fb every
    time we draw a line.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Tue, 20 Sep 2005 17:30:17 +1000

xorg (6.8.2-68) breezy; urgency=low

  * Always write sync ranges when using the s3 driver, as it doesn't appear to
    even have the code to do DDC (closes: Ubuntu#11328).

 -- Daniel Stone <daniel.stone@ubuntu.com>  Fri, 16 Sep 2005 17:09:12 +1000

xorg (6.8.2-67) breezy; urgency=low

  * Add special cases for French and English (UK) keyboards, so we should be
    catching all of them now (closes: Ubuntu#10511).
  * Add Slovenian keyboard mappings (closes: Ubuntu#11252).

 -- Daniel Stone <daniel.stone@ubuntu.com>  Fri, 16 Sep 2005 17:02:21 +1000

xorg (6.8.2-66) breezy; urgency=low

  * Disable font server in dexconf for mad startup time victory.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Fri, 16 Sep 2005 11:25:05 +1000

xorg (6.8.2-65) breezy; urgency=low

  * Make AccelSucks cancellable by explicitly specifying Option "FullAccel"
    in xorg.conf.  If the rv370 variant is not vulnerable to dying really
    badly (which it probably isn't, by the looks), it should revert to the
    normal behaviour and only r{c,s}4xx chips affected.  Stay tuned.
  * Revert DRI protocol back to 4.x, so fglrx is all shiny again.  Note that
    this change breaks mixed 32/64-bit DRI clients.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Thu, 15 Sep 2005 09:36:08 +1000

xorg (6.8.2-64) breezy; urgency=low

  * Disable screen-to-screen copies and solid fills on certain of r3xx-based
    Radeons, as MMIO acceleration is very problematic there, and we don't
    currently have CP acceleration for newer stuff (closes: Ubuntu#12950,
    Ubuntu#10234).
  * Finally fix keyboard_drv vs kbd_drv hilarity once and for all.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Tue, 13 Sep 2005 10:55:39 +1000

xorg (6.8.2-63) breezy; urgency=low

  * SECURITY: CAN-2005-2495:
    Fix exploitable integer overflow in pixmap creation in software
    framebuffer cores, leading to possible arbitrary code execution with
    elevated privileges.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Mon, 12 Sep 2005 21:26:12 +1000

xorg (6.8.2-62) breezy; urgency=low

  * Change 'la' (which has been repurposed from Latin American to Laotian) to
    'latam' in xserver-xorg.config.in (closes: Ubuntu#15209).

 -- Daniel Stone <daniel.stone@ubuntu.com>  Mon, 12 Sep 2005 12:41:56 +1000

xorg (6.8.2-61) breezy; urgency=low

  * Slightly invert the sense of the tests for when to write out sync ranges,
    so we don't spontaneously gain sync ranges when upgrading.
  * Update the i810 driver again, which fixes lockups when calling AdjustFrame,
    and fixes gamma in 8bpp modes.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Fri,  9 Sep 2005 12:32:15 +1000

xorg (6.8.2-60) breezy; urgency=low

  * Set module list to be separated by commas and spaces, not just commas, in
    xserver-xorg.config.in.  Thanks to Colin Watson and Sébastien Bacher.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Thu,  8 Sep 2005 21:48:41 +1000

xorg (6.8.2-59) breezy; urgency=low

  * Mangle our sorting of the resolution lists to make sure we don't get
    pruning of resolutions with identical horizontal parts (ie: 1920x1440
    and 1920x1200 become 1920x1440 only, now we get both listed correctly)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu,  8 Sep 2005 15:07:37 +1000

xorg (6.8.2-58) breezy; urgency=low

  * Keep a hard-coded list of resolution choices in xserver-xorg.templates,
    meaning that, while resolution choices must now be synchronised in *three*
    places, we actually get it right for the general case.  Should fix this
    properly, post-preview (closes: Ubuntu#14454).

 -- Daniel Stone <daniel.stone@ubuntu.com>  Wed,  7 Sep 2005 18:55:16 +1000

xorg (6.8.2-57) breezy; urgency=low

  * Implement a slightly more robust system for finding modules so we don't
    freak out people with /usr/lib/xorg/modules: directory not found.
  * If we've seen the modules question, but it's empty, force the 'seen' flag
    to false so we take the default, which should fix things for people who've
    been upgrading through breezy.
  * Write out sync ranges if we refuse probing or end up with sync ranges that
    aren't at all DDC-tastic (closes: Ubuntu#14378).
  * Add chips and siliconmotion drivers to bad-laptop-chipsets (closes:
    Ubuntu#14714).
  * Fix xrgb reference in xbase-clients (closes: Ubuntu#13976).
  * Update xserver-xorg description so we no longer encourage people to remove
    it.
  
 -- Daniel Stone <daniel.stone@ubuntu.com>  Wed,  7 Sep 2005 12:00:06 +1000

xorg (6.8.2-56) breezy; urgency=low

  * Fix module searching in xserver-xorg.config.in (closes: Ubuntu#14430).
    + Give the genscripts target proper dependencies, also.
    + Tighten up the regex used to find modules.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Thu,  1 Sep 2005 11:59:07 +1000

xorg (6.8.2-55) breezy; urgency=low

  * Update libDRI version checks in all DRI drivers, to get DRI working again
    everywhere.
  * Update SiS DRI from HEAD to catch drift in the SISDRIRec.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Tue, 30 Aug 2005 08:47:42 +1000

xorg (6.8.2-54) breezy; urgency=low

  * The 'Do Androids Dream of Electric Beats?' release.
    + ... in which a once-mighty monolith is cut down to only a couple of
      servers, and a couple of metapackages.
  * Stop building libGL, as this is provided by mesa >= 6.3.1.1-0ubuntu1.
  * Update x-w-s-c's Depends to depend on libgl1-mesa for GL, and
    libgl1-mesa-dri for DRI (replacing libgl1-xorg and libgl1-xorg-dri,
    respectively).
  * More happy fun pruning of unneeded patches.
  * Update i810 driver to version from HEAD, minus VideoObjectModule changes.
    + Added Recommends: libgl1-mesa-dri (>= 6.3.1.1-0ubuntu1) to -i810, as the
      DRI<->DDX interface changed, and new DRI modules won't work with the old
      DDX.
  * Fill out xbase-clients and xutils dependencies, so we shouldn't be missing
    anything that will actually ship in breezy.
  * Stop installing libXfont in xlibs-static-dev; Build-Conflict with
    libxfont-dev.
  * Fix the ZAxisMapping default ('true' and 'false' are valid options for
    booleans; '4 5' is not).
  * Teach xserver-xorg.config.in about .so modules, and modules in
    /usr/lib/xorg/modules.
  * Change x11proto-panoramix-dev Build-Dep to -xinerama-.
  * Only seed a default of pc105 in the -z $XKBMODEL case (see -50); pc104
    defaults are seeded everywhere we use a us keymap, and abnt2 defaults are
    seeded everywhere we use a br keymap.  This reverts part of -50.
  * Change discover usage to --disable-all --enable=pci to avoid segfaults.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Mon, 15 Aug 2005 20:07:27 +1000

xorg (6.8.2-53) breezy; urgency=low

  * Right, so testing in clean chroots is something I keep yelling at other
    people for not doing.  Go me.  We now have a build-dep on libgl1-mesa-dev.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 21 Aug 2005 05:51:57 +1000

xorg (6.8.2-52) breezy; urgency=low

  * And we grew a shiny new build dependency on x11proto-gl-dev.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 21 Aug 2005 04:14:52 +1000

xorg (6.8.2-51) breezy; urgency=low

  * Change metapackage dependencies for the xorg -> mesa transition.
    (not actually removing the libgl1-xorg packages until -52, however)

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 21 Aug 2005 02:02:00 +1000

xorg (6.8.2-50) breezy; urgency=low

  * Ensure that a default is set for
    xserver-xorg/config/inputdevice/keyboard/model in xserver-xorg.config.in

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue, 16 Aug 2005 17:56:02 -0700

xorg (6.8.2-49) breezy; urgency=low

  * Update description and dependencies for xlibs-static-dev to reflect the
    package split.
  * Remove support for architectures which do not build an X server at all.
  * Kill libosmesa4 off.  The one package left using it can migrate to the
    Mesa version.  Remove libGLw also.
  * Remove MANIFESTs for alpha, arm, hurd-i386, m68k, mips, mipsel, and
    s390, as they were hopelessly out of date anyway, and
    architecture-specific patches for those architectures.
  * Remove a whole swathe of unused code from shell-lib.sh.
  * Remove unused xorgconf manpage rewrite, an xev fix, and substantial
    changes to the fonts Imakefiles.
  * Fix loading of libglide3 modules for specific chipsets (Voodoo3 and
    Voodoo5).
  * Correct DefaultFontPath.
  * Remove all old Conflicts/Replaces (pre-Warty, most of the pre-Hoary stuff
    also).  This simplifies all the package relationships *massively*, which
    will hopefully make dpkg stop segfaulting when attempting to fulfill
    libqt3-mt-dev's Build-Depends.  Yay for clean solutions.
  * Remove ancient and out-of-date NEWS file.
  * Stop building man pages for stuff we don't ship.
  * Bump xserver-xorg/autodetect_monitor priority to medium.
  * Shuffle around the XKB layout detection code to use auto_answer instead of
    db_set && db_input; move abnt2 model special-casing to the layout tree
    instead.
  * Remove libxp6-dbg from x-w-s-d dependencies (closes: Ubuntu#13252).

 -- Daniel Stone <daniel.stone@ubuntu.com>  Thu, 11 Aug 2005 11:11:34 +1000

xorg (6.8.2-48) breezy; urgency=low

  * Fix auto_answer syntax for write_files_section and write_dri_section.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 10 Aug 2005 18:13:14 +0100

xorg (6.8.2-47) breezy; urgency=low

  * Add Pre-Depends on x-common back to xserver-xorg, so pointers to
    /usr/bin/X11/Xorg aren't broken.  Also add them to xdmx and xvfb.
  * Bump xserver-xorg-core's Replaces on xserver-xorg from -45 to -46
    (artefact of development interrupted by other uploads).
  * Make xlibs depend on xkeyboard-config.
  * Build -v4l on amd64.
  * Only run large swathes of the xserver-xorg.config.in when we're doing
    reconfig or firstinst, and add auto_answer to some bare db_inputs.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Wed, 10 Aug 2005 20:43:08 +1000

xorg (6.8.2-46) breezy; urgency=low

  * Restrict arch list for -driver-v4l to architecures which build a loadable
    server.
  * Remove libglu1-mesa-dbg from x-w-s Depends, as Mesa doesn't (yet) build
    debug packages.
  * Fix all outstanding references to xlibmesa-gl (closes: Ubuntu#13270).
  * Make sure we reset default_depth in xserver-xorg.postinst.in as well.
  * Move 'Xorg' symlink from xserver-xorg to -core.
  * Reintroduce xbase-clients and xutils as metapackages.  Note that they are
    still incomplete.
  * Change DefaultFontPath to /usr/share/X11/fonts, so servers with hardcoded
    font paths like Xnest can pick fonts up properly.
  * Add symlinks into /usr/bin/X11 for Xnest and Xdmx.
  * Fix libosmesa4-xorg-dev's dependency on libgl1-xorg-dev.
  * Reinstate all amd64 packaging files -- errr ...

 -- Daniel Stone <daniel.stone@ubuntu.com>  Mon,  8 Aug 2005 12:22:11 +1000

xorg (6.8.2-45) breezy; urgency=low

  * Depend on libgl1-xorg* everywhere instead of xlibmesa-gl*.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  9 Aug 2005 18:55:03 +0100

xorg (6.8.2-44) breezy; urgency=low

  * The 'Music Has the Right to Children' release.
  * Break out the last of the libraries -- libxkbfile, libxkbui, libdmx,
    libxxf86{dga,misc,vm}, libxtrap, libxmu, libxt, libxaw, libfs, libxpm,
    libfontenc and libxfontcache.  Only libxf86config and libxfont (these
    are harder to do with a monolithic server) and the GL stuff left.
  * Get rid of the last of the xlibmesa* braindamage:
    + xlibmesa-gl* -> libgl1-xorg, libgl1-xorg-dev, libgl1-xorg-dbg
    + xlibmesa-dri -> libgl1-xorg-dri
    + xlibosmesa* -> libosmesa4-xorg, libosmesa4-xorg-dev, libosmesa4-xorg-dbg
    + XLIBMESA_GL_SPECIAL_DEPENDS simply pruned as it was unused.
    + Drop libglu1-xorg* entirely; libGLU can be provided by Mesa.
  * Sanitise Build-Depends again.
  * Patch cleanup: remove all patches for stuff we don't ship.
  * Don't build any DMX-related sample programs in xc/programs/Xserver/hw/dmx.
  * Remove build-server hooks which are no longer relevant to us.
  * Update Canonical copyright in debian/copyright to cover 2005.
  * Protect against $2 being empty in xlibs.preinst.in, which would cause it
    to bomb when we were installing from scratch.  Don't make failures to
    remove directories hard failures.
  * Integrate patch to add rotation support to the Wacom input driver (thanks,
    Matthew Garrett).
  * Patch #064: Disable building xorgcfg and xorgconfig, by making
    BuildXFree86ConfigTools meaningful, and defining it to no.
  * Renumber 060_fix_XOrgManDefs.diff to #061, as it clashed with the external
    Xrender/Xft/Xcursor patches, and I need to edit those for offsets all the
    time (very annoying).
  * Fix mappings for Dvorak, fr-latin9, tr_f/tr_q, se_FI, se_NO, and most
    other keyboard mappings in xserver-xorg.config.in.  Add support for
    seeding the model as well as the variant, and seed the model to pc104 for
    us-layout keyboards.  This should catch most of the changes made with
    xkeyboard-config.  Seed variants for variants (e.g. us(dvorak) -> layout
    us, variant dvorak), rather than options.
  * Add v4l driver back (missing since the initial release).
  * Add missing alpine and laguna modules back to -driver-cirrus.
  * Change debconf dependencies to use ${misc:Depends} instead.
  * Re-debconf-updatepo the package.
  * Remove support for mdetect completely, as we didn't use it really, and it
    was flaky and horrible (mainly the Debconf code).  Hardcode in a default
    of /dev/input/mice and ImPS/2.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Wed, 20 Jul 2005 16:38:21 +1000

xorg (6.8.2-43) breezy; urgency=low

  * 'Can I keep the baby pictures?' 'No.' 'But-' 'National security.'
  * Move xlibs.postinst.in contents to xlibs.preinst.in, averting a
    Pre-Depends: xlibs (>= 6.8.2-43) from xkeyboard-config.
  * Replace test -d's with more robust if constructs in xlibs.preinst.in,
    and only try to nuke XKB when we're upgrading from an old version.
  * Add Depends: xkeyboard-config to x-window-system.
  * Revert the C++ ABI transition for libGLU, as it only provides a C ABI;
    this parallels a change in Mesa.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Fri, 15 Jul 2005 13:25:55 +1000

xorg (6.8.2-42) breezy; urgency=low

  * Don't attempt to remove /etc/X11/xkb in the xlibs postinst.
  * Move modules, etc, from xserver-xorg to -core (closes: Ubuntu#12960).
  * Add Recommends on xkeyboard-config to xserver-xorg-core, which should
    hopefully drag it in on dist-upgrades.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Fri, 15 Jul 2005 09:11:22 +1000

xorg (6.8.2-40) breezy; urgency=low

  * Add Build-Depends for Xdmx: libxtst-dev.
  * Drop Build-Conflicts on old cpp-3.3.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Thu, 14 Jul 2005 11:20:16 +1000

xorg (6.8.2-39) breezy; urgency=low

  * No, I don't have a clever release name for this one.
  * Drop xlibs dependency on xkeyboard-config.
  * Fix remove_conffile_prepare to actually, er, work.
  * Remove all (and I do mean all) XKB configuration files.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Thu, 14 Jul 2005 00:57:36 +1000

xorg (6.8.2-38) breezy; urgency=low

  * The 'Murderous Metaphors' release.
  * Split out libxres, libxss, libxi, libxinerama, libxrandr, and libxtst.
    + Add Build-Dep for libxi-dev, for xdmx.
  * Stop building all programs except for the server; split out xbase-clients
    and xutils.
  * Change render-dev Build-Depends to x11proto-render-dev, the new package.
  * Add proper paths to xvfb-run (thanks, Sébastien Bacher).
  * Prune still more packaging files for libraries that I forgot to remove.
  * Remove XKB data from the xlibs package; keep the package itself around
    purely to remove old configuration files, as dpkg seems unable to handle
    this on its own.
  * Remove xlibs-pic, xlibs-dbg, and xlibmesa-dev, which were only needed for
    upgrades from woody.
  * Remove a whole boatload of patches for stuff we no longer build.  Yippee!
  * Move xdmx to Architecture: any (paralleling a similar change in Debian's
    xorg-x11). 
  * Add kbd_drv back to xserver-xorg-input-keyboard, and change Driver
    "keyboard" to "kbd".

 -- Daniel Stone <daniel.stone@ubuntu.com>  Tue, 12 Jul 2005 14:26:32 +1000

xorg (6.8.2-37) breezy; urgency=low

  * Architecture specifications don't work in Depends, so xserver-xorg's
    Depends had gone missing. Instead, define a special substvar
    F:XServer-XOrg-Special-Depends, and add XSERVER_XORG_SPECIAL_DEPENDS
    make variables.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 13 Jul 2005 10:16:42 +0100

xorg (6.8.2-36) breezy; urgency=low

  * The 'Excessive Ephemera' release.
  * Break out libXevie, libXv and libXvMC.
    + Hardware support for motion compensation (i.e., libI810XvMC) has
      disappeared for the time being.  Not that anything used it anyway.
  * Break xvinfo out to a separate module.
  * Remove xlibmesa-dev package, which is only needed for upgrades from woody.
  * Remove xspecs and xlibs-static-pic dependency from x-window-system-dev.
  * Change hard = ${Source-Version} dependencies from drivers to the server
    core to a more loose dependency which needs to be manually bumped every
    time the server ABI changes incompatibly.  Which also happens to solve the
    problem of the Depends going wandering entirely.  Whoops.
  * Remove Xfixes.3x from powerpc MANIFEST.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Mon, 11 Jul 2005 20:51:53 +1000

xorg (6.8.2-35) breezy; urgency=low

  * The 'largest Binary line in the west' release.
    + ... in which our hero rationalises xserver-xorg.
  * Break out Xfixes, Xdamage and Xcomposite modules to external packages.  No
    additional Build-Depends introduced.
  * Break out xcursorgen to an external package, drop Build-Depends on
    libxcursor-dev.
  * Break out cursors (from xcursorgen, installed to xlibs-data) to an
    external package.
  * Stop trying to be clever and force autodetect_* settings to true on
    reconfigure, as this is completely broken.
  * Remove sh3, sh4 and netbsd-i386 from the xserver-xorg packaging.
  * Break xserver-xorg out into xserver-xorg-core (core server and modules, no
    drivers), and:
    + Display drivers: xserver-xorg-driver-apm, xserver-xorg-driver-ark,
      xserver-xorg-driver-ati, xserver-xorg-driver-chips,
      xserver-xorg-driver-cirrus, xserver-xorg-driver-cyrix,
      xserver-xorg-driver-dummy, xserver-xorg-driver-fbdev,
      xserver-xorg-driver-glide, xserver-xorg-driver-glint,
      xserver-xorg-driver-i128, xserver-xorg-driver-i740,
      xserver-xorg-driver-i810, xserver-xorg-driver-imstt,
      xserver-xorg-driver-mga, xserver-xorg-driver-neomagic,
      xserver-xorg-driver-newport, xserver-xorg-driver-nsc,
      xserver-xorg-driver-nv, xserver-xorg-driver-rendition,
      xserver-xorg-driver-s3, xserver-xorg-driver-s3virge,
      xserver-xorg-driver-savage, xserver-xorg-driver-siliconmotion,
      xserver-xorg-driver-sis, xserver-xorg-driver-sunbw2,
      xserver-xorg-driver-suncg14, xserver-xorg-driver-suncg3,
      xserver-xorg-driver-suncg6, xserver-xorg-driver-sunffb,
      xserver-xorg-driver-sunleo, xserver-xorg-driver-suntcx,
      xserver-xorg-driver-tdfx, xserver-xorg-driver-tga,
      xserver-xorg-driver-trident, xserver-xorg-driver-tseng,
      xserver-xorg-driver-vesa, xserver-xorg-driver-vga,
      xserver-xorg-driver-via, and xserver-xorg-driver-vmware.
    + Input drivers: xserver-xorg-input-acecad, xserver-xorg-input-aiptek,
      xserver-xorg-input-calcomp, xserver-xorg-input-citron,
      xserver-xorg-input-digitaledge, xserver-xorg-input-dmc,
      xserver-xorg-input-dynapro, xserver-xorg-input-elographics,
      xserver-xorg-input-fpit, xserver-xorg-input-hyperpen,
      xserver-xorg-input-kbd, xserver-xorg-input-magellan,
      xserver-xorg-input-microtouch, xserver-xorg-input-mouse,
      xserver-xorg-input-mutouch, xserver-xorg-input-palmax,
      xserver-xorg-input-penmount, xserver-xorg-input-spaceorb,
      xserver-xorg-input-summa, xserver-xorg-input-tek4957,
      xserver-xorg-input-void, and xserver-xorg-input-wacom.
    + Configuration is still in the xserver-xorg package, but this will
      change in the future (when we all have flying cars).
  * Make autodetect_keyboard use auto_answer with a default of true for the
    first install and false otherwise, fixing broken initial installs.
  * Add xserver-xorg-dbg to the list of servers dexconf knows about.
  * Another i810 update from HEAD, which should hopefully fix Xvideo pitch
    problems harder (closes: Ubuntu#12170).
  * Remove the last remnants of rstart from the xutils packaging.
  * Remove xlibs-static-pic.NEWS, which was a) outdated, and b) misleading.
  * Make manifest-install-reconcile deal with this brave post-MANIFEST.all
    world.
  * Stop shipping README.rapidaccess, which was complete crack, and docs for
    SCO/Solaris/*BSD/Darwin/LynxOS.  Since all architectures now ship the same
    set of core xorg documentation, just have a single xserver-xorg.docs.
  * debian/rules prune: remove special-case handling for packages which aren't
    even shipped anymore.
  * Other-architecture cleanup: remove
    xlibs-static-pic.install.{s390,hurd-i386,netbsd-i386},
    xlibs-static-dev.install.hurd-i386, and xlibs-data.install.s390, since
    they were identical to the normal versions.
  * Remove debian/local/README.Debian-upgrade, since it is now so out of date
    as to be useless.
  * Cull the xmh package.
  * Remove patches #017, #086, #099a and #099c, since we no longer build libX11.
  * Remove patch #016, as we no longer build libICE.
  * Rename libglu-dev-xorg to libglu1-xorg-dev, and libglu1-dbg-xorg to
    libglu1-xorg-dbg, to sync up with Debian.
  * Remove XF86Config manpage.  XFree86 3.x is dead.  Let it go.
  * Remove lbxproxy, proxymngr and xfwp package files.
  * Remove now-redundant -DXprtServer=NO in -dbg building.
  * Move all xfree86 package changelogs to changelog.Debian.old.
  * Remove libglu1-xorg-dev's dependency on libstdc++-dev alternatives.
  * Rationalise build-deps: remove a bunch of stuff which we B-D upon, but no
    longer use.  Significantly, tetex-bin is gone; groff, libpng,
    bsdmainutils, fontconfig, libxcursor-dev, and lynx are also gone.
  * Remove 008_fix_xgetpw_macro.diff, bump B-D on x11proto-core-dev to
    6.8.99.2.  This patch was also broken in various ways, per upstream
    discussion, and we'll get a real fix via upstream, when it gets sorted
    out.
  * Drop Pre-Depends on x-common from various packages, since it was only
    complicating upgrades.
  * Don't bother with debian/imports; clean up remnants of xlibmesa-drm-source
    packaging.
  * Remove meaningless $Id$ tags -- this hasn't been from SVN for about a
    year now.
  * Remove dexlet, which was incapable of configuring xserver-xorg anyway.
    Obviously not too widely used ...
  * Stop building rstart for real, for real.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Mon,  4 Jul 2005 09:25:15 +1000

xorg (6.8.2-34) breezy; urgency=low

  * Revert X{Error,Keysym}DB parts of -32; these belong in libx11-6.
  * Move xkb symlinks from -32 to xlibs, since that's where the XKB data is.
  * Change force_keyboard_redetection flag to autodetect_keyboard, to be more
    consistent.
  * Debconf cleanup: remove unused and atrophied monitor code from
    xserver-xorg.config.in, remove misleading Subversion Id lines, clean up a
    bad use of $XORG_FORCE_PROBE, and more.  Always prompt for whether or not
    to redetect video card/keyboard/monitor on reconfiguring (well, at
    priority high, anyway).
  * Make autodetect_{video_card,monitor} actually meaningful (closes:
    Ubuntu#12072).
  * Add Pre-Depends on x-common (>= 1.0) to xserver-common and xlibs.
  * Move Xorg symlink from /usr/bin/X11 to /usr/bin, as the former is becoming
    a symlink to the latter with the new x-common.  Ditto X symlink.
  * Update i810 driver to latest from HEAD (modulo DRI interface change and
    InstallVideoObjectModule) to add i945 support, further fix mode validation,
    fix up Xv support (closes: Ubuntu#12172, #11674), et al.
  * Update SiS driver from HEAD (modulo DRI interface change, etc, etc) to fix
    DRI on 610 (closes: Ubuntu#6243), add non-rectangular MergedFB layouts,
    and other such hilarity.
  * Add xfree86.lst -> xorg.lst symlink (closes: Ubuntu#12167).
  * Add patch from Owen Taylor to fix repeating Pictures in offscreen memory
    in the fb layer (closes: Ubuntu#11941).
  * Add Conflicts/Replaces on old libx11-6 from xlibs-data (closes:
    Ubuntu#12108).
  * Exclude xorg-common from possible 'smoking guns' in looking for file
    overlaps.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Mon, 27 Jun 2005 19:10:24 +1000

xorg (6.8.2-33) breezy; urgency=low

  * Move pkg-config files to their proper place.  This fixes xcursor's
    FTBFS.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Thu, 30 Jun 2005 14:21:47 +0000
 
xorg (6.8.2-32) breezy; urgency=low

  * Fix XKB harder: provide xkb, XKeySymDB, XErrorDB Xsymlinks in both /usr
    and /usr/X11R6.  There seem to be things looking in both places at the
    moment
  * Add a (temporary?) symlink /usr/bin/X11/X -> /usr/X11R6/bin/X to get xinit
    working again

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 20 Jun 2005 11:46:12 -0700

xorg (6.8.2-31) breezy; urgency=low

  * now with the right links in debian/xlibs-data.links
  * changed x-window-manager.1x.gz to x-window-manager.1.gz in 
    twm.postinst.in

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 20 Jun 2005 16:03:31 +0200

xorg (6.8.2-30) breezy; urgency=low

  * Restore debian/xlibs-data.links

 -- Matt Zimmerman <mdz@ubuntu.com>  Sun, 19 Jun 2005 13:49:47 -0700

xorg (6.8.2-29) breezy; urgency=low

  * Fix dexconf harder

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri, 17 Jun 2005 17:54:14 -0700

xorg (6.8.2-28) breezy; urgency=low

  * Don't reset all debconf values when reconfiguring.  Instead, do so
    selectively based on the autodetect_* variables.  This allows
    preseeding to work with reconfiguration (for LTSP)
  * Fix typo in description of xserver-xorg/force_keyboard_detection
  * Revert an undocumented change to dexconf involving
    $MOUSE_PORT/has_multiplexed_mouse which occurred somewhere from -24 to
    -27 and caused a reference to a nonexistent "Generic Mouse"
    InputDevice to be added to the configuration (accidentally reverted
    patch from -21?)

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri, 17 Jun 2005 12:10:25 -0700

xorg (6.8.2-27) breezy; urgency=low

  * Add the all-important epoch to the libxext-dev (>= 1:6.4.3-1) build-dep

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 17 Jun 2005 08:58:41 +0000

xorg (6.8.2-26) breezy; urgency=low

  * Fix FTBFS in via driver (fix 000_stolen_from_unichrome.sf.net).
  * Hack via driver to not build new XvMC support (thanks, Adam Conrad).
  * Split out libXext.
    + Add Build-Dep on libxext-dev.
  * Update Build-Dep on x11proto-core-dev to >= 6.8.99.8-1.
  * Fix accidentally reverted -23 change to mkfontdir.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Fri, 17 Jun 2005 11:19:04 +1000

xorg (6.8.2-25) breezy; urgency=low

  * The 'whittling away at the beast' release.
  * Split out the rest of the protocol modules: Trap, Video, XCMisc, XExt,
    XF86BigFont, XF86DGA, XF86Misc, XF86VidMode.
    + Build-Depend on x11proto-trap-dev, x11proto-video-dev,
      x11proto-xcmisc-dev, x11proto-xext-dev, x11proto-xf86bigfont-dev,
      x11proto-xf86dga-dev, x11proto-xf86misc-dev, and
      x11proto-xf86vidmode-dev.
    + libxtrap-dev now depends on x11proto-trap-dev and x11proto-xext-dev.
    + libxv-dev and libxvmc-dev now depend on x11proto-video-dev.
    + libxext-dev now depends on x11proto-xcmisc-dev and x11proto-xext-dev.
    + libxxf86dga-dev now depends on x11proto-xf86dga-dev.
    + libxxf86misc-dev now depends on x11proto-xf86misc-dev.
    + libxxf86vm-dev now depends on x11proto-xf86vidmode-dev.
  * Split out libX11.
    + Build-Depend on libx11-dev.
  * Stop building the Rush extension entirely (libxxf86rush*).
  * Stop building libXaw version 8 altogether (libxaw8*).
  * Stop building Xprint for good (libxp*).
  * Fix twm postinst to refer to /usr/bin/twm, fix sequence of arguments.  And
    its other maintainer scripts.
  * Fix xdm postinst/prerm to refer to /usr/bin/xdm, rather than /X11.
  * Ditto xfs.  And its init script.
  * Stop building rstart for real.
  * Pass -silent to lndir, so it doesn't spew into the log quite as badly.
  * Fix mysterious vanishing of Depends lines from a lot of -dev packages.
  * Fix xbase-clients description as to where mkfontscale moved.
  * Update i810 driver from HEAD yet again, fixing 60Hz refresh rate issue
    (closes: Ubuntu#11195).
  * Add xserver-xorg/force_keyboard_detection flag (default false), that
    forces redetection of the keyboard map through the language/d-i layout ->
    XKB mapping; else, it will be preserved on reconfigures.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Mon, 30 May 2005 14:11:18 +1000

xorg (6.8.2-24) breezy; urgency=low

  * debian/control: Make libglu1-xorg Conflict with libglu1c2
  * debian/libglu1-xorg.shlibs: s/libglu1/libglu1c2/ for the CXX transition

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 14 Jun 2005 13:34:35 +0000

xorg (6.8.2-23) breezy; urgency=low

  * Install mkfontdir from debian/local, with a fixed path (closes:
    Ubuntu#11545).

 -- Daniel Stone <daniel.stone@ubuntu.com>  Fri, 10 Jun 2005 18:24:36 +1000

xorg (6.8.2-22) breezy; urgency=low

  * debian/shell-lib.sh: Fix xkbcomp symlink. Ubuntu 11438.

 -- Matthias Klose <doko@ubuntu.com>  Sat,  4 Jun 2005 12:40:09 +0000

xorg (6.8.2-21) breezy; urgency=low

  * The 'whoa, useful, but what if you get out of that groove?' release.
  * Break out panoramiX, RandR, Record, Resource and ScrnSaver proto modules.
    + Build-Depend on x11proto-panoramix-dev, x11proto-randr-dev,
      x11proto-record-dev, x11proto-resource-dev, and x11proto-scrnsaver-dev.
    + Update MANIFESTs accordingly.
    + libxinerama-dev now depends on x11proto-panoramix-dev.
    + libxrandr-dev now depends on x11proto-randr-dev.
    + libxtst-dev now depends on x11proto-record-dev.
    + libxres-dev now depends on x11proto-resource-dev.
    + libxss-dev now depends on x11proto-scrnsaver-dev.
  * Break out ICE and SM library modules..
    + Build-Depend on libice-dev and libsm-dev.
  * Move all xbase-clients and xutils apps to /usr/bin.
    + Drop rstart*, which are deprecated upstream and dangerous.
    + Drop xorgcfg and xorgconfig, which will reappear in xserver-xorg at some
      later point; dpkg-reconfigure xserver-xorg should be used in preference
      to these tools.
  * Fix Generic Mouse vs Configured Mouse hilarity in Dexconf (closes:
    Ubuntu#11555).
  * Add symlink from /usr/lib/X11/xkb -> /etc/X11/xkb in xlibs-data; make
    xlibs-data Pre-Depend on x-common.
  * Fix keysym<->string semantics by backporting the rest of Markus Kuhn's
    Great Keysym Cleanup from HEAD (closes: Ubuntu#10942).
  * Make xserver-xorg Pre-Depend on x-common, since it ships a symlink in
    /usr/bin/X11 now.
  * Stop building Xprint (libxp6, libxp6-dbg, libxp-dev) altogether.
  * Enforce tight versioned depends on libxau-dev and libxdmcp-dev.
  * Remove lbxproxy, xfwp, and xfindproxy.
  * Stop building xgc.
  * Change libstdc++5-3.3-dev dependency from libglu-dev-xorg to
    libstdc++6-dev | libstdc++-dev (closes: Ubuntu#11276).

 -- Daniel Stone <daniel.stone@ubuntu.com>  Wed, 25 May 2005 09:37:15 +1000

xorg (6.8.2-20) breezy; urgency=low

  * The answer to the previous release's question:
  * Update all the MANIFESTs for Xau/Xdmcp removal.
  * Stop Xau manpages from being installed.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Tue, 24 May 2005 23:08:57 +1000

xorg (6.8.2-19) breezy; urgency=low

  * The 'what could possibly go wrong?' release.
  * Remove GL element of 000_stolen_from_HEAD_includes.diff.
  * Remove /usr/include/GL/glx* symlinks from xlibmesa-gl-dev and
    libglu-dev-xorg.
  * Restore glxext.h to xlibmesa-gl-dev.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Tue, 24 May 2005 11:53:41 +1000

xorg (6.8.2-18) breezy; urgency=low

  * Remove libxau* and libxdmcp* from debian/control.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Tue, 24 May 2005 03:34:02 +1000

xorg (6.8.2-17) breezy; urgency=low

  * Break out Fontcache, Fonts, GL, Input and KB protocol modules.
    + Introduce Build-Depends on x11proto-{fontcache,fonts,gl,input,kb}-dev.
    + Remove files in these from tree/build in
      000_modularisation_proto_foo.diff.
    + Update MANIFESTs accordingly.
    + libxi-dev now depends on x11proto-input-dev.
    + libxkbfile-dev now depends on x11proto-kb-dev.
    + xlibmesa-gl-dev and libglu-dev-xorg now depend on x11proto-gl-dev.
  * Break out Xau and Xdmcp libraries.
    + Introduce Build-Depends on libxau-dev and libxdmcp-dev.
    + Stop these building, and remove headers, in
      000_modularisation_lib_foo.diff.
    + Remove libxau6, libxau6-dbg, and libxau-dev from this source package.
    + Remove libxdmcp6, libxdmcp6-dbg, and libxdmcp-dev from this source
      package.
    + Disable XDM authorisation, since the Wraphelp magic gets messy with an
      external libXdmcp.  It will return when libX11 and friends are built
      externally.
  * Pull new i810 driver from CVS HEAD, including gamma correction, better
    Fn-Fx display switching support (although still BIOS-crippled), support
    for i945G, ShadowFB support, DirectColor support, and the E7221 chipset.
  * Pull new sis driver from CVS HEAD, including SISCRTL extension, numerous
    fixes to display output, non-rectangular MergedFB layouts, RandR on
    MergedFB, fixes to physical alignment compensation modes, reflection
    support for Xrandr, segfault fix, and numerous other fixes.
  * Disable DPS/psres from building, and remove its packages entirely.
    + Update MANIFESTs accordingly.
    + This mirrors a change made to upstream, with no objections.
    + Remove dps* and texteroids from xbase-clients, and makepsres from
      xutils.
  * Add /usr/bin/X11/Xorg -> /usr/X11R6/bin/Xorg symlink in xserver-xorg.
  * Get rid of the Xprint init script as well as the manpage.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Sat, 21 May 2005 19:33:49 +1000

xorg (6.8.2-16) breezy; urgency=low

  * Break out BigReqs, Composite, Damage, DMX, EvIE and Fixes protocol modules.
    + Introduce Build-Depends on
      x11proto-{bigreqs,composite,damage,dmx,evie,fixes}-dev.
    + Remove files in these from tree/build, per
      000_modularisation_proto_foo.diff.
    + Update MANIFESTs accordingly.
    + libxcomposite-dev now depends on x11proto-composite-dev.
    + libxdamage-dev now depends on x11proto-damage-dev.
    + libxevie-dev now depends on x11proto-evie-dev.
    + libxfixes-dev now depends on x11proto-fixes-dev.
    + libdmx-dev now depends on x11proto-dmx-dev.
    + Remove all files from the above from shipping by xorg.
  * Fix includes in r128_driver.c.
  * Delete font_update from shell-lib.sh, remove update-fonts-* from
    debian/local/ and add it to xfonts-core.  Make xutils Depend on
    xfonts-utils.
  * Remove pm-dev and proxymngr from the face of the earth.
  * Remove FAQ since it is still referring to many archaic concepts such as
    XFree86 and XF86Config-4, and many other things where the behaviour has
    changed substantially from Debian to Ubuntu.
  * Update xfs.README.Debian, twm.README.Debian, xbase-clients.README.Debian,
    xdm.README.Debian, xorg-common.README.Debian, and xutils.README.Debian to
    not refer to the FAQ.
  * Remove xserver-common.README.Debian, as it primarily contained bad advice.
  * Changes from David Nusinow:
    + Merge in changes from Debian XFree86 SVN: shell-lib.sh, xfs.init,
      xserver-common.config.in, manifest-install-reconcile, validate-posix-sh,
      dexconf, dexconf.1, xvfb-run, xdm/Xstartup,
      Xsession.d/30xorg-common_xresources, xdm.options.5, XF86Config.7,
      xfs.options.5, Xsession.5, Xsession.options.5, Xwrapper.config.5.
    + Re-add Xreset script to local/xdm, MANIFEST.*, xdm.install.
    + Spelling fixes to dexconf.1.
    + Change twm manpage to twm.1x.
    + Thanks, David!
  * Remove /usr/{bin,include,lib}/X11 from maplink() in shell-lib.sh.
  * Merge patch from Fabio to fix SPARC FTBFS by removing -mv8 argument to gcc
    sunffb's Imakefile.
  * Remove the same from xorg-common.links (closes: Ubuntu#10968).
  * Switch libglu1-xorg's Provides to libglu1c2, from libglu1.
  * Note that all uncredited merges from Debian (particularly in the
    xfree86_4.3.0-6ubuntu* days) are from Branden Robinson.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Thu, 19 May 2005 01:20:44 +1000

xorg (6.8.2-15) breezy; urgency=low

  * Fix oldlibs dependencies on libglu-dev-xorg.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Thu, 19 May 2005 00:58:43 +1000

xorg (6.8.2-14) breezy; urgency=low

  * Merge Fabio's changes to -11, which were lost along the way.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Wed, 18 May 2005 17:38:24 +1000

xorg (6.8.2-13) breezy; urgency=low

  * Fix render-dev Build-Dep.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Wed, 18 May 2005 14:03:50 +1000

xorg (6.8.2-12) breezy; urgency=low

  * Stop building Xprint server totally.
  * Change default font paths from /usr/lib/X11/fonts to /usr/share/X11/fonts
    in default xorg.conf and also in update-fonts-*, which really need to move
    to another source package.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Wed, 18 May 2005 10:17:24 +1000

xorg (6.8.2-11) breezy; urgency=low

  * Death by a thousand cuts: the road to X11R7 begins here.
  * Remove all fonts and documentation packages, as these are now provided by
    external source packages.  Remove MANIFEST.all.  Never build fonts/specs
    from debian/rules.
  * Remove the x-dev package and all headers from the Xproto CVS module; this
    is now provided by x11proto-core-dev.  Build-Depend on x11proto-core-dev.
    + 000_modularisation_proto_X11.diff: new.
  * Add differences in xc/lib/X11/Key{Bind,symStr}.c to
    000_stolen_from_HEAD.diff; they are needed to reflect the cleanup done on
    keysymstr.h in HEAD.
  * Remove all traces of Xtrans from the monolithic tree and build-depend on
    xtrans-dev.
    + 000_modularisation_lib_xtrans.diff: new.
  * Merge in giant patch from HEAD to fix all includes (e.g. "X.h" ->
    <X11/X.h>).
  * Remove the xterm package, to be provided by an external source package.
  * Tweak xserver-xorg.postinst.in so we don't unconditionally write sync
    ranges when upgrading (closes: Ubuntu#8706).
  * Set the default depth to 16 when using an nVidia chipset on a laptop.
  * Don't bomb in xorg-common postinst if /usr/{bin,include,lib}/X11 aren't
    symlinks.
  * Force removal of xfree86-common init.d script if it hasn't been changed
    (closes: Ubuntu#8833).
  * Update i810 driver from HEAD to fix DDC mode validation (closes:
    Ubuntu#7878).
  * Add patch to MGA driver to prevent corruption on Mystique (closes:
    Ubuntu#10065).
  * Add patch from HEAD to fix Savage CLUT being left in 6-bit mode even in
    24-bit modes; remove blacklisting that forced Savages to 16-bit per
    default (really closes: Ubuntu#6127).
  * Only include linux/config.h in drm.h if __KERNEL__, fixing FTBFS with
    linux-libc-headers; thanks, Dave Airlie.
  * Only class tr_f and not tr (aka Turkish Q) as a non-Latin layout; change
    trfu and trqu mappings to trf and trq (closes: Ubuntu#9209).
  * gcc4 transition: change xlibmesa-glu to libglu1-xorg, ditto -dbg, and
    xlibmesa-glu-dev to libglu-dev-xorg.
  * Fix radeon_probe.h build with gcc4 (patch #024d).
  * Bump libxrender-dev Build-Dep to /usr-transitioned version; add explicit
    render-dev Build-Dep, at /usr-transitioned version; ditto libxft-dev and
    libxcursor-dev.
  * Add debian/patches/991_ubuntu_gcc_flags.diff, which fixes fbmmx's build
    with gcc4 (thanks Fabio).

 -- Daniel Stone <daniel.stone@ubuntu.com>  Wed,  6 Apr 2005 12:20:33 +1000

xorg (6.8.2-10) hoary; urgency=low

  * Include patch from Ben Herrenschmidt to fix assertion of DDC GPIO lines
    after a DDC probe had finished, which would render Apple Studio Displays
    useless.
  * Don't reset all templates when migrating from xserver-xfree86; this will
    render the template migration useless.  Don't mess with $RECONFIGURE when
    migrating from xfree86.  Set use_sync_ranges true when upgrading from
    xfree86 (closes: Ubuntu#8562, Ubuntu#8626).
  * Use debug_echo liberally in xserver-xorg.postinst.in to tell us why we're
    writing out sync ranges.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Tue,  5 Apr 2005 08:38:20 +1000

xorg (6.8.2-9) hoary; urgency=low

  * Fix postinst debconf errors when using 1920x1200 (closes: Ubuntu#8433).
  * Update Croatian keymap (thanks, Vedran Miletić).
  * Select 'us,$layout' for am ar, bg, by, el, il, ir, iu, lo, mk, ml, mm, mn,
    ru, th, tj, and ua by default, with Alt+Shift switching into that keymap;
    warn when a non-Latin layout is guessed or selected.
  * Warn on the console when we're overwriting our own templates with those
    from xserver-xfree86.
  * Be slightly less enthusiastic about feeding sync ranges: only do it if
    the sync ranges entered in advanced mode were not what we picked up from
    DDC (closes: Ubuntu#8432).
  * Add 1280x800@60 to the mode list.
  * Set keyboard layout question priority to low if we're not reconfiguring or
    on the first install.
  * Change the default layout for LANG=nl* to us (closes: Ubuntu#8336).

 -- Daniel Stone <daniel.stone@ubuntu.com>  Thu, 31 Mar 2005 13:56:38 +1000

xorg (6.8.2-8) hoary; urgency=low

  * Only migrate xserver-xfree86 templates if firstinst && !reconfig (closes:
    Ubuntu#7295).

 -- Daniel Stone <daniel.stone@ubuntu.com>  Thu, 31 Mar 2005 01:25:32 +1000

xorg (6.8.2-7) hoary; urgency=low

  * Fix postinst priority handling on first install.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 29 Mar 2005 19:07:10 +0200

xorg (6.8.2-6) hoary; urgency=low

  * Add more resolutions:
    + 1680x1050 for Dell Inspirons (closes: Ubuntu#7181).
    + 1920x1200 and 1680x1050 for Apple LCDs, and laptop LCDs (closes:
      Ubuntu#8138).
    + 1280x800 and 1280x768 for widescreen laptops.
  * Update 000_stolen_from_HEAD_i810.diff to incorporate i830_driver.c 1.14,
    which has a very small fix to DDC code.
  * Add new Radeon PCI IDs to 000_stolen_from_HEAD.diff, thanks to Alex
    Deucher (fd.o#2827).  Adjust offsets in 024a, 024b, 025 and 042.  Drag
    back support for the RN50 (ES1000) from HEAD.
  * Work around debconf/cdebconf differences in xserver-xorg.postinst.in
    bitdepth handling code.
  * Change test for rewriting keyboard layout from 'if seen' to 'if
    reconfiguring or first installation'.
  * Change default en_CA mapping to us (closes: Ubuntu#7448), default
    sv_SE mapping to se (closes: Ubuntu#7779), default el* mapping to
    us,el with an Alt+Shift toggle (closes: Ubuntu#7656), ditto for ru*
    mapping and us,ru (closes: Ubuntu#8202), and br-abnt2--* fallback to
    br/abnt2 (closes: Ubuntu#8264).
  * Only re-detect monitor settings if we're reconfiguring or on the first
    install (closes: Ubuntu#7809).
  * Write sync ranges by default on i810-based chips (as opposed to
    i830-based) when on a laptop (closes: Ubuntu#7814).

 -- Daniel Stone <daniel.stone@ubuntu.com>  Thu, 17 Mar 2005 13:47:46 +1100

xorg (6.8.2-5.1) hoary; urgency=low

  * Kick Debconf code back to 6.8.2-2 to work around cdebconf weirdness.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Thu, 17 Mar 2005 18:09:01 +1100

xorg (6.8.2-5) hoary; urgency=low

  * Change xutils Replaces on xbase-clients from 6.8.3-4 to 6.8.2-4 (thanks,
    Colin Watson).
  * Add mkfontdir.1x back to xbase-clients (fell out in -4).
  * Ensure $RECONFIGURE is set in postinst when we call xresprobeint, so the
    modes question doesn't get bumped to PRIORITY=medium when it shouldn't.
  * Add locale mapping for en_DK.UTF-8 (closes: Ubuntu#7690).
  * Add support from getting the bit depth from xresprobe if it tells us; the
    current intended use case is for Intel cards which do not support 24bpp,
    so we can fall back to 16.  Support for this was added in xresprobe
    0.4.15.
  * Make xorg-common depend on lsb-base, as it uses lsb-functions in its init
    script (closes: Ubuntu#7256).
  * Update nv driver from X.Org HEAD:
    + Fixes initialisation problems for chipsets where ChipID & 0xfff0 ==
      0x0090 (not that any of these are listed in there).
    + Fixes weird 'jagged lines' on NV34M flat panels (closes: Ubuntu#7680).
    + 'New hardware support'.
  * Add extra 1280x768 modeline; add 1280x768 to the list of whitelisted
    resolutions (closes: Ubuntu#7342).

 -- Daniel Stone <daniel.stone@ubuntu.com>  Wed, 16 Mar 2005 20:24:28 +1100

xorg (6.8.2-4) hoary; urgency=low

  * Fix additional security vulnerability in Xpm's bitmap_unit checking
    (closes: Ubuntu#7433, fdo#1920).
  * Remove mac-usb- prefix from d-i keyboard mappings before we run our
    detection routine (partially mitigates Ubuntu#7138).
  * Move mkfontscale from xbase-clients to xutils, as it does not depend on
    client-side X libraries, and mkfontdir from xutils was entirely reliant
    on mkfontscale (closes: Ubuntu#7391).
  * Add Swiss keymaps, thanks to Sylvain Pasche (closes: Ubuntu#7482).
  * Update i810 driver from HEAD, which now finally has support for validating
    modes against DDC ranges, and supports panels on pipe A (closes:
    Ubuntu#5864, Ubuntu#6973).

 -- Daniel Stone <daniel.stone@ubuntu.com>  Fri, 11 Mar 2005 12:53:55 +1100

xorg (6.8.2-3) hoary; urgency=low

  * Fix typo in libxvmc1.links (/usr/X11R6/libXvMC.so.1, indeed).
  * Ensure xserver-xorg/config/screen/modes is not asked across upgrades; only
    on first installs/reconfigurations.
  
 -- Daniel Stone <daniel.stone@ubuntu.com>  Thu,  3 Mar 2005 21:39:52 +1100

xorg (6.8.2-2) hoary; urgency=low

  * Remove level3(ralt_switch) from the US Dvorak layout, thanks Denis Barbier
    (closes: Ubuntu#5894).
  * Work out the XKB layout based on a combination of the selected
    debian-installer keymap and language, rather than purely on language.
    Don't prompt for the keymap if we can't work it out by default (priority
    medium).  Thanks to Matthias Urlichs and Matt Zimmerman.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Wed,  2 Mar 2005 15:12:28 +1100

xorg (6.8.2-1) hoary; urgency=low

  * New upstream version (update from 6.8.1.904).
    + Contains AMD64 PCIE BAR fix (closes: Ubuntu#6085).
    + Remove patches which were applied upstream, reshuffle others.
    + Rename 000_stolen_from_6.8_branch_benh_ati.diff to #022 to better
      reflect its status; it did not make 6.8.2 and will probably not make
      6.8.3, either.  Update with a fix from benh to ensure that the PLL
      dividers were always taken from the BIOS if we need to use them (closes:
      Ubuntu#6223).
    + Revert RADEONSetFBLocation() breakage that crept into 6.8.2 shortly
      before release.
    + Update Via driver from unichrome.sf.net (closes: Ubuntu#6887).
    + Update i810 driver from HEAD, which fixes video artifacts among other
      things (closes: Ubuntu#5738).  CRT mode validation still broken.
  * Allow XORG_CONFIG="custom" to be passed to Debconfiscation.  Leaves
    xorg.conf alone.  Source variables from /etc/default/xorg, which doesn't
    exist by default.
  * Add some more r128 chip identifiers to our special sync range
    blacklisting.
  * Fix extraneous quoting in xvfb-run, again (closes: Ubuntu#5531).
  * Fix second TMDS head initialisation on r3xx (closes: Ubuntu#4343).
  * Ensure sync ranges are written out if we ask the user for them (closes:
    Ubuntu#6184).
  * Add 1920x1200 modes, sans sync ranges for now (closes: Ubuntu#6252).
  * Remove #031 (glxinfo_makefile) as it was incorrect, per upstream, and
    just ensure that libGLU is linked against libstdc++ instead.
  * Patches #054 and #055 (evdev keyboard/mouse): change "Device" to "Dev
    Device" in the options section.  The configuration parser thoughtfully
    puts a default of /dev/psaux for the mouse's Device, thus making it
    impossible to specify Dev Name/Dev Phys and not Device.
  * Fix numerous interactions with dpkg-reconfigure and
    xserver-xorg.config.in, so it should now just preserve configuration
    changes on upgrades, and probe and write upgrades when invoked via
    dpkg-reconfigure and the first time (closes: Ubuntu#6484).
  * Silently migrate server symlink from /usr/X11R6/bin/Xorg to
    /usr/bin/X11/Xorg, which should silence a few errors.
  * Strip .UTF-8 and @euro from the end of $LANG in xserver-xorg.config.in,
    to fix the $LANG->keyboard layout problem (closes: Ubuntu#6270).
  * Change 'xfree86' to 'xorg' in keyboard ruleset template (closes:
    Ubuntu#6477).
  * Change the default bitdepth on Savage to 24 (closes: Ubuntu#6127).
  * Ensure that we prompt at priority critical if we can't properly guess the
    keyboard layout, although we shouldn't have to guess.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Sat, 12 Feb 2005 13:16:51 +1100

xorg (6.8.1-1ubuntu16) hoary; urgency=low

  * This upload re-introduces all the 6.8.1-1ubuntu13 changes reverted in
    6.8.1-1ubuntu14; the changelog entries for 14 and 15 are here for
    historical purposes only.
  * Also write sync ranges out if DDC fails completely -> no resolutions, no
    sync ranges from DDC; tidy up code so sync ranges get written unless
    either we're on a laptop with a non-blacklisted chipset, or we're on a
    CRT/desktop LCD, and DDC succeeds and provides us with a sync range, or
    the user has been asked about them (closes: Ubuntu#6184).
  * Since DDC with powerpc/ati seems to be so flaky, blacklist every ATI card
    on PowerPC in terms of writing out sync ranges (closes; Ubuntu#6117).
  * Clear out $XORGTEMPLATES on xserver-xorg.config.in if XORG_FORCE_PROBE is
    either null or "yes", as opposed to if it was non-zero.  Reverse test in
    xserver-xorg.config.in so that auto_answer will only attempt to use an
    existing answer if it's actually there.
  * Add additional backwards compatibility in terms of accepting "yes" for
    XORG_FORCE_PROBE everywhere a null is accepted.
  * If we come up with UNKNOWN as a keyboard layout, bump the question
    priority right up to critical, regardless of whether or not we're
    reconfiguring.
  * Remove extraneous quotes in xvfb-run (closes: Ubuntu#5531).
  * Remove sis_dri.so from xlibmesa-dri-dbg.install.ia64.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Thu,  3 Feb 2005 16:22:30 +1100

xorg (6.8.1-1ubuntu13) hoary; urgency=low

  * Pull fix to I2C code to properly deal with waiting, which should fix DDC
    probes on a few monitors (closes: Ubuntu#6032).
  * Rewrite Debconf logic to write a new xorg.conf if it doesn't exist, and
    default to using xresprobe (use XORG_FORCE_PROBE=no to disable this
    behaviour).  If invoked via dpkg-reconfigure, write a new configuration
    file and back the old one up.  Always let the user know if we're not
    touching it (promote many messages from observe to warn).
  * Add i915_dri.so to amd64 install files.
  * Resume building tdfx_dri.so on amd64 and ia64 (stolen from HEAD);
    remove sis_dri.so from ia64 install files as it is 64-bit unclean.
  * Stop shipping tdfx_dri.so on powerpc.
  * Fix cat-walking-across-keyboard attack in dexconf; add dexconf to list of
    files which get shell-sanity-checked at build time.
  * Remove Speedo directory from list of server-side fonts, and stop shipping
    all Speedo fonts.  No-op the speedo module within #028.
  * Mirror changes to xfree86.cf in #003 to xorg.cf as well, since the former
    is deprecated; clean up LinuxDebian section in linux.cf, grooming it for
    total removal.  Get rid of DefaultGcc2{i386,AMD64,Ppc,Ppc64,Axp}Opt, since
    it was defined to the default set of arguments anyway.
  * Remove patch #913 (don't load Verite/MGA firmware), and add firmware to
    000_stolen_from_6.8_branch.diff.
  * Move *.1 manpages to *.1x, a change that got lost from xfree86->xorg.
  * Move cirrus_laguna.o, cirrus_alpine.o and riva128.o to *_drv.o.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Tue,  1 Feb 2005 01:14:12 +1100

xorg (6.8.1-1ubuntu12) hoary; urgency=low

  * Resync Imakefiles for Mesa, so t_vb_cull gets built, and i915_dri is
    loadable (closes: Ubuntu#5664).
  * Also from Mesa 6.2.x branch, grab fix for lockups on Radeon M7-class chips
    (fd.o#2361).
  * Update from 6.8 branch; remove patches #096 and #601 as they were merged in
    this morning.  This release is almost entirely equivalent to 6.8.1.903
    (aka 6.8.2RC3).
  * Disable building of largely defunct XRX plugin in linux.cf.
  * Guess at a reasonable default for $DISPLAY_TYPE if xresprobe doesn't feed
    us a display type (closes: Ubuntu#5639).
  * Set $LAPTOP in xserver-xorg.postinst.in.
  * Move the test for resolutions-via-DDC-but-no-sync-ranges around in
    xserver-xorg.postinst.in, so $NRES is set when we call it (closes:
    Ubuntu#5754).
  * Write sync ranges for all r128s on powerpc (closes: Ubuntu#5940).
  * Remove speedo and v4l from the list of modules loaded per default.
  * Fix comments at the top of the config file to be more accurate (closes:
    Ubuntu#5748).
  * Don't load GLcore in the default set of modules, per Adam Jackson.
  * Add hardened Linux support via a small call in postinst.
  * Change default builder from canonical.com -> ubuntu.com.
  * Add <X11/Xlib.h> to scrnsaver.h's #includes, add libx11-dev dep to
    libxss-dev.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Wed, 19 Jan 2005 18:49:04 +1100

xorg (6.8.1-1ubuntu11) hoary; urgency=low

  * dexconf: Disable UseFBDev for vga16, as a temporary-ish fix.  Add
    XORG_USE_FBDEV environment variable; set XORG_USE_FBDEV=no to force
    disabling the framebuffer when reconfiguring.
  * Move logic for when to write sync ranges from dexconf to
    xserver-xorg.postinst(.in), so we can work out when DDC did or didn't
    succeed.  Based on this, if we have a list of resolutions, are on a CRT,
    but don't have a list of sync ranges, write sync ranges out (closes:
    Ubuntu#4614).
  * Bump recommendation on xresprobe to >= 0.4.13, since the disptype stanza
    was only introduced in that release.
  * Add XORG_SYNC_RANGES environment variable; set it to yes to always get
    HorizSync/VertRefresh lines written out.
  * Special-case the tdfx driver to default to 16bpp, so we can have DRI
    enabled per default.
  * Stop blacklisting via driver for xresprobe now we have unichrome from HEAD.
  * Add id_ID -> us $LANG/xkb mapping.
  * Backport Mesa 6.2.x branch, which should stop r128+DRI hangs on start on
    powerpc, and introduces i8xx DRI suspend/resume support (closes:
    Ubuntu#4705).
  * Pull the entirety of the i8xx driver back from head; partially because of
    the above, but also because the initial partial backport broke mode
    validation on external DDC monitors.
  * Change my email address from canonical.com -> ubuntu.com.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Mon, 17 Jan 2005 12:21:26 +1100

xorg (6.8.1-1ubuntu10) hoary; urgency=low

  * Change Option "HorizSync" "xx-yy" and Option "VertRefresh" "yy-zz" to
    HorizSync xx-yy and VertRefresh yy-zz in dexconf; thanks Marius Gedminas
    for the catch.
  * Disable horizontal scrolling by default on Synaptics touchpads (closes:
    Ubuntu#5014).
  * Pull i8xx/i915 driver back from HEAD, as it contains numerous improvements
    from Tungsten -- i915GM support, PanelID support, and support for custom
    video modes in the video BIOS, eliminating the need for
    855wrap/855resolution/865patch, et al (closes: Ubuntu#2827).
    + Mesa 6.2.x branch, which will allow DRI around suspend/resume (also
      fixing random video bustage after suspend/resume) on i8xx, is pending,
      and will be in the next revision.
  * Map right Apple -> Level 3 shift (AltGr) on Macintosh European layouts per
    default (closes: Ubuntu#2327).
  * dexconf: use dpkg --print-installation-architecture instead of
    dpkg-architecture, so we can do clean installs on hoary (and
    reconfigurations on the live CD) without dpkg-dev installed.
  * Add original iMacs to the list of desktop hardware which needs sync ranges
    written out, and via to the list of LVDS-driving chipsets which need sync
    ranges also (closes: Ubuntu#5085).
  * Add #099p, which changes the second level of tilde from backslash to é on
    Turkish keyboards (closes: Ubuntu#5318).
  * Backport the entire via driver from the Unichrome project.
  * Rename XORGFORCEPROBE to XORG_FORCE_PROBE; make .config.in reset all
    values to defaults if this environment variable is set (semantics note:
    change most $RECONFIGURE tests to assume first install if -z $RECONFIGURE
    || -n $XORG_FORCE_PROBE, so you get the equivalent of the first install).
  * Rename DEBUG_XFREE86_PACKAGE to DEBUG_XORG_PACKAGE, and
    DEBUG_XFREE86_DEBCONF to DEBUG_XORG_DEBCONF, but still respect old
    variables.

 -- Daniel Stone <daniel.stone@canonical.com>  Mon, 10 Jan 2005 03:23:13 +1100

xorg (6.8.1-1ubuntu9) hoary; urgency=low

  * Note: This version, and all versions since ubuntu7, are effectively
    6.8.2RC1.
  * #028: Add lib%s.so and %s_drv.so support back, as the nVidia binary driver
    installs libglx.so.  Also eliminate use of regular expressions in
    LoaderListDirs and LoaderGetCanonicalName, which should shave a bit of CPU
    time off.
  * Use xc/config/util/lndir instead of cp -al to create a shadow tree for
    building the debug server, which should make it more portable across
    multiple filesystems, as well as being a lot quicker to copy originally.
  * Update MANIFEST.hppa.in and all install files to currency (thanks, LaMont
    Jones).
  * Add xorgversion.def and Xprt.1 to MANIFEST.ia64.in, fixing FTBFS.
  * Force a tight, same-version, dependency on xlibmesa-gl from xlibosmesa4
    that cannot be satisfied by an alternative (closes: Ubuntu#5064).
  * Add XKB support for extended functions of CyMotion Master Linux and A4Tech
    KB21 keyboards (closes: Ubuntu#4245, Ubuntu#5171).
  * Add patch from Alex Deucher to hopefully resolve the problem on Radeons
    whereby initialising CRTC2 didn't set DPMS up properly, so the second head
    would come up blank until you manually forced the monitor power off and
    then on via DPMS (closes: Ubuntu#4343).
  * Merge changes from Debian XFree86 packaging since we moved to X.Org
    (current with SVN 2113; closes: Ubuntu#4343).
    + Includes shipping koi8rxterm and lxterm, with lxterm now the default
      terminal emulator in the xterm package.
  * Use $() instead of `` in xserver-xorg.postinst.in; add Canonical copyright
    attribution.

 -- Daniel Stone <daniel.stone@canonical.com>  Tue,  4 Jan 2004 10:31:21 +1100

xorg (6.8.1-1ubuntu8) hoary; urgency=low

  * Brown paper bag: change lib%s.so and %s_drv.so to lib%s.a and %s_drv.o in
    patch 028.

 -- Daniel Stone <daniel.stone@canonical.com>  Sun, 19 Dec 2004 12:53:08 +0100

xorg (6.8.1-1ubuntu7) hoary; urgency=low

  * If we're on nv/savage/trident and a laptop (i.e. likely to be using LFP),
    or we're on an older iBook with a DDC-capable LCD that doesn't have a BIOS
    table or expose sync ranges via DDC, write out HorizSync and VertRefresh
    to the config file, since both of these drivers fail to set sane sync
    ranges when taking the resolution from a BIOS table (closes:
    Ubuntu#4348, Ubuntu#4616).
    + Modified: debian/local/dexconf
  * Update 000_stolen_from_6.8_branch.diff to the latest XORG-6_8-branch, and
    merge patches 000_stolen_from_patches, 009, 022, 025, 029, 079m, 099l, 104,
    and 450 in, since they have been put in the 6.8.x branch upstream.
  * Add a 1280x800 modeline to the standard set (closes: Ubuntu#4637).
    + Modified: debian/patches/989_ubuntu_extra_modelines_from_xorg.diff.
  * Include first cut of loader speed hacks -- be far more careful (to the
    tune of ~5000 loader opens, and lots of CPU time) in FindModule.
    + New: debian/patches/028_loader_speed_hack.diff
  * Only provide xserver-xorg for -dbg, not xserver-xfree86.

 -- Daniel Stone <daniel.stone@canonical.com>  Mon, 13 Dec 2004 10:18:29 +0100

xorg (6.8.1-1ubuntu6) hoary; urgency=low

  * Remove damage.h from sparc MANIFEST.
  * Take DPMS patch from fd.o#1394 rather than #792, which should actually fix
    it for everyone (update 000_stolen_from_6.8_branch.diff).

 -- Daniel Stone <daniel.stone@canonical.com>  Wed,  8 Dec 2004 09:17:54 +0100

xorg (6.8.1-1ubuntu5) hoary; urgency=low

  * Don't probe usb, ide, and scsi buses on config (closes: Ubuntu#4396).
  * Add back MANIFEST.sparc.in changes from Fabio to let it build, which were
    mysteriously reverted from arch at some point.
  * Fix weak dependencies in libGL (closes: Ubuntu#4315).

 -- Daniel Stone <daniel.stone@canonical.com>  Mon,  6 Dec 2004 14:38:57 +0100

xorg (6.8.1-1ubuntu4) hoary; urgency=low

  * Remove debian/patches/099d*, as it broke UTF-8 locale handling and didn't
    actually fix the xterm manpage at all (closes: Ubuntu#3645).

  * Add patches stolen from the X.Org 6.8.x branch, including:
    + Perform soft resets right on non-r3xx (fd.o#988).
    + Prevent segfault in GLX on certain GL versions (fd.o#1672).
    + Fix server crash when unsetting screensaver attributes (fd.o#1695).
      (fd.o#591).
    + Prevent conflict with certain #defined constants (bool) in xf86cfg
      (fd.o#557).
    + Drag nVidia driver back from XFree86 (via X.Org HEAD) with more hardware
      support, fix for DPMS issues, PCI-Xpress support, DPMS on DVI, cursor
      fixes for NV11, proper console restoration, and Xv syncing on vblank
      (fd.o#1777).
    + Fix a stack overflow in XKB handling within libX11 (fd.o#1459).
    + Fix xmodmap stack overflow (fd.o#1818).
    + Fix from myself to fix panel size derivation when stretching is enabled
      (fd.o#1881, Ubuntu#1218).
    + Include server control keys in macintosh/us XKB definition (fd.o#1872).
    + Actually reset DPMS timer on input (fd.o#792, Ubuntu#3614).
    + Move all the fixes from #000 Fedora to this patch, as they have since
      been approved for 6.8.2.
    - New: debian/patches/000_stolen_from_6.8_branch.diff
    - Removed: debian/patches/000_stolen_from_fedora.diff
    + Large patch from Ben Herrenschmidt rejigging the detection logic for
      many ATI cards; see annotation in patch.  Note that this is not yet
      committed, so this patch is subject to change and hasn't yet been folded
      into _6.8_branch.diff.  This patch obsoletes #099m.
      - New: debian/patches/000_stolen_from_6.8_branch_benh_ati.diff
      - Updated:
      debian/patches/024_ati_r128_and_radeon_enable_build_without_vgahw.diff
      - Removed: debian/patches/099m_radeon_fwpll_support.diff

  * Remove interrupt handler completely on exit so we don't get lockups
    (closes: Ubuntu#2411).
    + New: debian/patches/025_r128_remove_interrupt_handler.diff

  * Add 1440x900 @ 100Hz modeline for 17" Apple iMacs (closes: Ubuntu#3712).
    + Updated: debian/xserver-xorg.templates,
      debian/989_ubuntu_add_extra_modelines_from_xorg.diff

  * Stop writing out HorizSync and VertRefresh lines to xorg.conf; if it can
    be detected by DDC, then let the driver do that instead of tying us to a
    specific monitor, and if we need to calculate it from the resolution, then
    it's a driver bug that needs fixing.
    + Updated: debian/local/dexconf.

  * First cut at proper ia64 control files (closes: Ubuntu#3817).
    + Updated: debian/MANIFEST.ia64.in, debian/xserver-xorg.install.ia64,
      debian/xlibmesa-dri.install.ia64, debian/xlibmesa-dri-dbg.install.ia64,
      debian/xserver-xorg.docs.ia64

  * Stop shipping damage.h, which is an old preliminary cut at the Damage
    client API; superseded by Xdamage.h.
    + Updated: MANIFEST.*.in, libxdamage-dev.install.

  * Fix link name (Xres->XRes) in libxres1.

  * Make libx11-dev Depend on libxkbfile-dev, and libxp-dev on libxau-dev, as
    they use files from these libraries.

  * Add dmxext.h and dmxproto.h to libdmx-dev.

  * Ship Xorg-debug.1 in xserver-xorg-dbg instead of Xorg-debug.1x (thanks,
    James Troup).

 -- Daniel Stone <daniel.stone@canonical.com>  Fri, 19 Nov 2004 15:23:50 +0100

xorg (6.8.1-1ubuntu3) hoary; urgency=low

  Changes by Fabio M. Di Nitto:

  * Add build-server-alone target in debian/rules.

  * Improve evdev input layer to support Option "Device" "<path_to_device>"
    directly for keyboard devices. Update patches:
    - 053_lnx_evdev.diff.
    - 054_lnx_evdev_mouse.diff.
    - 055_lnx_evdev_keyboard.diff.

  * Readd lost copyright information in patch 054_lnx_evdev_mouse.diff.

  * Add patch 020_add_sigusr2_signal_handler.diff.

  * Fix forward port of patch 092_Xserver_sunffb_xaa_extension.diff.

  * Update MANIFEST.sparc.in and *.install.sparc.

  Changes by Daniel Stone:

  * debian/patches/013_novtswitch_option.diff:
    Add -novtswitch option, which inhibits the initial switch to, and the
    final switch from, the new VT.
  * debian/patches/018_sharevts_option.diff:
    Add -sharevts option, which allows multiple X sessions to share a single
    VT.
  * Security upload (mirroring xfree86 4.3.0.dfsg.1-6ubuntu25.1):
    Properly fix CAN-2004-0687 and 0688, with xpm-sec7.diff from Mathieu
    Herrb.  New number is CAN-2004-0914.  Patch in
    debian/patches/000_stolen_from_patches.diff (taken from
    http://www.x.org/pub/X11R6.8.1/patches/).
  * debian/rules: Change default builder from fabbione to myself.

 -- Daniel Stone <daniel.stone@canonical.com>  Sun, 14 Nov 2004 13:03:44 +0100

xorg (6.8.1-1ubuntu2) hoary; urgency=low

  * Remove xlibs-dbg's dependency on libxft1-dbg, to allow it to become
    installable again.

  * Remove Xcomposite, Xdamage, Xfixes, Xevie, et al, headers from
    libxext-dev, where they most certainly did not belong.
  
  * Add missing libfoo.so.x -> libfoo.so.x.y links to libraries recently split
    from xlibs-static-dev: libxaw8, libdmx1, libxfixes3, libxinerama1,
    libxkbfile1, libxkbui1, libxcomposite1, libxdamage1, libxres1, libxvmc1,
    libxxf86dga1, libxxf86misc1, libxxf86rush1, libxxf86vm1.

  * libxevie1.install, libxevie1.links, libxevie1-dbg.install,
    libxevie1-dbg.links, libxevie-dev.install, libxevie.links:
    Add missing files.

  * Change xlibmesa-glu-dev's Depends on libstdc++5-dev to libstdc++5-3.3-dev
    (closes: Ubuntu#3483).

  * Add patch to fix unsubstituted __appmansuffix__ all through manpages.
    + debian/patches/004_imake_manpage_handling_overhaul.diff -- extended
    + debian/patches/041_make_xcursor_icondir_configurable.diff -- rediffed
  
  * debian/patches/990_ubuntu_accept_enabled_for_extensions.diff: accept
    Enabled and Disabled for the Extensions section, so what I said in my
    -announce mail actually works.

 -- Daniel Stone <daniel.stone@canonical.com>  Tue,  9 Nov 2004 22:59:11 +0100

xorg (6.8.1-1ubuntu1) hoary; urgency=low

  * Change all Conflicts/Replaces regarding to 6.8.1-0.4 to refer to
    6.8.1-0ubuntu1 instead, to get working upgrades.

 -- Daniel Stone <daniel.stone@canonical.com>  Tue,  9 Nov 2004 19:21:36 +0100

xorg (6.8.1-0ubuntu1) hoary; urgency=low

  Changes by Daniel Stone:

  * Split the following libraries out from xlibs-static-dev/xlibs-static-pic
    into their own libfooX/libfooX-dbg/libfoo-dev packages:
    libXau, libXdmcp, libFS, libXRes, libXcomposite, libXdamage, libXfixes,
    libXinerama, libXss, libXvMC (including libI810XvMC), libXxf86dga,
    libXxf86misc, libXxf86rush, libXxf86vm, libxkbfile and libxkbui.
    + Update MANIFEST.{amd64,i386,powerpc}.in.
    + Stop building liboldX altogether.

  * Move Xprint library manpages from xlibs-static-dev to libxp-dev; libxp-dev
    now declares a conflict on xlibs-static-dev (<< 6.8.1-1).

  * Re-add 099m_radeon_fwpll_support.diff, which got reverted in
    4.3.0-6ubuntu25; enables TV out (and probably better timing setup) on
    powerpc and i386.

  Changes by Fabio M. Di Nitto:

  * Ship i810 driver for amd64:
    - Add patch 601_enable_i810.diff.
    - Update MANIFEST.amd64.in.
    - Update xserver-xorg.install.amd64

  * Update debian/rules to not strip new -dbg libraries.

  * Add maintainer scripts and shlibs files to all the new libraries.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Tue, 09 Nov 2004 16:00:29 +0100

xorg (6.8.1-0.3) hoary; urgency=low

  Changes by Daniel Stone:

  * Import patch 009_ati_r128_retry_idle_until_timeout.diff from Debian trunk
    to fix r128 code processor stalls.

  * Branding: change XFree86 to X.Org whereever possible.

  * Update copyright file.

  * Update Maintainer/Uploaders to better reflect us.
  
  Changes by Fabio M. Di Nitto:

  * Fix patch 099z_xkb_fix_rules_xfree86.diff to provide valid XML.
    The error was introduced during the massive forward port, and
    doesn't affect previous versions of XFree86.

  * Really ship libxaw8-dbg non-stripped.

  * Fix " parsing for monitor identifiers in xserver-xorg.postinst.in.
    (Closes: #2604)

  * Add patch 000_stolen_from_HEAD.diff:
    - fix dmx/config/Imakefile and install the tools required to configure the
      Xdmx server. Also update MANIFEST files to reflect the new binaries.
    - fix config/cf/linux.cf and programs/Xserver/hw/xfree86/common/Imakefile
      to use the proper XorgCustomVersion.
      Also update debian/rules to remove XFree86CustomVersion references.
    - rediff 001_kernel_version_in_banner.diff and 900_debian_config.diff.

  * Ship Xdmx server in its own package.

  * Fix dexconf header generation.

  * Fix xfree86-common config file renaming on upgrades.

  * Fix xserver-xorg config file removal on purge.

  * Perform more cleanup on obsoleted config files in xbase-clients, xdm and
    xlibs.

  * Add patch 000_stolen_from_fedora.diff to import fixes for the radeon driver
    that were causing segfaults in different setups.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Fri, 05 Nov 2004 09:08:26 +0100

xorg (6.8.1-0.2) hoary; urgency=low

  Changes by Daniel Stone:

  * Forward port:
    000_stolen_from_linuxwacom_wacom_driver.diff.
    099l_xxf86vm_decrease_verbosity.diff.

  * Merge 990_ubuntu_noisy_xkb.diff into 003_linux.cf_and_xfree86.cf.diff.

  Changes by Fabio M. Di Nitto:

  * Fix xserver-xorg.config/postinst to not probe the system again if we are
    migrating configuration.

  * Add sis_dri debugging modules [i386].

  * Fix /etc/X11/Xresources/*xfree86-common* transition.

  * Update MANIFEST.amd64.in and related .install.amd64 files.

  * Update MANIFEST.powerpc.in and related .install.amd64 files.

  * Forward port 989_ubuntu_add_extra_modelines_from_xorg.diff

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Thu, 04 Nov 2004 09:12:44 +0100

xorg (6.8.1-0.1) hoary; urgency=low

  * Fix xorg-common postinstall script to handle fresh installs.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Thu, 04 Nov 2004 05:30:27 +0100

xorg (6.8.1-0.0) hoary; urgency=low

  * New upstream release.
    (Closes: #1762)

  * debian/patches resync:
    + Put the following patches in stanby (temporary removed):
        000_stolen_from_author_sis_driver.diff
        000_stolen_from_sourceforge_wacom_driver.diff
        067_fix_X11_and_xdm_build_problems.diff
        600_amd64_support.diff
        901_debian_Wraphelp.c.diff
    + Remove the following patches since they are either upstream or not
      required anymore:
        000_*
        006_ati_radeon_fix_eternal_initialization.diff
        010_s3_trio64_dx_and_gx_support.diff
        013_xkb_symbols_euro_support.diff
        018_xtt_1.4.1.diff
        020_conditionalize_xie_headers.diff
        025_fix_dri_resume.diff
        027_ati_driver_message_cleanups.diff
        028_fbdev_depth24_support.diff
        030_Xserver_and_driver_region_primitive_fixups.diff
        032_xserver_manpage_fix.diff
        034_xset_manpage_update.diff
        036_fix_r200_DRI_driver_assertion_failures.diff
        037_mga_fix_unresolved_symbols.diff
        038_ICE_remove_bogus_delay.diff
        039_mkfontdir_force_correct_perms.diff
        043_ati_r128_update_chip_identification.diff
        049_Xserver_recognize_Linux_2.6_proc_bus_pci.diff
        052_glint_fix_unresolved_symbols.diff
        056_xdmcp_Wrap.h_fixes.diff
        061_savage_driver_1.1.27t.diff
        064_remove_duplicate_XShm_prototype.diff
        066_XKB_recognize_keypad_period_on_ABNT2_keyboards.diff
        071_nonexecutable_malloced_mem.diff
        074_freetype_fix_underlining.diff
        077_xdm_honor_request_port_zero.diff
        087_SECURITY_libXpm_vulnerabilities.diff
        088_fix_keyboard_rate_ioctls.diff
        093_xkb_fix_macintosh_problems.diff
        099b_Xft_FreeType_2.1.7_build_fix.diff
        099i_pro_savage_ddr_set_use_bios_to_false.diff
        101_type6_xkb_support.diff
        150_powerpc_build_nv_driver.diff
        200_alpha_xpm_get_long64.diff
        301_not_all_arm_boxes_run_netbsd.diff
        302_arm_compiler.h.diff
        451_ia64_ati_r128_and_radeon_generalize_pagesize.diff
        801_gnu_os-support_Imake.diff
        802_gnu_disable_vt_switching.diff
        804_gnu_xdm.diff
        822_gnu-freebsd_xload.diff
        911_debian_XF86Config_to_XF86Config-4.diff
        914_debian_Xserver_send_bugs_to_us.diff
    + Rename the following patches:
        - 033_no_specindex.html.diff to 033_no_html.diff
        - 099e_XF86Config_manpage_overhaul.diff to
          099e_xorgconf_manpage_overhaul.diff
    + Add patches:
        - 006_update_fonts_Imakefiles.diff to fix different encoding
          generation problems.
        - 010_donot_ship_XpConfig.diff.
        - 013_donot_install_hardcopy_in_arch_mode.diff.
        - 060_fix_XOrgManDefs.diff to fix man page generation in the
          entire X.org tree.
        - 914_make_static_libs.diff to temporary revert some upstream changes
          until further investigation will be completed.
    + Update patches:
        - 003_linux.cf_and_xfree86.cf.diff:
          . Define NothingOutsideProjectRoot if not define already.
            Shutd up tons of warning at build time.  This seems to be a side
            effect of the new Imakefiles.
          . Use external rman (see below).
          . Do not build html documentation at all.
          . Build almost all XSpecs.
          . Build internal RenderLibrary (see below).
          . Build only XPrintServer and not all the related stuff.
        - 900_debian_config.diff:
          . Do not build Xprint server.
    + All the remaining patches have been resynced to apply properly.

  * Add build dependency on rman.
    The version in Debian is more updated than the one in the tree and it
    offers the same capabilities.

  * Start cleaning debian/rules to remove references to XFree86.

  * Update SERVERDEBUG_IMAKE_DEFINES to not build Xdmx.

  * Update IMAKE_DEFINES to not install hardcopy on binary-arch target.

  * Update debian/control:
    + kill libxft1 and libxft1-dbg.
    + rename xserver-xfree86 and xserver-xfree86-dbg to xserver-xorg and
      xserver-xorg-dbg.
    + ship dummy xfree86-common, xserver-xfree86 and xserver-xfree86-dbg
      packages to ensure smooth transition.
    + rename xfree86-common to xorg-common.
    + ship the following new shared libraries:
      libxaw8, libxaw8-dbg, libxaw8-dev.

  * Update MANIFEST files for i386 and arch all.

  * Global .install .doc files updates.

  * Update copyright file to reflect new upstream.

  * Rename uxterm.1x to uxterm.1 to reflect upstream man page name schema
    changes.

  * Update all po/ dir to s/xfree86/xorg/g.

  * Fix xorg-common and xfs init scripts output redirection.
    (Closes: #2618)

  * Sanitize the following maintainer scripts:
    - libdps1.postinst.in to use register_x_lib_dir_with_ld_so.
    - libdps1.postrm.in to use deregister_x_lib_dir_with_ld_so.
    - libice6.postinst.in to safely call ldconfig.
    - libsm6.postinst.in to safely call ldconfig.
    - libx11-6.postinst.in to safely call ldconfig.
    - libxaw6.postinst.in to use register_x_lib_dir_with_ld_so.
    - libxaw6.postrm.in to use deregister_x_lib_dir_with_ld_so.
    - libxaw7.postinst.in to use register_x_lib_dir_with_ld_so.
    - libxaw7.postrm.in to use deregister_x_lib_dir_with_ld_so.
    - libxext6.postinst.in to safely call ldconfig.
    - libix6.postinst.in to safely call ldconfig.
    - libxmu6.postinst.in to safely call ldconfig.
    - libxmuu1.postinst.in to safely call ldconfig.
    - libxp6.postinst.in to safely call ldconfig.
    - libxpm4.postinst.in to safely call ldconfig.
    - libxrandr2.postinst.in to safely call ldconfig.
    - libxt6.postinst.in to safely call ldconfig.
    - libxtrap6.postinst.in to safely call ldconfig.
    - libxtst6.postinst.in to safely call ldconfig.
    - libxv1.postinst.in to safely call ldconfig.
    - twm.postinst.in call to update-alternatives to use the correct man page.
    - xlibmesa-gl.postinst.in to use register_x_lib_dir_with_ld_so.
    - xlibmesa-gl.postrm.in to use deregister_x_lib_dir_with_ld_so.
    - xlibmesa-glu.postinst.in to use register_x_lib_dir_with_ld_so.
    - xlibmesa-glu.postrm.in to use deregister_x_lib_dir_with_ld_so.
    - xlibosmesa4.postinst.in to use register_x_lib_dir_with_ld_so.
    - xlibosmesa4.postrm.in to use deregister_x_lib_dir_with_ld_so.
    - xterm.postinst.in to update-alternatives to use the correct man page.

  * Rename all XF86 vars to XORG and correct scripts to handle them properly.

  * Add xserver-xorg debconf template transition to xserver-xorg.postinst.in.

  * Perform migration of XF86Config-4 to xorg.conf.

  * Ship etc/X11/xkb/rules/xfree86{,.xml} as symlinks to
    etc/X11/xkb/rules/xorg{,.xml}.
    This will avoid breakage on custom configurartions due to upstream rename
    of the files.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Tue, 26 Oct 2004 07:14:50 +0200

xfree86 (4.3.0.dfsg.1-6ubuntu25) warty; urgency=low

  Imported from Debian trunk:

  * Update "Further Information" section of FAQ.

  * Add FAQ entry: What are Debian's plans with respect to X.Org and
    XFree86?

  * Add FAQ entry: What are Debian's plans with respect to X.Org and
    XFree86?

  * Add FAQ entry: Sometimes I get garbage characters like 1;2c in my xterm
    windows; what's happening?

  * Update FAQ entry: My keyboard configuration worked with XFree86 4.2; why
    is it messed up now?

  * Update FAQ entry: How does the keyboard work in the X Window System?

  * Add copyright and (MIT/X11 style) license for Bitstream Type1 fonts to
    copyright file.  Thanks to Ben Harris for pointing this out.
    (Closes: #274018)

  Changes by Fabio M. Di Nitto:

  * Fix 1152x768 @ 60 Hz mode. (Closes: #2328)

  * Fix a nasty bug in frequencies detection logic to get a better
    clue if the resolution is not in the mode-list template and respect
    selection-method user value on reconfiguration.
    This fix will catch all the unknown resolutions without projecting the
    users back in time to a 640x480@60Hz view of the world, both at
    installation time and during upgrades/reconfigurations.

  Changes by Daniel Stone:

  * debian/patches/099l_xxf86vm_decrease_verbosity.diff:
    + Take patch from X.Org (http://freedesktop.org/bugzilla/show_bug.cgi?id=1552)
      and Red Hat (https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=128305)
      to decrease Xxf86vm verbosity, so the hard drive does not spin up every
      time xscreensaver activates.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Wed, 13 Oct 2004 13:42:39 +0200

xfree86 (4.3.0.dfsg.1-6ubuntu24) warty; urgency=low

  Imported from Debian trunk:

  * Fix to FAQ xhtml formatting.

  * Make Sun keyboards load srvr_ctrl(xfree86) symbol definitions to have
    access to standard Ctrl+Alt key sequences.  (Closes: #236086)

  * Apply patch from Jan Wilhelm Stumpel to correct miscoded Unicode Plane 1
    characters in en_US.UTF-8 compose map.  (Closes: #267321)

  * Install xlibs's bug script in the binary-indep rule, not binary-arch,
    since xlibs is an architecture "all" package.  Now the script will
    actually be shipped.

  * If the restorecon command is available, restore SELinux file security
    contexts after setting up X server and ICE socket directories
    (xfree86-common) and font server socket directories (xfs) after creating
    them in the init scripts.  (Closes: #268812, #271030)

  * Fix missing-word typo in xnest's package description.  Thanks to Roland
    Stigge for catching this.  (Closes: #268997)

  * Add FAQ entry: What is the story with XFree86 3.x?

  * Apply some fixes to the XFree86 X server's ELF object loader:
    + Stop conditionally #including <sys/mman.h> since it is unconditionally
      imported earlier in the file.
    + Perform an mprotect() for AMD64 Linux systems as well as OpenBSD to
      prevent SEGVs on NX-enabled kernels.  (Closes: #277699)
    + Fix a problem with parentheses when using the preprocessor (doesn't
      affect Debian, but would cause unexpected behavior on OpenBSD).

  * Perform some cleanup work on the shared library maintainer scripts of
    libdps1, libxaw6, libxaw7, xlibmesa-gl, xlibmesa-glu, and xlibosmesa4;
    thanks to Fabio for noticing the inconsistencies.
    + Call register_x_lib_dir_with_ld_so() before invoking ldconfig in the
      post-installation scripts.
    + Perform configuration actions regardless of the value of "$1" in the
      post-installation scripts.
    + Call deregister_x_lib_dir_with_ld_so() before invoking ldconfig in the
      post-removal scripts.
    + Move the #DEBHELPER# expando later in the scripts where applicable.

  * Perform some cleanup work on the update-fonts-{alias,dir,scale} utilities
    and their manual pages.
    + Re-indent at four spaces.
    + Query terminal for its width if $COLUMNS is not set, as shell-lib.sh
      does.  Fall back to a width of 80 if stty returns garbage or nothing.
    + Rename error() to die().
    + Add usage() function and -h, --help option.
    + Use exit status 2 to indicate usage errors as opposed to operational
      failures.
    + Be more careful with quoting shell variables.
    + Add and expand comments.
    + Add SVN Id keyword.
    + Update Vim modeline.
    + Update manual pages to document changes in interface and behavior (there
      are no backwards-incomaptible changes).

  * Perform some cleanup work on the xvfb-run utility and its manual page.
    + Query terminal for its width if $COLUMNS is not set, as shell-lib.sh
      does.  Fall back to a width of 80 if stty returns garbage or nothing.
    + Add message() and error() functions.
    + Enhance usage() function to (additionally) display an error message
      consisting of the function arguments, if any.
    + Use error() and usage() instead of echo for error messages.
    + Cosmetically tidy up usage message, and correct a typo.
    + Declare locally-scoped variable in find_free_servernum().
    + Store getopt's exit status and report it in an error message if it is
      nonzero.
    + Clarify the error message if getopt rearranges the command line in a way
      we don't expect.
    + Tidy up comment, shell function, and redirection style.  Wrap long
      lines.  Quote variables that may have whitespace in them.  Update Vim
      modeline.
    + Describe effect of $COLUMNS environment variable in manpage.
    + Remove erroneous description of exit status 1, and explain why it is not
      used.
    + Add description of exit statuses 0, 4, 5, and 6.
    + Fix markup error.

  * Replace many occurences of XSI connectives in test(1) with POSIX shell
    connectives in scripts.

  * Apply patch from David Mosberger that replaces the fix for #225526 with
    one that works on systems that do not have a PCI bus numbered 0.  Thanks,
    David!  (Closes: #279436)

  * Apply patch from Richard Mortimer to fix the XFree86 X server's ELF object
    loader to set the PROT_EXEC flag on mmap()ed modules regardless of machine
    architecture.  (It was already trying to do this, but there are two
    preprocessor statements involved, and we were only patching one.)
    (Closes: #280384)

  * Add magic register poke to neomagic driver which apparently speeds up DVD
    playback operations.  Thanks to Tony Hill for finding this patch.
    Unfortunately, despite efforts to locate some, there appears to be no
    documentation of why this register poke works.  (Closes: #277038)

  * Make factual updates, clarifications, and wording corrections to the FAQ:
    + Point out that the X.Org relicensing debacle was back in 1998, not
      recent.
    + Be more clear about why OS distributors stuck with XFree86 after it was
      forked, but before it was relicensed.
    + Identify which license is referred to as the "XFree86 1.1 license".
    + Clarify the origin of the contradictory statements regarding the
      GPL-compatibility of XFree86.
    + Clarify the discussion of the "relicensing pilot project" that was
      performed on the XFree86 "auto-config" code.  The code was checked in,
      *then* relicensed without other changes.
    + Point out that most distributors have settled on X.Org's X11R6.8.1 for
      their X Window System implementation, at least for the time being.
    + Stress that XFree86 3.x is no longer supported.
    + Remove language that discusses future directions of XFree86 3.x support
      in dexconf, since it is unlikely that that work is going to happen.

  * Increase the minimum pixel clock for Matrox cards based on feedback from
    Teemu Ikonen.  (Closes: #261993)

  * Tidy up and improve fbdev driver messages, correcting spelling, adding
    information, and otherwise enhancing them.  (Closes: #275318)

  Changes by Denis Barbier and Fabio M. Di Nitto:

  * Add several multi-layout aware layouts:
    + ca (Canada) contains several variants: "fr" is meant as a replacement
      for ca_enhanced, "fr-legacy" is another variant, and "multi" is an
      implementation of CAN/CSA-Z243.200-92.  This standard requires two
      groups, so it is in fact divided into "multi" and "multi-2gr" variants.
      By default, "ca" loads both "multi" and "multi-2gr" to provide a
      full-featured keyboard.  When it is combined with other layouts, the
      simpler variant "fr" is used, but others can be explicitly specified.
      (Closes: #245371, #252068, #258575)
    + The new ca layout also fixes ISO_Level3_Shift, which was mapped to
      <RCTL> instead of <RALT>.  (Closes: #274457)
    + jp (Japan) also requires a combination of two variants.  When this is
      the only loaded layout, the full combination is used.  When this layout
      is combined with others, only the "jp106" variant is loaded.
    + hu (Hungary) layout has been simplified; some variants have been removed.
      (Closes: #263561)
    + ch (Switzerland) replaces de_CH and fr_CH.
    + mn (Mongolia) and vn (Vietnam) are simple layouts.

  * In UTF-8 compose files, replace U00xx Unicode codepoints by the
    corresponding keysyms.  Otherwise the compose character is in
    the range 0x01000000-0x010000FF which is not valid according to
    appendix A of the X11 protocol.  Even if most applications are able
    to recognize these broken characters, few of them fail, most notably
    xemacs and users are then unable to use composition when in UTF-8
    locales.  (Closes: #235574)

  * Note: the above keyboard changes are supposed to partially fix Ubuntu bugs:
    1089, 1390, 1506.

  Changes by Fabio M. Di Nitto:

  * Update wacom input driver from http://linuxwacom.sourceforge.net/ up to
    version 0.6.4:
    + Remove now obsolete patch 036_wacom_usb_tablet_update.diff
    + Add patch 000_stolen_from_sourceforge_wacom_driver.diff
    + Fix input timeout problems if the device is not connected.
      No references are available in upstream changelog, but tests do not
      show this behavior anymore. (Closes: #231837)
    + Fix compatibility with kernel 2.6 wacom driver. (Closes: #250331)
    + Add support for Cintiq boards. According to #172526 logs the patch
      has been included, reworked and cleaned by upstream a long time ago.
      No references are available in upstream changelog. (Closes: #172526)
    + A combination of new kernel, xfree86 and wacom driver appears to have
      fixed the APM resume issue as described in #80140. Tests done
      on a powerpc laptop do not show this problem anymore.
      No references are available in upstream changelog. (Closes: #80140)
    (Closes: #1117)

  * Add workaround for the UseBIOS default setting in the savage driver:
    + Add patch 099i_pro_savage_ddr_set_use_bios_to_false.diff
    + Set UseBios default to "no" for PROSAVAGE_DDR and PROSAVAGE_DDRK, as
      described here http://www.probo.com/timr/savage40.html.
    (Closes: #2111)

  * Update LANG <-> layout mappings from localization-config-0.102.

  * Set default keyboard model to pc105 for powerpc. (Closes: 1690)

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Thu, 07 Oct 2004 06:18:28 +0200

xfree86 (4.3.0.dfsg.1-6ubuntu23) warty; urgency=low

  Imported from Debian trunk:

  * Update Danish debconf template translations (thanks, Claus Hindsgaul).
    (Closes: #274101)

  * Add FAQ entry: Why does composing characters work in some applications but
    not others?

  * List /etc/X11/xkb/symbols/pc/us_intl into xlibs.install, MANIFEST
    files and xc/programs/xkbcomp/symbols/pc/Imakefile so that this keymap
    gets shipped.  (Closes: #271326, #274513, #1089)

  Changes by Fabio Massimo Di Nitto:

  * Fix Brazilian keyboard autodetection. (Closes: #1964)

  * Always ask the user what driver to use in case we detect a via chipset.
  * Probe via cards with vesa drivers.
    (Closes: #1878)

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Mon, 04 Oct 2004 09:55:01 +0200

xfree86 (4.3.0.dfsg.1-6ubuntu22) warty; urgency=low

  * Update 000_stolen_from_HEAD.diff:
    + Include Xv/framebuffer fix for xf86xv.c.
  * Update 030_Xserver_and_driver_region_primitive_fixups.diff:
    + Fix REGION_EQUAL call in nv_driver.c.
  * Update Czech debconf template translations (thanks, Miroslav Kure).
  * Apply fix for Keycodes for PrintScreen and SysRq. (Closes: #1762)

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Mon, 27 Sep 2004 07:58:55 +0200

xfree86 (4.3.0.dfsg.1-6ubuntu21) warty; urgency=low

  Changes by Fabio Massimo Di Nitto:

  * Revert debian/patches/099j_ati_r4xx_support.diff.
  * Revert debian/patches/099k_ati_use_fwpll.diff.
  * Rediff debian/patches/911_debian_XF86Config_to_XF86Config-4.diff.

  (Closes: #1605)

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Wed, 22 Sep 2004 17:10:17 +0200

xfree86 (4.3.0.dfsg.1-6ubuntu20) warty; urgency=low

  Changes by Daniel Stone:

  * debian/local/dexconf:
    + Changed 'synaptic' to 'synaptics' in mouse section. (closes: Warty#1289)
  * debian/patches/099j_ati_r4xx_support.diff:
    + Backported ATI r4xx support from X.Org HEAD.
      - fp_horz_stretch vs. fp_vert_stretch upstream bug for panel resolution
        detection fixed along the way.
  * debian/patches/099k_ati_use_fwpll.diff:
    + Option to allow FWPLL, for TV out on some ATI-based PowerPCs.
  * debian/patches/911_debian_XF86Config_to_XF86Config-4.diff:
    + Resynced per 099j's card list update to radeon.man.

  Changes by Fabio Massimo Di Nitto:

  * Fix keyboard model and variant selection for brasilian layout.

  Import from Debian:

  * Update Japanese debconf template translations (thanks, Kenshi Muto).

  * Add FAQ entry: How does the keyboard work in the X Window System?

  * Update FAQ file.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Wed, 22 Sep 2004 08:43:22 +0200

xfree86 (4.3.0.dfsg.1-6ubuntu19) warty; urgency=low

  Imported from Debian: (Closes: #1390, #1506)

  * Grab /etc/X11/xkb/symbols/pc/us_intl from XFree86 CVS (2003-10-04).  This
    makes us_intl multi-layout aware, and binds the right Meta key to
    Mode_Switch.  (Closes: #271326, #234085)

  * Revert upstream change to altwin behavior applied in 4.3.0.dfsg.1-1.
    The Meta_* keysyms must be removed from the shift level of Alt keys when
    altwin:meta_win or altwin:left_meta_win are used; otherwise, XKB-unaware
    applications (like GNU Emacs) may believe that mod1 and mod4 are bound to
    Meta keys.

  * Fix inconsistencies in rules/xfree86* files:
    + rules/xfree86: List in $oldlayouts all layouts which are currently not
      multi-layout aware in the Debian xlibs package, including hu_US (thanks,
      Veres Lajos).  (Closes: #247463, #270810)
    + rules/xfree86: Support the lv3:ralt_switch option, which exists in
      xfree86.lst but was forgotten in this file.
    + rules/xfree86: Remove special case that causes PC keyboard models with
      the us_intl layout to load the us layout and add the us_intl layout to
      it.  (Closes: #234085)
    + rules/xfree86.{lst,xml}: Replace the options altwin:meta_super and
      altwin:meta_hyper with the correct names altwin:super_win and
      altwin:hyper_win.  (Closes: #271259)
    + rules/xfree86.{lst,xml}: Synchronize these files.

  * Add FAQ entry: My keyboard configuration worked with XFree86 4.2; why is
    it messed up now?  (Closes: #259740)

  Changes by Fabio Massimo Di Nitto:

  * Update nv driver from X.org:
    + Update MANIFEST and xserver-xfree86.install files to reflect the new
      riva128.o submodule.
    + Update 000_post430.diff:
      - Drop nv_setup.c bits.
    + Update 000_stolen_from_HEAD_nv_driver.diff:
      - Full nv driver from X.org.
      - Removed 2 references to XORG_VERSION_CURRENT since it is not defined.
    + Update 000_stolen_from_freedesktop.org.diff:
      - Add xaa bits required to compile the new nv driver.
      - Add fbdevhw bits required to compile the new nv driver.
    + Update 030_Xserver_and_driver_region_primitive_fixups.diff nv REGION_EQUAL
      to fix Xv extensions on a bunch of cards.
    + Drop 098_nv_xvideo_fullscreen_fix.diff:
      - Now included upstream.
    + Update 911_debian_XF86Config_to_XF86Config-4.diff.
    (Closes: #1492, #929, #1361, #1471)

  * Create debian/tmp/usr/X11R6/lib/X11/doc when NOT_BUILDING_XFREE86_X_SERVER
    is defined.  Fixes FTBFS on s390.

  * Add more LANG <-> Belgian keyboard maps. (Closes: #1425)

  * Stop writing Configured Mouse section if detected mouse is /dev/psaux
    (Closes: #1417)

  * Add missing 1152x864 @ 60Hz resolution <-> frequencies map.
    (Closes: #1339)

  Changes by Daniel Stone:

  * debian/patches/099i_wacom_driver_0.6.4.diff:
    + Take new version of Wacom driver from linuxwacom.sf.net, with support
      for many new tablets.
    (Closes: #1117)
  * debian/xserver-xfree86.templates:
    + Add 1600x1050 @ 75Hz, used in some HP widescreen laptops.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Wed, 15 Sep 2004 08:35:29 +0200

xfree86 (4.3.0.dfsg.1-6ubuntu18) warty; urgency=low

  * debian/patches/000_stolen_from_freedesktop.org:
    + Moved to 000_stolen_from_x.org.
  * debian/patches/000_stolen_from_x.org:
    + Security fix for libXpm, taken from X11R6.8. CVE numbers CAN-2004-0687
      and CAN-2004-0688.

 -- Daniel Stone <daniel.stone@canonical.com>  Wed, 15 Sep 2004 10:55:28 +1000

xfree86 (4.3.0.dfsg.1-6ubuntu17) warty; urgency=low

  * Fix framebuffer detection again. (Closes #1176)
  * Import from Debian trunk:
    + cosmetic fix to debian/scripts/locale-munger
    + update FAQ.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Tue, 14 Sep 2004 06:47:11 +0200

xfree86 (4.3.0.dfsg.1-6ubuntu16) warty; urgency=low

  * Fix framebuffer detection. (Closes #1176)
  * Add XRESPROBE_DEBUG env var check to wrap xresprobeint with set -/+x
    in xserver-xfree86.postinst.in.
  * Set XRESPROBE_DEBUG to true if DEBUG_XFREE86_PACKAGE has been defined.
  * Attempt to probe for all drivers but only if we are installing
    for the first time.
  * Add XF86FORCEPROBE env var check to force probe even on upgrades.
    NOTE: USE WITH CAUTION! IT CAN CRASH YOUR RUNNING X!!!
  * Update Italian, Danish and French debconf templates translations
    from Debian trunk.
  * Rename 989_warty_add_extra_modelines_from_xorg.diff to
    989_ubuntu_add_extra_modelines_from_xorg.diff
  * Import from Debian trunk:
    + In the Xsession script, attempt to create a file of non-zero length in
      /tmp; a full filesystem can cause mysterious X session failures.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Mon, 13 Sep 2004 08:39:58 +0200

xfree86 (4.3.0.dfsg.1-6ubuntu15) warty; urgency=low

  * Fix botched -6ubuntu13 change.
  * debian/patches/990_ubuntu_noisy_xkb.diff:
    + Add -DNOISY to compilation of the XKB section, so we can more easily
      catch keyboard errors.

 -- Daniel Stone <daniels@debian.org>  Wed,  8 Sep 2004 11:23:02 +1000

xfree86 (4.3.0.dfsg.1-6ubuntu14) warty; urgency=low

  * Resync last bits from svn trunk up to 1793.
  * Switch to the new xfree86-common.init script.
  * Allocated 10 patch slots (989-998) for warty (debian/README).
  * Add debian/patches/989_warty_add_extra_modelines_from_xorg.diff
  * Import validate_monitor_frequency_expr and
    validate_monitor_frequency_db_input from branches/debconf-overhaul into
    our xserver-xfree86.postinst.in.
  * Add missing db_get call in xserver-xfree86.postinst.in when
    selection-method is set to Medium.
  * Import more horiz-sync/vert-refresh sets from branches/debconf-overhaul
    into our xserver-xfree86.postinst.in and xserver-xfree86.templates.
  * Improve frequency autoguessing logic to set much better sane defaults
    around and to prefer well known values over autoguessed once.
  * Import improved calculation of xserver-xfree86/config/device/use_fbdev
    answer from branches/debconf-overhaul into our xserver-xfree86.config.in.
  * Import server module selection enanchments from branches/debconf-overhaul.
  * Import new regexp for lspci from branches/debconf-overhaul to handle
    correctly presence of Class or not.
  * Stop asking questions on upgrades.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Fri, 03 Sep 2004 07:28:01 +0200

xfree86 (4.3.0.dfsg.1-6ubuntu13) warty; urgency=low

  * Add dvorak symlink for macintosh keycode users.

 -- Daniel Stone <daniels@debian.org>  Fri,  3 Sep 2004 19:03:20 +1000

xfree86 (4.3.0.dfsg.1-6ubuntu12) warty; urgency=low

  * Always feed bus_id questions. Useful when reconfiguring.
  * Set default keyboard model to pc105 on all layout other than "us".
  * "Recommends:" hw detection tools instead of "Suggests:"
  * Turned the video driver question back on if there is no autodetection.
    DEFAULT=vesa is not enough.
  * Add defoma font patchs to dexconf output. (Closes #953)

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Wed, 01 Sep 2004 14:41:50 +0200

xfree86 (4.3.0.dfsg.1-6ubuntu11) warty; urgency=low

  * Resync changes with Debian r1777.
  * Kill debian/patches/914_novtswitch_option.diff.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Tue, 31 Aug 2004 06:42:51 +0200

xfree86 (4.3.0.dfsg.1-6ubuntu10) warty; urgency=low

  * Resync changes with Debian r1766.
  * Rewrote xserver-xfree86 postinst logic:
    + Add dynamic template for resolution modes.
  * Fix reconfigure and upgrade problem that was mangling X config file.
  * Global debconf cleanup:
    + reenable a few questions in reconfiguration mode that were lost.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Fri, 27 Aug 2004 12:02:48 +0200

xfree86 (4.3.0.dfsg.1-6ubuntu9) warty; urgency=low

  * Change mouse -> synaptic driver.

  * Fix libx11-6 and libxt6 preinst.in files.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Fri, 27 Aug 2004 11:10:19 +0200

xfree86 (4.3.0.dfsg.1-6ubuntu8) warty; urgency=low

  * Re-enable horiz-sync and vert-refresh in the default config.

  * Resync with Debian (trunk) r1755.
    + Remove JEFFCRACK and re-use a more sensible variable name.

  * Move LAPTOP check from postinst to dexconf where it belongs:
    + Enable Synaptic Touchpad on laptop for real.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Tue, 24 Aug 2004 15:46:41 +0200

xfree86 (4.3.0.dfsg.1-6ubuntu7) warty; urgency=low

  The "ThomB0T was kinda upset" upload.

  Changes by Fabio M. Di Nitto:

  * Fix dexconf to survive xresprobe crack.
  * Ban via driver from autoprobe.
  * Do NOT probe again on upgrades.
  * Lower "No X Server detected" priority.
  * Be sure to ask all questions on reconfiguration.
  * Bump dependencies on xserver-common to ubuntu7. ubuntu6 is doomed.

  Changes by Daniel Stone:

  * debian/patches/914_novtswitch_option.diff:
    + Add option to prevent VT switch away from the current VT.
  * debian/local/Xsession.options:
    + Add use-session-dbus, so D-BUS can start its session bus.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Fri, 20 Aug 2004 11:15:23 +0200

xfree86 (4.3.0.dfsg.1-6ubuntu6) warty; urgency=low

  * Bump dependencies on xserver-common to ensure better autoreconfigure
    features.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Thu, 19 Aug 2004 15:32:29 +0200

xfree86 (4.3.0.dfsg.1-6ubuntu5) warty; urgency=low

  Changes by Fabio M. Di Nitto and Daniel Stone:
  
  * Stop Suggesting read-edid, and replace it with xresprobe.
  * Resync with Debian r1736.
  * xserver-xfree86{,-dbg} now Suggests laptop-detect.
  * Re-enable use of mdetect as a possible backup for /dev/input/mice.
  * Add LANG to X keyboard layout mapping to xserver-xfree86.config.in
    inspired by Konstantinos Margaritis
  * Attempt to detect the keyboard layout from $LANG
  * Select always the first video card if more than one is present in the
    machine. discover is supposed to give us the best one available.
  * Lower "Use Kernel Frambuffer" priority to medium.
  * Do not ask for video card driver. If we cannot autodetect, we
    switch automatically to a sane default.
  * Rewrote the monitor detection section based on Daniel Stone
    xresprobe package.
  * Add synaptic touchpad mouse entry if we are on laptop.
  * Add JEFFCRACK in dexconf.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Thu, 19 Aug 2004 14:55:20 +0200

xfree86 (4.3.0.dfsg.1-6ubuntu4) warty; urgency=low

  * Resync with Debian r1730.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Wed, 11 Aug 2004 13:50:08 +0200

xfree86 (4.3.0.dfsg.1-6ubuntu3) warty; urgency=low

  Warty specific changes:

  * Disable mouse autodetection and default to /dev/input/mice.

  * Do not ask if your monitor is LCD. Default to Medium covers all cases.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Sat, 31 Jul 2004 11:27:21 +0200

xfree86 (4.3.0.dfsg.1-6ubuntu2) warty; urgency=low

  Warty specific changes:

  * Fix infinite loop when mdetect returns no output, by setting the default
    for xserver-xfree86/autodetect_mouse outside the loop.
    (debian/xserver-xfree86.config)

 -- Colin Watson <cjwatson@flatline.org.uk>  Fri, 30 Jul 2004 16:44:26 +0100

xfree86 (4.3.0.dfsg.1-6ubuntu1) warty; urgency=low

  Warty specific changes:

  * Change Build-Deps to libstdc++5-3.3-dev instead of
    libstdc++5-dev | libstdc++-dev.

  * Force the following parameters in debian/rules:
    + OFFICIAL_BUILD:="yes"
    + BUILDER_EMAIL_ADDR:=fabbione@fabbione.net
    + IMAKE_DEFINES s/Debian/Ubuntu

  * Switch defaults to always attempt autodetection.
    (debian/xserver-xfree86.config)

  * Always ask for X keyboard layout while we wait for automagic to be
    in place. (debian/xserver-xfree86.config)

  * Add notes on part of the code where we need autodetection improvements.
    (debian/xserver-xfree86.config)

  * Switch default monitor selection method to "Medium" in case autodetection
    fails. (debian/xserver-xfree86.config)

  * Enable 1024x768 in DEFAULT_MODES. Anybody using 800x600 on a desktop?
    (debian/xserver-xfree86.config)

  * Make xbase-clients declare that it replaces xutils (<< 4.3.0.dfsg.1-6ubuntu1)
    and viceversa. See below.

  * Change default "your monitor's best video mode" down to 1024x768 @ 60Hz
    from 1280x960 @ 60Hz. Let's try to not fry old laptops.
    (xserver-xfree86.templates xserver-xfree86/config/monitor/mode-list)

  * Redirect all buildlogs and installogs in logs/.

  * Upload urgency set to medium due to fix for stable-release-critical bugs
    (#285133 and #285150; see below).

  * Make keypad delete key <KPDL> generate KP_Separator, not comma, in
    Brazilian XKB layouts (thanks, Rafael Ávila de Espíndola).
    (Closes: #286667)

  Changes by Branden Robinson:

  * Update Turkish debconf template translations (thanks, Recai Oktas).
    (Closes: #256360)

  * Grab latest version of XTerm (#191) from Thomas Dickey's website.

  * Add FAQ entry: Why is xterm using the "fixed" font for everything,
    disregarding the font configuration from the X resource database?
    (Closes: #254650)

  * Update hyperlink to Debian X FAQ in NEWS file.  Thanks to Calum Mackay for
    pointing this out.

  * Make libxpm-dev rather than xlibs-static-dev provide libxpm4-dev.
    Thanks to Daniel Schelper for pointing this out.  (Closes: #256420)

  * Move atobm and its manpage from xutils to xbase-clients; this shuts up
    dangling symlink warning mails from cron on systems with xutils installed
    but not xbase-clients.  Make xbase-clients declare that it replaces xutils
    (<< 4.3.0.dfsg.1-7).  (Closes: #200061)

  * Invert the sense of a test in debian/rules; this results in xlibmesa-dri's
    bug script actually being shipped.  D'oh!

  * Make xbase-clients depend on xlibs and explain why in the package's
    extended description.  Thanks to Andreas Metzler for catching this.
    (Closes: #257023)

  * Update FAQ entry "How do I run an X client as root when the X session
    is run by a user?" to document existence of sux.

  * Update Glide3 library support for amd64 and ia64 thanks to Guillem Jover.
    Increment versioned build-dependency on libglide3 to >= 2002.04.10-7, and
    require this library for building on amd64 and ia64.  Edit patch #003 to
    enable compilation of tdfx DRI Mesa module on amd64 and ia64.  Shut up cpp
    warnings when generating Makefiles by defining a default value for
    HasGlide3 in xfree86.cf ("NO").  Resync patches #004, #048, #103, #150,
    #250, #500, and #600.  Ship tdfx DRI Mesa module in xlibmesa-dri for amd64
    and ia64, and unstripped version of same in xlibmesa-dri-dbg.
    (Closes: #255270)

  * Fix up Glide3 library support in various respects.  Stop shipping tdfx DRI
    Mesa module on powerpc until it stops being useless (i.e., until
    libglide3-dev is available on that architecture).  Move xlibmesa-gl's
    suggestion of the libglide3 package (and explanation thereof) to the
    xlibmesa-dri package.

  * Add FAQ entry: I'm having trouble getting dual-head support to work on my
    ATI Radeon card.  Can you help?  (Closes: #236197)

  * Update FAQ to include hyperlink to the upstream source for the XTerm FAQ.

  * Grab latest version of XTerm (#192) from Thomas Dickey's website.
    According to the upstream changelog, this release addresses several Debian
    bugs.
    + Change resource settings for color4 and color12; add some discussion in
      XTerm-col.ad.  (Closes: #255070)
    + Add a note in xterm manpage regarding possible conflict between resource
      settings for xterm.vt100.font and xterm.vt100.utf8Fonts.font.
      (See #254650.)
    + Add case to uxterm to accommodate locales ending with "@euro", e.g.,
      fr_FR.UTF-8@euro (report/analysis by Matthieu Lagouge).
      (Closes: #255197)
    + Save the fontnames for bold fonts that are derived from normal fonts, or
      from the boldFont resource, so the same value is restored when switching
      with the VT Fonts menu.  (Closes: #256086)
    + Fix typo in manpage's description of character classes.
      (Closes: #257073)
    + Modify terminfo to accommodate luit, which relies on G1 being used via
      an ISO-2022 escape sequence (analysis by Juliusz Chrobocek).
      (See #254316; in Debian, this is actually an ncurses-base bug.)

  * Update XTerm FAQ to latest version (1.84) from Thomas Dickey's website.

  * Grab from XFree86 CVS (no later than 2003-11-10) several fixes to the
    RandR extension manual page and server-side implementation.
    + Remove reference to non-existent Xrender(3) man page (reported to
      webmaster).  [David Dawes]
    + Fix manual pages typos (Bugzilla #316, Jens Schweikhardt).  [Matthieu
      Herrb]
    + Removed Copyright sign from man pages as this causes some formatters to
      choke (Egbert Eich).
    + Fixed rounding of refresh rate in RandR, updated Xrandr man page
      (BugzillaR #527, Egbert Eich).
    + Fix RandR initialization problem when default screen resolution is
      different from the virtual resolution. (Bugzilla #853, Bob Paauwe).
      [Alan Hourihane]
    + The call to xf86RandRSetMode() from xf86RandRCreateScreenResources()
      doesn't appear to be necessary.  Removing it restores the documented
      ViewPort behaviour when RandR is enabled (David Dawes).
    + Warning fix [Marc Aurele La France]
    + C-style comments were being stripped by preprocessing.  [David Dawes]
    (Closes: #256297)

  * Fix bug in COMPOUND_TEXT translation of the GBK character encoding
    (thanks, Su Yong).  (Closes: #255224)

  * Fix missing element of Debian X FAQ conversion to XHTML; correct
    s390-specific version of xfree86-common dh_installdocs file to recognize
    that the FAQ is already gzipped.

  * Move BDF font character set conversion files from xfonts-base package to
    xutils (these files are used and needed by the ucs2any tool in the latter
    package, and not by anything else).  Update MANIFEST and .install files
    accordingly.  Make xutils declare that it replaces xfonts-base (<<
    4.3.0.dfsg.1-7).

  * Rewrite and greatly enhance manifest-install-reconcile tool to be able to
    check against lists of known false positives and false negatives on a
    per-architecture basis.  Ship these lists, add a usage message to
    manifest-install-reconcile, and document use of the script in the README
    file.

  * Grab from XFree86 CVS (no later than 2003-12-18) fixes to the ja_JP.UTF-8,
    ko_KR.UTF-8, and zh_TW.UTF-8 XLC_LOCALE files to prefer ISO
    10646-1-encoded fonts less strongly.  Add zh_CN.UTF-8 XLC_LOCALE file.
    Update MANIFEST and .install files accordingly.  (Closes: #255701)

  * Provide local, hacked version of debconf-updatepo (in debian/scripts) that
    doesn't destroy the comment and header block of debian/po/templates.pot.
    Add "pristine" comment and header file in debian/po, add debian/rules
    targets to handle PO and POT file updates using our local script, and
    document the recommended procedure in debian/README.  Hopefully the real
    debconf-updatepo will be fixed soon.

  * Update debian/po/*.{po,pot} files to update comment header and get effects
    of a debconf-updatepo bugfix which misidentified template types in some
    situations.

  * Update Czech debconf template translations (thanks, Miroslav Kure).
    (Closes: #260868)

  * Update German debconf template translations (thanks, Florian Ernst and
    Alwin Meschede).  (Closes: #261239)

  * Update Dutch debconf template translations (thanks, Bart Cornelis).
    (Closes: #261337)

  * Update Brazilian Portuguese debconf template translations (thanks, André
    Luís Lopes). (Closes: #261389)

  * Apply patch from Thomas Dickey to fix Imake's CppRawFileTarget() so that
    it no longer tempts cpp into corrupting manpages.  Thanks, Thomas!
    (Closes: #259996)

  * Update hurd-i386 support.
    + Update gnu.cf to declare platform support for groff, libpng, and PAM
      libraries in parity with Linux; also specify correct path to cpp
      executable.
    + Tell XTerm's Imakefile that openpty() needs -lutil on GNUArchitecture
      (patch #803).
    + Disable special hostname registration code for __GNU__ in xdm (patch
      #804).
    + Update MANIFEST.hurd-i386.in in light of updates to build configuration.
    + Remove MANFIEST.hurd-i386.all; it is no longer needed.
    + Update mir-false-negatives and mir-false-positives to reflect changes in
      MANIFEST files.
    (Thanks, Michael Banck!)

  * Grab from XFree86 CVS (2003-05-29) a fix for a SEGV in libX11's lcPrTxt()
    function, which caused application crashes when, e.g., pasting text into
    XTerm.  Also remove patch #051 in favor of identical fix committed to
    XFree86 CVS on 2003-04-03.  Thanks to Thomas Dickey for tracking this
    bug, and fix, down.  (Closes: #250655)

  * Expand, correct, and tidy up the setxkbmap(1x), xkbcomp(1x), xkbevd(1x),
    and xkbprint(1x) manpages; also correct typos in xkbcomp's README.config
    file (patch #051).  (Closes: #255371)

  * Perform major stylistic fixes to the XF86Config-4(5x) manpage, greatly
    expand its cross-reference section to mention all shipped section 4x
    manpages (e.g. radeon(4x)), and fix some typos (patch #099e).
    (Closes: #257440)

  * Update manpage cross-references to refer to XF86Config-4(5x) instead of
    XF86Config(5x), and add brief explanatory note to top of XF86Config-4(5x)
    (patch #911).

  * Update FAQ to split off some of existing entry "Why are some fonts (or
    graphical rulers) sized incorrectly?" into new question "How do I set the
    DPI (dots-per-inch) value used by the X server?".

  * Grab fix from XFree86 CVS (2003-05-07) to bounds problems in *scanf(),
    snprintf() and strncpy() calls in lbxproxy, makepsres, and xedit.

  * Tighten regex in patch-audit rule so messages like "patching file
    xc/doc/man/Xt/XtOffset.man" are not false positives.

  * Grab from XFree86 CVS (2003-05-29) a boatload of typographical fixes to
    manual pages.  Resync and make further corrections to manpages in patches
    #026 (appres, ico) and #051 (setxkbmap, xkbcomp, xkbevd, xkbprint).
    Resync patches #032, #099e, #911.

  * Grab from XFree86 CVS (2003-07-16) more updates to the nv driver.  Fixes
    several bugs as well as adding support for several chipsets, including
    GeForce FX 5600SE, GeForce FX Go5600, GeForce FX Go5650, Quadro FX Go700,
    GeForce FX Go5100, GeForce FX 5900 Ultra, GeForce FX 5900, Quadro FX 3000,
    and the "mystery" TNT2 card with a PCI model ID of 0x002a.  Extend
    reversion of REGION_EQUAL macro implementation to nv driver in patch #030.
    Resync patch #911.

  * Grab from XFree86 CVS (2003-07-07) more updates to the trident driver,
    placing them in their own patch file.  Fixes several bugs and adds support
    for TV chipsets VT1621 and CH7005.  Drop trident driver patches in
    #000_stolen_from_HEAD in favor of new patch file.  Extend reversion of
    REGION_EQUAL macro implementation to trident driver in patch #030.  Resync
    patch #911.

  * Change Catalan debconf template translations to use the characters "LATIN
    SMALL LETTER L" and "MIDDLE DOT" instead of "LATIN SMALL LETTER L WITH
    MIDDLE DOT" so that the file can be successfully transcoded to ISO
    8859-15, shutting up hateful noise from one of the programs called by
    dh_installdebconf (thanks, Guillem Jover).

  * Grab from XFree86 CVS (2003-10-02) several updates to the mouse input
    driver, fixing bugs and adding support for the Kensington
    "ValuMouseScroll" protocol.  Grab an additional fix from XFree86 CVS
    (2003-12-08) for mouse wheel misbehavior on PowerPC.  Resync patches #040
    and #097.  Add "ValuMouseScroll" to the list of supported serial mouse
    protocols in xserver-xfree86's configuration script.

  * Grab from XFree86 CVS (2003-10-02) several bugfixes to xedit, including a
    fix for a SEGV in Lisp_New().  Move existing xedit patches from XFree86
    CVS to their own patch file.  (Closes: #257835)

  * Major housecleaning of X11's locale support (patch #011a).
    + Add all locales supported by version 2.3.2 of the GNU C Library except
      zh_CN.GB18030, sq_AL.ISO-8859-1, and tg_TJ.KOI8-T.  X has no support for
      the GB18030 and KOI8-T character sets, and glibc appears to disagree
      with most of the world about which character set Albanians use (see, for
      example, iso_8859-2(7)).  This baka gaijin has learned his lesson about
      trying to report l10n bugs in glibc, so I'll let someone else do the
      jousting.  :-P
    + Synchronize compose.dir with locale.dir wherever possible (i.e.,
      wherever compose tables exist) so that as many supported locales as
      possible get a Compose map.  Comment out references to compose tables
      that don't actually exist.
    + Disable support for iu_CA.NUNACOM-8.  X11 doesn't have any support for
      the NUNACOM-8 character set.  (iu_CA.UTF-8 is still supported.)
    + Disable support for locales that are neither supported by the GNU C
      Library, nor use standard ISO 639 language or 3166 territory codes.
      This includes Esperanto (eo_EO, eo_XX), and what I presume is
      Pennsylvania "Dutch" (pd_DE, pd_US).
    + Turn off intrusion of Nynorsk into Nyanja's ISO 639 space.  (Nynorsk is
      nn, not ny.)
    + Retain support for a3 as an alias for az (Azerbaijani), though I'm
      dubious about it.
    + Turn off support for the bogus (and ancient) FreeBSD-ism of using
      "lt_LN.ISO8859-1" as a "generic" Latin-1 locale.
    + Remove bogus "ee" locales for Estonian (et).
    + Remove ISO 8859-15 support for languages that don't use that character
      set according to glibc.
    + Alias "fi" and "fi_FI" to use ISO 8859-1, not ISO 8859-15, for
      compatiblity with glibc (thanks, Jukka Suomela).  (Closes: #266834)
    + Remove @euro modifier support from locales that don't use that currency
      (i.e., countries not in the Euro zone).
    + Ensure we support the @euro modifier for all locales that use it
      (according to glibc), even if the codeset is explicitly specified.  See
      Debian #208137.
    + Rewrite some comments to be in grammatical English.
    + Add locale-munger script, which I used to gather the information that
      drove these changes.
    + Resync patch #096.
    + Fix a few Debian bugs in the process:
      - en_GB.ISO-8859-15 is now supported.  (Closes: #122039)
      - et_EE.ISO-8859-15 is now supported.  (Closes: #258223)
      - sv_SE.ISO-8859-15 is now supported.  (Closes: #243237)

  * Apply patch to savage driver to turn off RandR extension when driver's
    "Rotate" option is used, preventing screen garbling (patch #099f; thanks,
    Jorg Schuler).  Update manpage to document this fact.  Resync patch #911.
    (Closes: #258986)

  * Fix wrong comment character in Debian customizations to XTerm application
    defaults file.  (Closes: #252274)

  * Grab from freedesktop.org CVS a fix for SEGVs in the chips driver when the
    current mode wasn't valid.  Thanks to Ryan Underwood for identifying and
    testing this fix.  Resync patches #044 and #045.  (Closes: #260753)

  * Make keypad delete key <KPDL> generate KP_Separator, not KP_Decimal, in
    Polish XKB layouts (thanks, Emil Novak).  (Closes: #261163)

  * Grab latest version of Thomas Winischhofer's SiS driver for the XFree86 X
    server from his website as of 2004-08-20.  Resync patch #911.
    + Circumvent unresolved symbol complaints by explicitly loading the "glx"
      module when DRI is used.  (Closes: #254601)

  * Fix up the Mesa DRI tdfx module so that it really does use only libglide3,
    not libglide3-dev (#099h).  Open the actual libglide shared library we
    need, not the symbolic link used at compile time, which may not be
    installed on non-development systems.  When opening chipset-specific glide
    libraries, use the filenames actually in use by the current version of the
    libglide3 package.  Thanks to Guillem Jover for this patch.
    (Closes: #260099)

  * Update "Why does the X server take up so much memory?" FAQ entry with
    information from Albert Cahalan about how I/O is charged to processes in
    the procps utilities (he says it actually isn't).  Also add description of
    xrestop package and utility.

  * Overhaul dexconf.
    + Drop support for XFree86 3.x X server format.
    + Drop support for -f, --format and -s, --stdout options.
    + Use exec and open file descriptor 4 for output, instead of repetitiously
      redirecting standard output to a file explicitly all the time.  We can't
      use fd 3 since debconf uses it.
    + Use here documents a little more, and printf a little less.
    + Put blank lines between XF86Config-4 sections so that the file is easier
      to read.
    + Overwrite the destination file instead of "mv"ing or "cp"ing it; this
      way it is never unlinked.  (The maintainer scripts implement enough
      paranoia already.)
    + Tidy up shell style.
    + Modernize dexconf(1) manual page to undocument obsolete options, replace
      the "FUTURE DIRECTIONS" section with "HISTORY", correct and update
      "DIAGNOSTICS" section, provide more cross-references, and put a newline
      at the end of every sentence in the document source (per the GNU Roff
      texinfo documentation).
    + Use -o instead of -s and redirection when invoking dexconf from
      xserver-xfree86's postinst script, since the -s option is no longer
      supported.
    + WARNING: xserver-xfree86{,-dbg} 4.3.0.dfsg.1-[56] are not compatible with
      this version of xserver-common, or planned future versions, due to the
      above-mentioned removal of dexconf's -s option.  At the same time,
      saying xserver-common 4.3.0.dfsg.1-7 conflicts: xserver-xfree86
      (<< 4.3.0.dfsg.1-7) and xserver-xfree86-dbg (<< 4.3.0.dfsg.1-7) is
      excessive because 4.3.0.dfsg.1-4 and earlier will work.  I have heard
      that stating such a conflict can make things difficult for apt's
      problem resolver (or even impossible, if in conjunction with enough
      other versioned dependency or conflicts), so the risk seems greater than
      the reward.  It's too bad we don't have a way to conflict on ranges that
      aren't bounded on either zero or infinity.  Given that 4.3.0.dfsg.1-[56]
      have never appeared even in sarge, I'm making this judgement call.  Any
      bugs about this will be closed with this changelog entry included,
      unless you can rebut my premises; i.e., "I am Jason Gunthorpe and I
      declare that apt can eat a stack of versioned conflicts like this for
      breakfast and still see the One True Upgrade Path!", or "You silly
      person, of *course* dpkg and apt accept 'Conflicts: (4.3.0.dfsg.1-4 <<)
      xserver-xfree86 (<< 4.3.0.dfsg.1-7)'!"

  Changes by Fabio M. Di Nitto and Branden Robinson:

  * Support building only the parts of the source tree needed by
    architecture-specific packages.
    + Modify Debian Imake configuration to support building with fonts and
      specs docs turned off (patch #003).  Resynchronize GNU/Hurd,
      GNU/FreeBSD, and GNU/NetBSD Imake configurations with Debian
      configuration (patches #800, #820, #842, #900).  Resync diffs in patches
      #004, #099c, #600.
    + Modify Imakefiles to build and install the font utilities even if the
      fonts themselves are not being shipped (patch #095).
    + Make the "build" target a dummy target, replacing it with
      "build-arch-only" and "build-all" targets.  Target-specific variable
      values are used to invoke a "real-build" target, turning off the
      building of fonts and "specs docs" as needed.
    + Add comments to rules file, update $(stampdir_targets) and .PHONY
      target.
    + Split MANIFEST files into arch-specific and arch-independent parts.
      Update the README to explain how these files work now and how to update
      them.
    + Ship the XTerm control sequences document only in the xspecs package.
    Consequences:
    + Reduce the disk space required to build the package by ~520MB when the
      "binary-arch" target is used (e.g., by "dpkg-buildpackage -B".)
    + Reduce the build time by 20 to 30 percent when the "binary-arch" target
      is used (ccache users might see even more improvement).
    + Make the buildd admins hate us less.

  * Rewrite migration of app-defaults (in libxt6) and xkb (in libx11-6)
    directories.
    + Enhance the shell libary with new functions:
      - Implement check_symlink() and change check_symlinks_and_warn() and
        check_symlinks_and_bomb() to use it.
      - Implement make_symlink_sane().  Ensure that the specified symbolic
        link symlink exists, and points to the specified target.  If symlink
        does not exist, create it and point it at target.  If symlink exists
        but is not a symbolic link, back it up.  If symlink exists, is a
        symbolic link, but points to the wrong location, fix it.  If symlink
        exists, is a symbolic link, and already points to target, do nothing.
        This function wouldn't be needed if ln had an -I, --idempotent option.
      - Implement migrate_dir_to_symlink().  Per Debian Policy section 6.5.4,
        "A directory will never be replaced by a symbolic link to a directory
        or vice versa; instead, the existing state (symlink or not) will be
        left alone and dpkg will follow the symlink if there is one."  We have
        to do it ourselves.  This function moves the contents of old_location,
        a directory, into new_location, a directory, then makes old_location a
        symbolic link to new_location.  old_location need not exist, but if it
        does, it must be a directory (or a symlink to a directory).  If it is
        not, it is backed up.  If new_location exists already and is not a
        directory, it is backed up.
    + Add config scripts for libx11-6 and libxt6, which detect if
      /usr/X11R6/lib/X11/{app-defaults,xkb} is a directory but not a symlink,
      and use debconf to prompt the user (at low priority) whether the
      directories should be moved.  If the user says no, abort the script.  If
      the user says yes (default), start the migration with
      migrate_dir_to_symlink().
    + Update preinst scripts to use debconf as the configs script do; this is
      unusual but necessary because if we're going to do the migration we need
      to start before any other packages (which may use the old directories)
      are unpacked.
    + In the preinst scripts, call check_symlink(), and if that fails, call
      make_symlink_sane().  Stop calling check_symlinks_and_warn().
    + Update postinst scripts to indicate that migration is completed.
    + Update postrm scripts to run migration in reverse if it had been started
      and the package installation or upgrade is aborted.
    + We keep shipping /etc/X11/{app-defaults,xkb} symlinks as part of the
      package payloads, because manipulating them in the preinst isn't enough
      -- dpkg will remove "disappearing" files from the system *after* the
      preinst runs but before the postinst does, leaving a window for packages
      using the legacy paths to unpack to the old location with no symlink to
      redirect them, which is precisely what we don't want (see section 6.5 of
      the Debian Policy Manual).

  * Make xserver-xfree86 config script's validate_monitor_frequency_db_input()
    function more strict, so it doesn't regard open-ended ranges like "40-" as
    valid.

  * Fix some lingering references to an unreleased version of xserver-common
    in the debian/control file; bump the versioning up to the subsequent
    package release.

  Changes by Robert Millan:

  * Get glxinfo to link properly with g++ (instead of adding -lstdc++).

  Changes by Fabio M. Di Nitto:

  * Fix default drivers lists in xserver-xfree86.config.in. The via driver is
    only available for hurd-i386 and i386.

  * Fix bug in xserver-xfree86 configuration script where failure of
    autodetection would cause the script to think it had detected one X server
    or XFree86 video driver instead ($(echo "" | wc -l) is "1", not "0").

  * Add French and Danish translation of "Generic Monitor" to
    xserver-xfree86.config.in.  Thanks to Christian Perrier and Anders Dybdal.

  * Add Danish translation of "Generic Video Card" to
    xserver-xfree86.config.in.  Thanks to Anders Dybdal.

  Changes by Denis Barbier:

  * Grab from XFree86 CVS (no later than 2003-12-18) several fixes to XKB:
    + Fix for XKB map 'altwin' to avoid one keysym to more than one modifier
      mapping (Ivan Pascal).  This really fixes the Alt-Tab issue.
      (Closes: #256706)
    + Fix xmodmap's output of the modifiers map to not display BadKey when
      the first column keysym is empty (Ivan Pascal).
    + The "modifier_add none" construct was introduced by Ivan Pascal some
      times ago, but it was not documented in the changelog and a piece was
      missing to enable this feature.  No keymaps currently use this feature,
      but users may find it useful with broken keymaps.

 -- Branden Robinson <branden@debian.org>  Wed,  1 Sep 2004 04:42:22 -0500

  Older changelog entries can be found in changelog.Debian.old.
  Releases previous to this fixed the following security issues (details in
  changelog.Debian.old): CAN-2004-0419, CAN-2004-0083, CAN-2004-0084,
  CAN-2004-0106, CAN-2003-0690, CAN-2003-0730, CAN-2003-0690, CAN-2003-0063,
  CAN-2003-0071, CAN-2004-0093, CAN-2004-0094, CAN-2004-0093, CAN-2004-0094.

xfree86 (4.3.0.dfsg.1-6) unstable; urgency=low

  Changes by Branden Robinson:

  * Apply patch by David S. Miller via Ben Collins to add RENDER and X
    Acceleration Architecture (XAA) support to the Sun FFB driver, and use FB
    framebuffer layer instead of MFB and CFB.  (Closes: #245246)

  * Convert Debian X FAQ from plain text to XHTML.  Thanks to Andreas Metzler
    for doing most of the hard work of conversion.  Make several minor updates
    to FAQ text.  Use lynx to convert FAQ to plain text format for shipping in
    package.  Ship both plain text and XHTML form of FAQ in xfree86-common.
    Add build-dependency on lynx.  Update xfree-common's doc-base information
    to include (X)HTML form of FAQ document.

  * Update XTerm FAQ to latest version from Thomas Dickey's website.

  * Revert to using lynx instead of html2text for converting XTerm FAQ from
    HTML to plain text.  Drop build-dependency on html2text.  Ship
    (compressed) plain text version of XTerm FAQ as
    /usr/share/doc/xterm/xterm.faq.gz, not
    /usr/share/doc/xterm/xterm.faq.text.gz.  Update xterm's doc-base
    information accordingly.

  * Update Danish debconf template translations (thanks, Claus Hindsgaul).
    (Closes: #255184)

  * Enhance xlibs package's bug script to report compiled XKB data for X
    server, if possible.

  * Add "How to Use this Document" and "Acknowledgements" sections to FAQ.

  * Update FAQ entries:
      + What is the X Window System?
      + What is XFree86?

  * Add FAQ entries:
      + What is the story with XFree86 being forked?
      + What is the story with XFree86's license?
      + What is freedesktop.org?
      + What is X.Org?  (Thanks to Steve Swales for his explanations of the
        X.Org organization's history and expected future.)

  * Update Japanese debconf template translations (thanks, Kenshi Muto).
    (Closes: #256099)

  * Grab OS/2 updates from XFree86 CVS as of 2003-03-24 to ease pending
    merges.  Resync patch #802.

  * Grab from XFree86 CVS (2003-06-04) client- and server-side implementation
    of MiscExtPassMessage() addition to XF86Misc extension (primarily to ease
    pending merges).  Resync patch #802.  Add NEWS file to xlibs-static-pic
    package to note API change.

  * Grab from XFree86 CVS (2003-06-11) support for the keypad equal key on
    Macintosh keyboards.  Resync patch #066.

  * Grab from XFree86 CVS (2003-08-22) a fix for the problem some window
    managers have seeing Alt key release events (commonly known as the
    "Alt-Tab problem").  (Closes: #254973)

  * Fix miscellaneous Macintosh XKB data problems:
    + The keypad equal key (<KPEQ>) should map to the "KP_Equal" keysym, not
      "equal".
    + Fix typo that kept the right Alt key from working.

  * Fix xdm and xfs's init and postinst scripts in several respects.
    + Don't remove the "daemon not stopped" flag file in the postinst; we want
      to leave it there so it is seen by the next invocation of the init
      script (which is already written to remove it when needed).
    + Correct init scripts' notion of the name of the "daemon not stopped"
      flag file (completes change begun in 4.3.0.dfsg.1-1).
    + Use --name instead of --exec argument to start-stop-daemon when stopping
      a daemon that was not stopped across an upgrade (see #256790).
    + Fix misleading wording (and misleading variable name) in xdm postinst
      when refusing to start the daemon.

  Changes by Fabio Massimo Di Nitto:

  * Update French debconf template translations (thanks, Christian Perrier).
    (Closes: #255464)

  * Update Brazilian Portuguese debconf template translations (thanks, André
    Luís Lopes). (Closes: #255963)

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Wed, 07 Jul 2004 16:14:19 +0200

xfree86 (4.3.0.dfsg.1-5) unstable; urgency=low

  Changes by Branden Robinson:

  * Re-run debconf-updatepo to get templates.pot and po files in sync with
    debconf template changes in 4.3.0.dfsg.1-3.

  * Update Greek debconf template translations (thanks, Konstantinos
    Margaritis).  (Closes: #251509)

  * Grab updates to XKB data from XFree86 CVS, mostly from 2003-05, with a
    couple of later updates (none later than 2003-12-18).  Remove supserseded
    portion of patch #013.  Adjust offsets in patch #084.  Update MANIFEST
    files and ship new chicony, ibm/thinkpad, and omnibook XKB geometry files.
    + Small fixes in keyboard maps:
      - add an explicit type declaration in level3(ralt_switch)
          (Bugzilla #225, Siamus S Ciardhuain);
      - fix wrong group number in Russian keyboard map (Ivan Pascal).
    + Add missing letters to Ukrainian phonetic keyboard map (Andriy Rysin).
    + Add workaround for problems that arise when in multi-layout map
      different modifier keysyms share the same key (Ivan Pascal).
    + Small fix for Italian keyboard map (Sebastiano Vigna).
    + Update Tamil keyboard map (Thuraiappah Vaseeharan).
    + Fixes and updates for XKB keyboard maps:
      - add asciitilde to Swedish 'nodeadkeys' map (Bugzilla #291).
      - add map for true Romanian keyboard (Bugzilla #300, Manfred Pohler).
      - add EuroSign to "us_intl" keyboard map (Bugzilla #309, Paul Bolle).
      - fix some keys in Armenian 'phonetic' layout (Bugzilla #313, Ani).
      - add some geometry files (Alexander Pohoyda).
      - some cosmetic changes.
    + Fixes for XKB keyboard maps:
      - fix Meta, Super, Hyper keysyms interpretation
    + Fixes and updates for XKB keyboard maps:
      - Add to 'us' keymap backslash key that can be rewritten in other
        layouts (Bugzilla #976, B?rre Gaup).  (Closes: #237583)

  * Grab latest version of XTerm (#190) from Thomas Dickey's website.  Check
    for license contamination from XFree86 CVS, and document findings in patch
    annotation (short story: there is none).  Resync patch #907.
    + Fix problem responding to session management events, e.g., which would
      make logging out very slow (patch by Eddy De Greef, Debian #233883).
      (Closes: #233883)
    + Do not call xim_real_init() if openIm resource is false (Debian #249025).
      (Closes: #249025)

  * Update Czech debconf template translations (thanks, Miroslav Kure).
    (Closes: #251681)

  * Attempt to mitigate serious DRI performance problems on Rage 128 chips by
    retrying CCE idle commands until the timeout is reached (thanks, Daniel
    Jacobowitz!).  (Closes: #223089)

  * Grab missing part of updated XVideo (Xv) server-side implementation from
    XFree86 CVS as of 2003-04-30.  Update module loader to export the new
    symbols xf86XVCopyYUV12ToPacked and xf86XVCopyPacked to drivers.  Thanks
    to Michel Dänzer for diagnosing the problem.  (Closes: #251307)

  * Add -s, --stdout option to dexconf, and document this new option in its
    manpage.  This option instructs dexconf to write the generated
    configuration file to standard output.

  * Modify xvfb-run to create a temporary directory (respecting $TMPDIR) in
    addition to a temporary file for the X authority file; this way we do not
    have to worry about whether xauth(1x) manages the authority file in a
    secure fashion.  Also, if the user specifies an authority file to use, do
    not create it or remove it.  Document these changes in behavior in
    xvfb-run's manual page.

  * Modify Xsession to always append to the error file, closing a temporary
    file race condition window if it has to fall back to using tempfile(1) to
    create an X session error file.  Because it always appends now, log the
    fact that the session has started, the username, and the date to the X
    session error file once it is successfully opened.  Document this change
    in behavior in Xsession(5).

  * Update Xsession(5) manpage to document the file specifications of the X
    session "scriptlets" that are shipped by default.  Make other cosmetic and
    stylistic improvements.

  * Reduce susceptibility of tempfile(1)-using maintainer scripts to temporary
    file race conditions by only appending to temporary files created by
    tempfile, instead of recreating them with the shell redirection operator.
    Make xserver-xfree86 postinst script use new --stdout option of dexconf,
    and increase versioned dependency of xserver-xfree86 and
    xserver-xfree86-dbg on xserver-common accordingly.  (Thanks to Andrew
    Suffield for pointing out this problem.)

  * Fix XFree86 X server's PCI bus support code to be able to cope with both
    Linux 2.4 and Linux 2.6 styles of organization for /proc/bus/pci, checking
    for the 2.6 style first (thanks, Daniel Seyffer and Ciaran McCreesh).
    (Closes: #225526)

  * Modify xserver-xfree86's config script to be more paranoid and mistrustful
    of Discover.  Store standard error from checking for the installed version
    of Discover instead of discarding it, and if this fails, report Discover's
    error output to the user and trap the failure instead of permitting it to
    break us.  (Thanks to Kevin B. McCarty for identifying the cause of these
    mysterious failures; see #251690 and #252348.  Thanks also to the libcurl2
    maintainer for the reminder that "The issue isn't whether you're
    paranoid...The issue is whether you're paranoid *enough*." [Max Peltier])
    (Closes: #149586)

  * Expand patch #104 to prevent 64-bit addressing modes from being used when
    they should not be on UltraSPARC Linux.

  * Enhance xserver-xfree86's config script to be able to handle the new
    output format of lspci, which reports the PCI domain information as well.
    Retain support for the older lspci format, and if the output format isn't
    recognized at all, issue a warning and do not set a default answer for the
    BusID debconf question.  (Closes: #251568)

  * Update xserver-xfree86's config script and debconf templates file to
    support "1280x1024 @ 60Hz" in the list of modes the user can select to
    configure the monitor characteristics using the "medium method".

  * Fix and enhance Bus ID validation code in xserver-xfree86's config script
    to recognize all bus types and corresponding ID formats supported by
    XFree86 (ISA, PCI, SBUS).  Update template descriptions accordingly.
    (Closes: #251808)

  * Add "bug" script for xlibmesa-dri package to attempt to automatically
    gather useful information when people report problems with DRI/3D
    acceleration.  Ship this script in the xlibmesa-dri package where
    reportbug will find it.  Thanks to Michel Dänzer for his suggestions.

  * Fix bug in sessreg such that it assumes hostnames in utmp entries are
    unique in the last four characters.  Rectify this problem by hashing the
    entire hostname field from the utmp entry, so that we can tell unlike
    hostnames apart with much greater reliability.  There is still a
    possiblility of one hash collision in 2^32.  Apply patch by Maximiliano
    Curia and Damián Viano, using a public-domain hash algorithm by Bob
    Jenkins.  Thanks also to Margarita Manterola for helping to steer this
    ship into port.  (Closes: #229785)

  * Fix problem with numbers and symbols being un-typable in the Lithuanian
    keymap (patch by Mantas Kriaučiūnas via Vytautas Lukenskas).
    (Closes: #247387)

  * Fix a few problems with the U.K. Macintosh keyboard layout:
    + Map <TLDE> key to "section, plusminus".
    + Map <LSGT> key to "quoteleft, asciitilde".
    + Map AltGr+<AE02> to "EuroSign".
    + Include group(switch) symbols so that the already-defined mapping
      of AltGr+<AE03) to "numbersign" can be used.
    (Closes: #201737)

  * Implement XkbOption "compose:caps" (make the Caps Lock key a compose key,
    a.k.a. Multi_key), courtesy of Andrew Suffield.  (Closes: #251310)

  * Update Catalan debconf template translations (thanks, Ivan Vilata i
    Balaguer).  (Closes: #253484)

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Wed, 16 Jun 2004 07:29:04 +0200

xfree86 (4.3.0.dfsg.1-4) unstable; urgency=medium

  * The "thanks for the 'testing'" release.

  Changes by Branden Robinson:

  * Fix hang in xserver-xfree86 config script by telling grep what file to
    search.

 -- Branden Robinson <branden@debian.org>  Fri, 28 May 2004 21:49:53 -0500

xfree86 (4.3.0.dfsg.1-3) unstable; urgency=low

  Changes by Branden Robinson:

  * Fix breakage of NumLock under XKB, caused by crack-addled patch that
    warped the XKB types/basic file 7 years backwards in time.
    (Closes: #251119)

  * Rework xserver-xfree86/config/device/driver debconf logic.
    + Attempt to populate driver choices by scanning filesystem first.
    + observe() if we do not find any.
    + Set default driver on an architecture-specific basis.  Use vga for
      alpha; vesa for amd64, hurd-i386, and i386; and fbdev for everyone else,
      except mips and mipsel boxen that report themselves as "SGI Ind*"
      machines via /proc/cpuinfo, for which we default to newport.
      (Closes: #226193, #249614)

  * Update xserver-xfree86/config/device/bus_id logic.
    + Add comments describing why we don't default to a blank answer all the
      time.
    + Use "1" as the default answer on systems that identify themselves as
      "SGI Indigo2" machines via /proc/cpuinfo.
    + Update template description to tell SGI Indigo2 XL users to specify "1"
      for the BusID.

  * Move XDeviceTimeCoord(3x) manpage from libx11-dev to libxi-dev, where it
    belongs.  Make libxi-dev conflict/replace libx11-dev (<< 4.3.0.dfsg.1-3)
    so that upgrades proceed smoothly.  Thanks to Stephen Kitt for identifying
    this problem.  (Closes: #233839)

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Fri, 28 May 2004 19:41:04 +0200

xfree86 (4.3.0.dfsg.1-2) unstable; urgency=low

  Changes by Branden Robinson:

  * Fix 30xfree86-common_xresources Xsession script to check for existence of
    xrdb command before attempting to execute it, and warn if it is not found
    (thanks, Ryan Murray).  (Closes: #242485)

  * Fix shell scriptlets in Xsession.d to use shell's && and || operators
    instead of test(1)'s -a and -o operators, since the former is
    POSIX-compliant and the latter is not.

  * Add support for the AMD64 architecture (thanks, Andreas Jochens!).
    (Closes: #240889)

  * Grab updated list of PCI IDs from XFree86 CVS as of 2003-10-30.  Remove
    superseded parts of patches #030a, #030b, #099.

  * Grab updated XFree86 X server I2C code from XFree86 CVS as of 2003-08-29.
    Implements and exposes xf86I2CGetScreenBuses() function.

  * Grab updated XVideo (Xv) server-side implementation from XFree86 CVS as of
    2003-04-30.
    + Initialise v4l's XVideo adaptors last (Marc La France).
    + Reduce cut&paste effects by adding more helpers to Xv (derived from
      #5645, Björn Augustsson, Marc La France).
    + XvExtension driver cleanups (Marc La France).
    + Fix precision problems in xf86XVClipVideoHelper (Marc La France).

  * Backport XFree86 X server ATI driver (including Rage 128 and Radeon
    sub-drivers) from XFree86 CVS as of 2004-02-11.  Drop superseded patches
    #030[a-h], #048, #049, #085, and #099.  Add patch #030 which fixes driver
    to work with not-backported overhaul of X server's region macros.  Resync
    patches #022, #024, #025, #027, #069, #079, #450, #451, and #600.
    + adds support for Radeon IGP320; Radeon IGP330/340/350; Radeon 7000 IGP;
      Radeon 9100; Radeon 9500; Radeon 9000 IGP; Radeon 9200; Radeon Mobility
      M9+; Radeon 9600; Radeon 9800; Radeon 9800XT
    + add display bandwidth calculation routine to Radeon driver to fix
      flickering/tearing display problem (Closes: #218169)
    + fixes Radeon register initialization for RGB offset to fix the
      "milky-screen" problem (Closes: #234025)
    + radeon driver now supports "ForceMinDotClockOption" (Closes: #240581)

  * Grab from XFree86 CVS (2003-11-23) a fix to a problem resolving hostnames
    of indirect entries in xdm's Xaccess file.  Resync patch #002.
    (Closes: #245044)

  * Update (from XFree86 CVS, 2003-12-18) the XFree86 X server's PCI bus
    handling code and device recognition databases from CVS.  Resync patch
    #452.  Delete superseded patch #453.
    + Simplify internal interfaces in the PCI code and remove the Xserver's
      interference with normal PCMCIA operation (Marc La France).
    + Fixed typo in getPciBiosTypes() (Bugzilla #382,  Jakub Bogusz).
    + Change DEVID macro to work around glitch in SCO's C compiler (Marc La
      France).
    + Fixed support for 64bit PCI bus on 32bit systems (Egbert Eich).
    + Be a little more precise about differentiating between active and
      inactive non-video PCI resources (Marc La France).
    + Fix bug in detection of multi-function PCI devices (Marc La France, in
      partial resolution of Bugzilla #574).
    + Rip out incorrect limits on the number of PCI buses an ix86 chipset can
      handle and implement an improved solution for avoiding "phantom" PCI
      buses (Marc La France, Bugzilla #604).

  * Add dependencies on libxext-dev, libxi-dev, and xlibs-static-dev to
    libx11-dev, and explain why in the latter's extended description.  Thanks
    to Filip Van Raemdonck for noticing this problem.  (Closes: #247525)

  * Backport XFre86 X server VIA driver from XFree86 CVS HEAD as of
    2004-02-12.  This driver adds support for the VIA CLE266 and related
    northbridge integrated chipsets, typically found in VIA EPIA-M Mini-ITX
    systems.  Add patch #048 (not from XFree86 CVS) to enable the driver in
    the build.  (Thanks, Adam Conrad!)

  * Add package infrastructure in debian/ directory for the new VIA
    driver.  (Thanks, Adam Conrad!)
    + Add "via" to DRIVER_LIST for hurd-i386 and i386 in
      xserver-xfree86.config.in.
    + Add /usr/X11R6/lib/{modules/drivers/via_drv.o,man/man4/via.4x}
      to xserver-xfree86.install.{hurd-,}i386 and MANIFEST.{hurd-,}i386.

  * Grab latest version of Thomas Winischhofer's SiS driver for the XFree86 X
    server from his website as of 2004-05-10.
    + display should no longer "melt" on SiS 630ST (Closes: #245249)
    + SiS 330 (Xabre) support improved and should no longer hang system
      (Closes: #246087)

  * Stop shipping the "Xterm Control Sequences" document in the xspecs
    package; ship it only in xterm.  Add HTML version of this document to the
    xterm package.  Update xterm's extended description to mention the
    availability of this document.

  * Grab latest version of XTerm from Thomas Dickey's website.  Revert
    inconsequential changes merged from XFree86 CVS after 2004-02-13 that
    could conceivably be under the XFree86 1.1 license's terms.
    + When deriving bold fontname from normal fontname, use the normal font's
      average width to avoid for example selecting 7x13bold from an 8x13
      normal font.  (Closes: #107769)
    + Modify xtermAddInput() to use the complete set of default keyboard
      translations so that one can use shifted pageup, wheel mouse, etc.,
      while the mouse pointer is over the scrollbar.  (Closes: #178812)
    + Improve description of utf8 resource in manpage.  (Closes: #179407)
    + Correct comment in terminfo file regarding modifier used for kDC.
      (Closes: #189764)
    + Correct typo in example for character classes in xterm manpage.
      (Closes: #198910)
    + Add translation to ASCII of commonly-used characters that groff
      translates to Unicode, when the font in use does not provide the
      corresponding glyphs.  (Closes: #219551)
    + Add a limit check to ScrnTstWrapped() (XFree86 Bugzilla #981).
      (Closes: #222530)
    + Modify uxterm script to interpret help and version options so xterm does
      not always create a window when the user requests this information.
      (Closes: #223926)
    + Modify initialization of terminal colors, e.g., mouse pointer and text
      cursor, to treat XtDefaultForeground and XtDefaultBackground values as
      the actual foreground and background colors of the terminal rather than
      white and black.  (Closes: #241717)

  * XTerm's manual page now accurately documents the default set of VT
    terminal colors used in the XTerm-color app-defaults file.  (Upstream
    adopted Debian's changes.)  (Closes: #247705)

  * Stop using an Xaw7 gradient for the backgrounds of the xterm menus; it
    produces an unappealing effect if the menus are configured to use a larger
    font than the stock configuration (also, xterm has added items to some
    menus since I last calculated the gradient size and I can't be bothered to
    do it again).

  * If the X server is capable of color and has more than 8 planes of color
    depth available, set the menu colors to gray15 on antique white, and
    customize the appearance VT widget's scrollbar.  Otherwise, do not eat up
    precious entries in the color palette.

  * Define the "xterm-debian" terminal type in the termcap and terminfo files
    as an alias for "xterm-new" instead of "xterm-xfree86", reflecting
    upstream change.

  * Update references to Debian Policy Manual to cite the correct section for
    backspace key handling.

  * Ship the new README.i18n document in /usr/share/doc/xterm.

  * Grab a couple of minor documentation-related fixes from XFree86 CVS.
    + There's no config/util/rman.man (Peter Stromberg). [Matthieu Herrb]
      From XFree86 CVS 2003-04-07.  Delete superseded patch #006.
    + One xieperf reference left over.  Noticed by ISHIKAWA Mutsumi. Thanks.
      [Matthieu Herrb]  From XFree86 CVS 2003-04-14.

  * Grab a fix to the XFree86 X server chips driver from XFree86 CVS
    2003-04-04.
    + Fixed DPMS problem on C&T 69000 due to incorrect LCD flag (Bugz: 101,
      Egbert Eich).

  * Grab updates to XKB documentation and code from XFree86 CVS.
    + Fix typo in XKB README.config file.  (Egbert Eich, 2003-04-07)
    + Fix xkbcomp crash with some combinations of layouts in a multi-layout
      keyboard map (Ivan Pascal).  (2003-04-19)

  * Grab updates to XKB data from XFree86 CVS, none later than 2003-04-30.
    Resync offsets in patches #082 and #084.  Update MANIFEST files and
    xlibs.install to recognize and ship new XKB symbols files hr_US, th_pat,
    and th_tis.
    + Add Thai (Pattachote) and Thai (TIS-820.2538) keymap support as layouts
      "th_pat" and "th_tis", respectively.  [Theppitak Karoonboonyanan, Visanu
      Euarchukiati, Supphachoke Santiwichaya, David Dawes]
    + Fix a typo that causes the 'yu' keymap to emit a lower case 'L' in both
      shift states (#A.1675, Nikola Smolenski). [David Dawes]
    + Add xkb symbols layout for BTC 5090 internet keyboard (Bugz: 57, Jack
      Angel). [Egbert Eich]
    + Add keys missed in multi-layout keyboard maps: LSGT key in [...]
      'old','phonetic' variants in Armenian map (Ivan Pascal).
    + Update Italian keyboard map (Bugzilla #109, Sebastiano Vigna). [Ivan
      Pascal]
    + Fix the <KPDL> mapping for the hr XKB map, and add an hr_US map
      (#A.1726, Vlatko Kosturjak). [David Dawes]
    + Keyboard maps cleanups, including:
      - fix incorrect aliases in a keycodes file.
      - remove unneeded type declarations.
      - remove ThirdLevel modifier key descriptions in maps and replace them
        with references to a common one in 'level3' file.
      - some cosmetic changes.
      (Ivan Pascal). [David Dawes]

  * Apply Michel Dänzer's fix for Radeon driver trying forever to initialize
    card if card's firmware is not loaded.  Add patch #006.  Resync patches
    #024, #079.  (Closes: #246901)

  * Add Turkish debconf template translations (thanks, Osman Yüksel).
    (Closes: #248144)

  * Adjust package relationships of libxrandr2 and libxrandr2-dbg so that they
    no longer conflict with and replace xlibs (<< 4.3.0); there are no file
    overlaps in these cases (though there are with libxrandr-dev), so such
    declarations are spurious.  (Closes: #248539)

  * Handle failure of "which" command when processing arguments to Xsession,
    so that the script is not aborted prematurely (thanks, Oliver Bausinger).
    (Closes: #248632)

  * Update ARM support patch #315 to add #define guards against more instances
    of x86 and legacy VGA I/O code (thanks, Wookey).  (Closes: #234808)

  * Add dependency of libxp-dev on xlibs-static-dev, since the former's
    Print.h #includes the latter's Xauth.h (thanks, Matt Kraai).
    (Closes: #249738)

  * Remove spurious sourcing of debconf confmodule from maintainer scripts
    that do not actually need it (thanks, LaMont Jones).  (Closes: #250061)

  Changes by Fabio Massimo Di Nitto:

  * Update xutils's package description to refer to bdftruncate and ucs2any
    programs by their correct names.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Tue, 25 May 2004 22:11:46 +0200

xfree86 (4.3.0.dfsg.1-1) unstable; urgency=low

  Changes by Branden Robinson and Fabio Massimo di Nitto:

  * Re-generate .orig tar archive to eliminate files containing object code
    with no corresponding source (none of which are actually needed or used by
    XFree86 at run time).  Add these files to the prune-non-free script.
    Update patch #025 to stop patching one of the affected files and add patch
    #913 to remove all references to the affected files inside the code
    required to build.  Update MANIFEST and xserver-xfree86.install files for
    alpha, hurd-i386, i386, ia64 and sparc accordingly. Thanks to Nathanael
    Nerode for his assistance with this issue.  (Closes: #242865)

  * Fix SEGV when attempting to use GLX extension on SPARC due to failure of
    extension to initialize a Mesa context; patch by Ferris McCormick,
    backported from XFree86 CVS 2003-12-08 by Christian Guggenberger,
    and updated to build on non-SPARC architectures by Fabio M. Di Nitto.
    (Closes: #241331)

  Changes by Fabio Massimo di Nitto:

  * Quote menu items in Debian menu files (quiets Lintian warning).

  Changes by Branden Robinson:

  * The tar achive within the .orig tar archive (stored this way due to the
    requirements of dbs) has been re-packed using gzip instead of bzip2.  This
    increases the size of the .orig tar archive by 10MB (a 21% increase), but
    speeds unpacking of the stored tar achive from 2m49s to 39s on a 400MHz
    PowerPC 750 (G3) processor with 512MB of RAM.

  * Add FAQ entry about the <LSGT> key problem.  Edit news item about the
    <LSGT> problem to tidy up the wording a little and direct people to the
    FAQ for more information.

  * Make xev flush standard output after processing each event, since its
    exit(0) is unreachable code (thanks, Bill Currie).  (Closes: #238638)

  * Fix compilation of a.out object loader on uClibc (and possibly other
    non-GNU-libc systems) in XFree86 X server by including correct header file
    for ntohl() prototype (thanks, Erik Andersen).  (Closes: #216806)

  * Restore original xdm behavior of interpreting an XDMCP request port of
    zero (the default) as an instruction not to open a port at all.
    Equivalent code was apparently accidentally deleted in upstream CVS
    (thanks, Jeff King).  [SECURITY FIX] (CAN-2004-0419) (Closes: #239341)

  * Fix cosmetic formatting error in dexconf manpage.

  * Improve logging of xdm's script handling in session.c.
    + Make execution of the session program an informational log message (with
      LogInfo()), not a Debug() message.
    + Ensure that source()d scripts (Xreset, Xsetup, Xstartup) can be
      fopen()ed before invoking runAndWait() on them.  If they can, LogInfo()
      the fact.  If they cannot, LogInfo() that, too, and use _SysErrorMsg()
      to report why fopen() failed.  (Closes: #219311)
    + Make source() complain using Debug() when it is given a null pointer in
      its file argument.
    + For clarity, make source() return from only one location.

  * Clean up debian/rules's "not building" logic.
    + Rename NOT_BUILDING_XF86_SERVER to NOT_BUILDING_XFREE86_X_SERVER.
    + Use NOT_BUILDING_XFREE86_X_SERVER, not NOT_BUILDING_X_SERVER, to control
      whether build-tree/xc-xserver-xfree86-dbg is populated and built.  This
      should speed up builds on the s390 architecture.
    + Drop now-unused NOT_BUILDING_X_SERVER variable entirely.

  * Stop shipping the generated files encodings.dir, fonts.cache-1, fonts.dir,
    and fonts.scale in the xfonts-scalable package.  (Closes: #238555)

  * If defoma-app and fontconfig's defoma script are available, invoke
    "defoma-app update fontconfig" on package configuration and removal;
    otherwise, use fc-cache as before.  (Closes: #238797)

  * Stop setting the debconf-configured default amount of video RAM to 8MB for
    users of the i810 driver; in XFree86 4.3.0, the i810 driver defaults to
    8MB internally, and the i830 driver defaults to 32MB if DRI is enabled,
    and 8MB otherwise.  (Closes: #238340)

  * If using Discover 1.x to scan for hardware in the XFree86 X server
    packages' config scripts, pass the discover command the
    "--disable=serial,parallel" option to avoid long delays on some systems.
    We're certain to not find a VGA device on those buses anyway.  Also,
    discard standard error output from discover 1.x.  (Closes: #237046)

  * If using Discover 2.x to scan for hardware in the XFree86 X server
    packages' config scripts, invoke the discover command such that an
    abnormal exit on its part does not crash the script.

  * Grab fixes to the X server's DIX events processing from XFree86 CVS
    (none later than 2004-01-23).
    + Fix a potential hang in Xinerama caused by an uninitialized
      sprite.hotShape. [Mark Vojkovich]
    + Build fix for when XKB is disabled but XINPUT isn't.  Reported by Paul
      Jarc. [Marc Aurele La France]
    + Fix a crash when xkb is disabled. [Matthieu Herrb] (Closes: #238407)

  * Apply patch by Emmanuel Thomé and Ole Rohne to enable resume from suspend
    level S3 on Dell D600 and D800 laptops; when the VT is re-entered, the
    Radeon chipset's memory size is queried, and if zero is returned, the
    chipset is re-POSTed via the int10 interface.  (Closes: #234575)

  * Implement IsolateDevice and SingleCard layout options for XF86Config, and
    -isolateDevice command-line flag for XFree86 X server.  Useful for
    multi-card setups where different X servers run on each card (thanks,
    Andreas Schuldei).  (Closes: #207543)

  * Correct the package description of libx11-6-dbg to accurately identify the
    location of Xlib's loadable modules (thanks, Chung-chieh Shan).
    (Closes: #239988)

  * Fix the latin(type3) PC keyboard map to override the AB10 key definition
    inherited from the basic layout, mapping the key to "minus, underscore"
    rather than "slash, question".  This enables the al (Albanian), hr
    (Croatian), pl2 (Polish QWERTZ), si (Slovenian), and yu (Yugoslavian)
    layouts to inherit this key mapping (though al overrides it).  Thanks to
    Josip Rodin for reporting this bug and testing the fix.  (Closes: #236604)

  * Update libxmuu-dev's package description to explain why it does not ship
    header files.

  * German keyboards using the "nodeadkeys" variant should produce an
    apostrophe, not an acute accent, when <AE12> is pressed.  This change is
    also consistent with the existing xc/programs/xkbcomp/symbols/de file
    (thanks, Andreas Metzler).  (Closes: #241127)

  * Demote x-window-system-dev's priority to "extra" since it depends on
    library -dbg packages, which are themselves of extra priority (see Debian
    Policy section 2.5).

  * Add Fabio Massimo Di Nitto to list of package uploaders.

  * Fix update-fonts-scale to not attempt to manipulate temporary files that
    do not exist.  (Closes: #243000)

  * Enhance update-fonts-scale in several small ways:
    + Improve comments.
    + Update copyright notice.
    + On startup, query the terminal with stty if $COLUMNS is not set.
    + Send all diagnostic messages to standard error output in message()
      function.
    + Add observe() function for debugging diagnostics.
    + Rename error() to die() and update invocations of it accordingly.
    + Quote shell variables more religiously when expanding them.
    + Use consistent syntax style.
    + Update Vim modeline.

  * Improve update-fonts-scale(8) manual page:
    + Update copyright notice.
    + Fix minor wording issues.
    + Add "ENVIRONMENT" section documenting effects of $COLUMNS and $DEBUG.
    + Add a preface to the "DIAGNOSTICS" section.
    + Document the new "index references nonexistent font file" diagnostic.

  * Update xdm.options(5) and xfs.options(5) manual pages to instruct the user
    to use the invoke-rc.d command instead of invoking packages' init scripts
    directly.

  * Improve xfs package's maintainer scripts:
    + Always start the daemon on package install (as opposed to upgrade).
      (Closes: #241539)
    + Replace xfs "upgrade" flag file with two distinct ones, "install" and
      "daemon-not-stopped".  Create install flag file when preinst script is
      invoked with "install" argument; remove in postinst, and in postrm when
      invoked with "abort-install" or "abort-upgrade" argument.  Create
      "daemon-not-stopped" flag file in prerm script if the daemon is not
      stopped with invoke-rc.d; remove in postinst, and in postrm when invoked
      with "abort-upgrade" argument.
    + Duplicate the postinst's daemon logic in the postrm when invoked with
      the "abort-upgrade" argument; this way the daemon is restarted if it was
      stopped for upgrade, but the upgrade failed.
    + Pass package name literally to update-rc.d and invoke-rc.d; quiets
      lintian warning.
    + Call db_stop before update-rc.d; if the latter spews to stdout, it can
      confuse debconf.
    + Use shell's && and || operators instead of test(1)'s -a and -o
      operators, since the former is POSIX-compliant and the latter is not.

  * Disable RandR extension support in siliconmotion driver when the driver's
    "Rotate" option is used (thanks, Jim Paris).  (Closes: #241286)

  * Implement XkbOption "grp:sclk_toggle" (pressing Scroll Lock toggles the
    key group), courtesy of Michal Kaspar.  (Closes: #242209)

  * Provide instructions on how to read the FAQ in every README.Debian file.

  * Add dependency of libxtst-dev on libxi-dev; XTest.h #includes XInput.h for
    a structure definition, though objects that link against libXtst don't
    necessarily link against libXi (thanks, Glenn Maynard).  (Closes: #242830)

  * Update list of available video drivers on each architecture in
    xserver-xfree86's config script.

  * Migrate users of the GPM repeater (/dev/gpmdata) to the IntelliMouse
    protocol and make this the only protocol supported in debconf for that
    mouse port.  Document and justify migration in NEWS file.
    (Closes: #233933)

  * Tidy up relationships with now-vanished xlib6g and xlib6g-dev packages.
    This enables people to keep the versions of these packages that were
    harmless pseudopackages on the system.
    + Version xfree86-common's and xutils's replacement of xlib6g-dev at <<
      4.0 (xlib6g-dev shipped no files after that).
    + Version xlibs's conflict with and replacement of xlib6g and xlib6g-dev
      at << 4.0.  (Closes: #233818)
    + Version xlibs-static-dev's conflict with and replacement of xlib6g-dev
      at << 4.0.

  * Re-order diagnostic output of xserver-xfree86 bug script to be skimmable
    more quickly (in Branden's opinion, anyway).

  * Fix dexconf to not write an empty line to the end of generated
    XF86Config{,-4} files.

  * Rename shell-lib.sh's safe_debconf() function to run(); there's no reason
    to imply it's useful only for debconf commands.  Update all script
    invocations of safe_debconf() to run().

  * Source the debconf confmodule *before* setting variables local to
    maintainer scripts; the way confmodule works causes the values of any
    unexported variables already set to be lost (continuation of incomplete or
    regressed fix from 4.2.1-10).

  * Fix up xfree86-common postinst and postrm scripts in minor ways.
    + Pass package name literally to update-rc.d and invoke-rc.d; quiets
      lintian warning.
    + Use shell's && and || operators instead of test(1)'s -a and -o
      operators, since the former is POSIX-compliant and the latter is not.

  * Improve xdm package's maintainer scripts:
    + Add capability to start the daemon on package install, controlled by the
      "start-on-install" flag in /etc/X11/xdm/xdm.options (which defaults
      off).  Update xdm.options(5) manpage to document this option and explain
      why it defaults off.
    + Replace "upgrade" flag file with two distinct ones, "install" and
      "daemon-not-stopped".  Create install flag file when preinst script is
      invoked with "install" argument; remove in postinst, and in postrm when
      invoked with "abort-install" or "abort-upgrade" argument.  Create
      "daemon-not-stopped" flag file in prerm script if the daemon is not
      stopped with invoke-rc.d; remove in postinst, and in postrm when invoked
      with "abort-upgrade" argument.
    + Make the logic deciding whether or not to start the daemon more
      sophisticated.  After determining the user's intentions via the
      xdm.options file, check to see if the daemon is already running, and
      record its pid.  If it isn't, check xdm's Xservers file to see if we
      would be starting an X server on the current display.  If either of
      these is the case, refuse to start the daemon and issue a warning
      message explaining why.
    + Duplicate relevant logic from the postinst script logic in the postrm
      when invoked with the "abort-upgrade" argument; this way the daemon is
      restarted if it was stopped for upgrade, but the upgrade failed.
    + Pass package name literally to update-rc.d and invoke-rc.d; quiets
      lintian warning.
    + Call db_stop before update-rc.d; if the latter spews to stdout, it can
      confuse debconf.
    + Use shell's && and || operators instead of test(1)'s -a and -o
      operators, since the former is POSIX-compliant and the latter is not.

  * Migrate xdm's PAM configuration to the New World Order.  (Closes: #231589)
    + Use @include common-{auth,account,session,password} to load pam_unix.so
      instead of doing so directly.
    + Load pam_nologin.so as a requisite auth module.
    + Load pam_limits.so as a required session module.
    + Make xdm depend on libpam-modules and libpam-runtime (>= 0.76-13.1).

  * Fix problem with DVI displays connected to ATI Radeon 9200 cards not
    initializing properly every other time the X server is started (patch by
    Hui Yu of ATI, from XFree86 Bugzilla #673).  (Closes: #243575)

  * Fix problem with shift key misbehaving when caps lock active on PC
    keyboards using the Dvorak layout: don't define such keyboards as
    four-level (patch by Ivan Pascal, from XFree86 CVS 2003-04-19 via Denis
    Barbier).  (Closes: #242987)

  * Apply backport by David Mosberger of PCI support in XFree86 CVS (no code
    more recent than 2003-10-30) for the ZX1 IA-64 chipset.  (Closes: #238276)

  * Fix typo in sun rules file for XKB: provide separate "type6" and
    "type6_euro" model definitions, instead of defining "type6" twice (thanks,
    Denis Barbier).

  * Rewrite prune-non-free script, and move it to debian/scripts directory.

  * Fix typo in example XKB option in Danish translation of
    xserver-xfree86/config/inputdevice/keyboard/options template (thanks,
    Denis Barbier).

  * Fix _XimProtoCreateIC() to call _XimUnregisterFilter() on errors creating
    the input context.  Prevents a SEGV in the ximcp Xlib module (thanks,
    Chung-chieh Shan).  (Closes: #239991)

  * Add XKB support for Compaq Evo laptop multimedia keys (patch by Egbert
    Eich, from XFree86 CVS 2003-09-08).  (Closes: #222804)

  * Fix the altwin:meta_win and altwin:left_meta_win XKB options to not
    override current definitions of Alt keys or the Mod1 modifier map (thanks,
    Denis Barbier).  (Closes: #234081)

  * Fix AT keyboard rate I/O controls by operating on the actual console file
    descriptor, not on file descriptor zero (thanks, Keith Packard).
    Suppresses warning messages from Linux 2.6.  (Closes: #224909)

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Wed, 28 Apr 2004 18:55:17 +0200

xfree86 (4.3.0-7) unstable; urgency=medium

  * Urgency due to fix for FTBFS.  Yes -- I too am begging for it to stop.

  * Fix default library build defines to not build the (X)Render, Xft, Xft1,
    or Xcursor libraries if BuildLibraries is not "YES".  This prevents
    gratuitous library builds when, e.g., BuildServersOnly is set to YES.
    Clarify and improve related patch annotation.  Also, fix the Imake
    configuration for Debian GNU/Linux, the Hurd, and GNU/FreeBSD to not force
    BuildXft1Library to YES unconditionally.  These changes resolve a FTBFS in
    environments where libxext-dev is not installed, since the Xft1 library
    was getting gratuitously built during the debugging server build, and
    couldn't find the Xext library to link against.  As a minor bonus, this
    should speed the build up a little, since a library that isn't needed is
    no longer being built.

 -- Branden Robinson <branden@debian.org>  Wed, 17 Mar 2004 13:13:31 -0500

xfree86 (4.3.0-6) unstable; urgency=medium

  * Urgency due to fix for FTBFS on SPARC.

  * Fix build-server rule to copy a hardlinked source tree for the debugging
    server build exactly as the normal build rule does; the clever tricks
    undertaken to conserve inodes did not work properly (thanks, Daniel
    Jacobowitz).
    - debian/rules

  * Fix build-server's stamp rule to depend on patch-audit's stamp rule, not
    patch-audit itself (thanks, Daniel Jacobowitz).
    - debian/rules

  * Fix yet another incorrect usage of printf.  Aggressive line-wrapping at 80
    columns considered harmful!
    - debian/xlibs.bug

  * Flesh out elographics driver manpage, courtesy of Lee Maguire.
    (Closes: #236388)
    - debian/patches/075_elographics_improve_manpage.diff

  * Update examples and information in xdm's Xservers file to give sysadmins
    more detailed and accurate advice, and to use XFree86 4.x's "-depth"
    option in the examples instead of XFree86 3.x's "-bpp" option.  Thanks to
    Frank Murphy for pointing out how long in the tooth this information had
    become.  (Closes: #237878)
    - debian/patches/905_debian_xdm.diff

  * Drop xlibs's conflicts/replaces relationship with xlib6 (the old,
    no-longer-maintained, security-hole-ridden libc5 version of the X
    libraries from XFree86 3.3.6), because it is spurious.  There is no file
    overlap and no particular reason to force xlib6 off the system, apart from
    the sheer insanity of keeping libraries with known security holes on the
    system.  However, that's the user's decision.  (Closes: #236780)
    - debian/control

  * Revert patch applied in 4.3.0-3 to enhance the sunffb driver;
    unfortunately, it does not build.  (Closes: #236705)
    + Apply patch by David S. Miller to implement XAA and Render support in
      the sunffb driver.
    - debian/patches/073_sunffb_xaa_render_fb_support.diff: deleted

  * Fix IGNORE_MANFIEST_CHANGES logic to properly distinguish diff's exit
    codes, and work as intended.  Thanks to Daniel Schepler for bringing this
    problem to my attention.  (Closes: #238080)
    - debian/rules

 -- Branden Robinson <branden@debian.org>  Tue, 16 Mar 2004 15:44:17 -0500

xfree86 (4.3.0-5) unstable; urgency=medium

  * Urgency due to fix for FTBFS on some architectures.

  * Fix more non-idiomatic and incorrect usages of printf.
    - debian/xlibs.bug
    - debian/xserver-xfree86.bug

  * Update Danish debconf template translations (thanks, Claus Hindsgaul).
    (Closes: #235853)
    - debian/po/da.po

  * Revert changeset from upstream CVS HEAD that didn't compile (fixes FTBFS
    on hurd-i386, i386, and ia64).
      + For drivers that support 'Option "dri"' have the driver request
        loading the dri module when this option is true.  This brings
        it in to line with how other things are handled.  Other drivers
        that have DRI support need to have the "dri" option added (David
        Dawes).
    - debian/patches/000_stolen_from_HEAD_i830_driver.diff

 -- Branden Robinson <branden@debian.org>  Thu,  4 Mar 2004 23:08:44 -0500

xfree86 (4.3.0-4) unstable; urgency=medium

  * Urgency due to fix for grave bug which prevents packages from installing
    on systems where shells other than bash, ksh, or posh are used for
    /bin/sh.

  * Fix missing non-breaking spaces (thanks, Christian Perrier).
    - debian/po/fr.po

  * Stop attempting to chmod X session error file if it is a symbolic link
    (see #234788).
    - debian/local/Xsession

  * Grab from upstream CVS HEAD several updates to the en_US.UTF-8 Compose
    file.
      + Add convenient ways to enter "double quote" and "cedilla" with the
        en_US.UTF-8 compose rules (Alexandre Oliva).  (Closes: #234355)
      + Add some missing dead-key compose sequences for Vietnamese (#5981, Le
        Hong Boi).
      + Update Compose file for en_US.UTF-8 locale (Bugzilla #1053, Matthew
        Fischer) and fix wrong comment signs there (Ivan Pascal).
      + Fix some rules in en_US.UTF-8 Compose file (Bugzilla #1071, Matthew
        Fischer).
    - debian/patches/000_stolen_from_HEAD.diff

  * Invoke printf with only one format string argument.
    - debian/xserver-xfree86.bug

  * Add script to help package maintainers validate shell scripts against
    POSIX-compatible shell interpreters.
    - debian/scripts/validate-posix-sh

  * Fix non-POSIX-compliant syntax when placing a here document inside a shell
    expansion (thanks to Colin Watson for ruling out a bug in in some shell
    interpreters).  (Closes: #235687)
    - debian/shell-lib.sh

  * Grab from upstream CVS HEAD some fixes to the i810 driver's i830 support.
      + For drivers that support 'Option "dri"' have the driver request
        loading the dri module when this option is true.  This brings
        it in to line with how other things are handled.  Other drivers
        that have DRI support need to have the "dri" option added (David
        Dawes).
      + Update manpage to clarify that XVideo is only enabled by default when
        the configurations supports it.  (David Dawes)
      + Add a "VBERestore" option for the i830 part of the i810 driver, to
        allow the VBE restore bug workaround to be disabled.  This is needed
        for correct text mode restoration on some 830M-based machines
        (David Dawes, reported by Martin van Es).
      + Turn off the GetDisplayInfo BIOS call by default and add an option
        to turn it back on in the i810 driver. This fixes some lockup
        problems found with some Dell BIOS' (Alan Hourihane, Alain Poirier).
        (Closes: #226430)
    - debian/patches/000_stolen_from_HEAD_i830_driver.diff

 -- Branden Robinson <branden@debian.org>  Thu,  4 Mar 2004 09:21:36 -0500

xfree86 (4.3.0-3) unstable; urgency=medium

  * Urgency due to fix for serious bug which frustrates removal of library
    packages.

  * Fix missing line-continuation character.  (Closes: #233674)
    - debian/xdm.config.in

  * Fix typos.
    - debian/NEWS

  * Grab from upstream CVS HEAD a patch to define the <LSGT> key on Belgian
    keyboard maps (per request from Wouter Verhelst).  (Closes: #233734)
    - debian/patches/000_stolen_from_HEAD.diff

  * Fix missing-word typo in xserver-xfree86/config/modules description.
    Re-ran debconf-updatepo.  Translators: this will mark your translations as
    fuzzy, but should be a false positive, as the literal meaning of the
    template description has not changed.
    - debian/xserver-xfree86.templates, debian/po/{ca.po,cs.po,da.po,de.po,
      el.po,es.po,fr.po,gl.po,it.po,ja.po,nl.po,pl.po,pt_BR.po,ru.po,sv.po,
      templates.pot}

  * Fix typo in libxmuu-dev's dependencies (thanks, Petr Salinger).
    - debian/control

  * Fix missing second argument to fgrep in deregister_x_lib_dir_with_ld_so(),
    which can cause it to block, attempting to read from standard input; also
    drop -q from fgrep's option list, since we actually want to do something
    with its output; finally, rework the file replacement logic so that we are
    indifferent to whether or not there are any lines in /etc/ld.so.conf that
    do not match /usr/X11R6/lib, and we do not replace the file if we're not
    actually changing it (thanks, Filip Van Raemdonck and Andreas Metzler).
    (Closes: #233645)
    - debian/shell-lib.sh

  * Guard against potentially empty second argument to fgrep in
    find_culprits().  Reimplement the long error message that accompanies the
    discovery of obsolete or Policy-violating packages with file overlaps as a
    here document (since it is a pain to reflow the message every time the
    indentation level is changed).  Use warn() instead of die() in
    check_symlinks_and_bomb() when problems are found, so that multiple
    problems can be identified at the same time, and find_culprits() can be
    run (find_culprits() was previously unreachable).  Call die() after
    find_culprits() returns.
    - debian/shell-lib.sh

  * Add script to help package maintainers identify available patch numbers.
    - debian/scripts/find-avail-patch-number

  * Define <KPPT> keycode in abnt2 section of XKB xfree86 keycodes file;
    enables numeric keypad period key for Brazilian ABNT2 keyboards (thanks,
    Michael Loos!).  (Closes: #233621)

  * Apply patch by David S. Miller to implement support for RGB->BGR
    colorspace conversion in the X server's fb layer.
    - debian/patches/072_Xserver_fb_convert_RGB_to_BGR.diff

  * Apply patch by David S. Miller to implement XAA and Render support in the
    sunffb driver.
    - debian/patches/073_sunffb_xaa_render_fb_support.diff

  * Fix bug in x86 CPU detection code from Mesa 5.1 that prevented DRI 3D
    hardware acceleration from working (patch from Mesa CVS, courtesy of
    Aurelien Jarno).  (Closes: #229984)
    - debian/patches/000_stolen_from_Mesa_CVS.diff

  * Update xserver-xfree86/config/inputdevice/keyboard/model template
    description to include discussion of the distinction between 101/104-key
    PC keyboards, and their 102/105-key counterparts, and warn of the
    consequences if 102/105-key keyboards are misconfigured as 101/104-key
    models.  Re-run debconf-updatepo.  Add news entry with a similar warning.
    - debian/NEWS
    - debian/po/ca.po
    - debian/po/cs.po
    - debian/po/da.po
    - debian/po/de.po
    - debian/po/el.po
    - debian/po/es.po
    - debian/po/fr.po
    - debian/po/gl.po
    - debian/po/it.po
    - debian/po/ja.po
    - debian/po/nl.po
    - debian/po/pl.po
    - debian/po/pt_BR.po
    - debian/po/ru.po
    - debian/po/sv.po
    - debian/po/templates.pot
    - debian/xserver-xfree86.templates

  * Make build rule idempotent by having ln and gzip overwrite their
    destinations (based on a patch by Eduard Bloch).  (Closes: #215793)
    - debian/rules

  * Fix underlining of TrueType fonts with patch from the After X-TT Project
    (thanks to Sean Neakums for the pointer).  (Closes: #233948)
    - debian/patches/074_freetype_fix_underlining.diff

  * Update Japanese debconf template translations (thanks, Kenshi Muto).
    Re-run debconf-updatepo.  (Closes: #234049)
    - debian/po/ja.po

  * Update Brazilian Portuguese translations (thanks, André Luís Lopes).
    Re-run debconf-updatepo.  (Closes: #234060)
    - debian/po/pt_BR.po

  * Correct minor factual error about DEC VT terminal keyboards (thanks, James
    Cameron!).
    - debian/local/FAQ

  * Enhance bug-reporting assistance script for XFree86 X server packages.
      + Report on state of X server symlink and XF86Config-4 file with respect
        to corresponding roster and checksum files.
      + Report failure of various tests (for existence of XF86Config-4 file,
        for availability of lspci command, and so forth); this makes it easier
        to distinguish these diagnostics from a report whose submitter elided
        the information.
      + Show most recently modified XFree86 X server log file instead of
        hard-coding "XFree86.0.log".
      + Add Vim modeline.
    - debian/xserver-xfree86.bug

  * Add bug-reporting assistance script for xlibs package; since xlibs now
    contains nothing except for XKB configuration data, all bugs properly
    filed against this package will be keyboard configuration problems, so
    gather and report corresponding keyboard data from XFree86 X server
    logfiles on the system if any.
    - debian/xlibs.bug: new file
    - debian/rules: ship bug script as part of xlibs package

  * Add support for R_ALPHA_SREL32 relocations in XFree86 X server's ELF
    object loader; fixes "Elf_RelocateEntry() Unsupported relocation type 10"
    warnings on Alpha; see #234073 (thanks, Falk Hueffner!).
    - debian/patches/202_alpha_elfloader_support_R_ALPHA_SREL32.diff: new file
    - debian/patches/303_arm_cache_flush.diff: resynced

  * Update French translations (thanks, Christian Perrier and
    debian-l10n-french!).   Re-run debconf-updatepo.  (Closes: #234903)
    - debian/po/fr.po

  * Remove extraneous #undef from lnx_io.c and lnx_kbd.c.
    - debian/patches/050_fix_lnx_io_kbd_rate_fix.diff
    - debian/patches/055_lnx_evdev_keyboard.diff: resync

 -- Branden Robinson <branden@debian.org>  Fri, 27 Feb 2004 15:07:25 -0500

xfree86 (4.3.0-2) unstable; urgency=low

  * The "It's like I have a shotgun in my mouth, I've got my finger on the
    trigger, and I like the taste of the gunmetal." release.

  * Set the f---ing distribution to unstable instead of experimental.

 -- Branden Robinson <branden@debian.org>  Wed, 18 Feb 2004 00:28:20 -0500

xfree86 (4.3.0-1) experimental; urgency=low

  * Grab fixes to upstream CVS xf-4_3-branch since last pull.
    - debian/patches/000_post430.diff:
      + (xc/lib/freetype2/Imakefile):
          Include backwards compatibility API for renamed stream functions in
          Freetype2 library.
      + (xc/programs/Xserver/hw/xfree86/drivers/i810/i830_driver.c):
          1011. Build fix for the i810 driver when XF86DRI isn't defined
                (#6006, Matthias Scheler).
      + (xc/extras/freetype2/src/sfnt/ttcmap.c.save,
         xc/extras/freetype2/src/truetype/ttdriver.c.save,
         xc/extras/freetype2/src/type1/t1driver.c.save,
         xc/extras/freetype2/src/winfonts/winfnt.c.save):
          Remove extra files that shouldn't be there (Bang Jun-Young).
      + (xc/lib/font/fontfile/dirfile.c):
          1012. Fix font alias overrun. [SECURITY FIX] (CAN-2004-0083)
      + (xc/config/cf/Imake.tmpl):
          Make sure a default for HasShadowPasswd gets defined.
      + (xc/lib/font/fontfile/dirfile.c,
         xc/lib/font/fontfile/encparse.c,
         xc/lib/font/fontfile/fontfile.c):
          1013. Some more font path checks. [SECURITY FIX] (CAN-2004-0084,
          CAN-2004-0106)
    - debian/patches/000_stolen_from_HEAD_doc_extensions_fix.diff: resync
    - debian/patches/000_stolen_from_HEAD_i830_driver.diff: resync
    - debian/patches/041_make_xcursor_icondir_configurable.diff: resync

  * Fix syntax error in build-server (thanks, David Schmitt).
    (Closes: #225408)
    - debian/rules

  * Add new target to rules file, "patch-audit", upon which build targets
    depend.  This target ensures that the patches to the upstream source
    applied cleanly (no offsets, no fuzz).
    - debian/README: document new patch-audit target
    - debian/rules: implement new patch-audit target

  * Use hardlinks instead of symlinks when copying build tree for debugging
    server build in build-server target (thanks, David Schmitt).
    - debian/rules

  * Search for external Xrender and Xft libraries in /usr/lib instead of
    /usr/X11R6/lib when symlinking them to the local exports directory for
    build purposes.  Update build-dependencies on these libraries' -dev
    packages to ensure their files are where we expect them.
    [ISHIKAWA Mutsumi]
    - debian/rules:
      + symlink libXrender.* from /usr/lib instead of /usr/X11R6/lib
      + symlink libXft.* from /usr/lib instead of /usr/X11R6/lib
    - debian/control:
      + update build-dependency from libxft2-dev to libxft-dev (>= 2.1.2)
      + update build-dependency from libxrender-dev to libxrender-dev
        (>= 0.8.3)

  * Stop short-circuiting past update of debconf choices information for
    share/default-x-display-manager template if either the existing owners or
    choices information are null -- doing so was causing some people not to be
    prompted to set their default X display manager when they should have
    been.  Improve debugging output.  (Closes: #226292)
    - debian/xdm.config.in
    - debian/xdm.{postinst,postrm,prerm}.in: add observe() calls to default
      display manager file updates

  * Add new Debian X FAQ entry, "Why are some fonts (or graphical rulers)
    sized incorrectly?", based on text submitted by Eduard Bloch (thanks,
    Eduard!).  (Closes: #227217)
    - debian/local/FAQ

  * Move rstard.real executable from /etc/X11/rstart to /usr/X11R6/bin.
    (Closes: #143825)
    - debian/patches/000_stolen_from_HEAD.diff:
      (xc/programs/rstart/Imakefile):
      + [Fix] Missing depend target [Marc Aurele La France]
      + Allow rstartd.real to be installed into a location other than LIBDIR
        (#6034, Luke Mewburn).
    - debian/patches/912_debian_rstart.real_location.diff:
      (xc/programs/rstart/Imakefile): use BINDIR instead of MYLIBDIR when
      dealing with RSERVERNAME
    - debian/MANIFEST.*: note new location
    - debian/NEWS: a conffile is being removed on upgrade, so inform users of
      this fact in the unlikely event they customized this ELF executable
    - debian/xutils.install*: ship file from its new location
    - debian/xutils.{postinst,preinst,prerm}.in: prepare, roll back, and
      commit removal of conffile as needed

  * Add Greek debconf template translations (thanks, Konstantinos Margaritis).
    Re-run debconf-updatepo.  (Closes: #227616)
    - debian/po/el.po: new
    - debian/po/{templates.pot,*.po}: cosmetic updates made by
      debconf-updatepo

  * Fix initialisation of some DRI parameters for RV280 chips (and possibly
    others with the R200 3D core). (Closes: #225759)
    [Michel Dänzer]
    - debian/patches/030b_radeon_rv280_support.diff
    - debian/patches/451_ia64_radeon_pagesize.diff: adjust offsets

  * Update build-dependencies; kernel-headers-2.4 (virtual package) becomes
    linux-kernel-headers (real package) and "libpng12-0-dev | libpng-dev"
    becomes "libpng12-dev | libpng-dev" (libpng12-0-dev is no more).
    - debian/control

  * Make x-window-system depend on xprt-xprintorg instead of xprt until
    XFree86 gets a fixed XPRINT server.  (Closes: #209352)
    - debian/control

  * Acknowledge the long-awaited unscrewing of GNU CPP's -traditional support.
    Remove build-dependency on cpp-3.2 (cpp is build-essential); add
    build-conflict on cpp-3.3 prior to 1:3.3.3ds1-0pre1; generalize
    xbase-clients's, xdm's, and xutils's dependencies from cpp-3.2 to cpp; and
    add conflict for each of these packages with versions of cpp-3.3 prior to
    1:3.3.3ds1-0pre1.  Remove patch that defines CppCmd to be cpp-3.2.
    - debian/control
    - debian/patches/003a_damn_cpp_3.3_to_hell.diff: deleted

  * Grab from upstream CVS HEAD a patch to the DIX layer to work around
    spurious repeated keyboard events during sync grabs when using the XKB
    extension (thanks to Mark Histed for the tip).  (Closes: #142569)
    - debian/patches/000_stolen_from_HEAD.diff

  * Grab (from upstream Mesa 5.1) a patch which re-implements the x86 CPU
    detection code, which should rectify problems with spurious detection and
    attempted usage of 3Dnow! extensions on Pentium 4 processors (thanks, Petr
    Sebor).  (Closes: #215831)
    - debian/patches/000_stolen_from_Mesa_5.1.diff

  * Update German debconf template translations (thanks, Alwin Meschede).
    Re-run debconf-updatepo.  (Closes: #228704)
    - debian/po/de.po
    - debian/po/{templates.pot,*.po}: cosmetic updates made by
      debconf-updatepo

  * Fix some bit rot in patch to xdm's session.c file; upstream has changed
    StartClient() to use a locally-scoped variable called pamh which is
    initialized to the return of thepamh(), instead of calling thepamh() every
    time the PAM handle is needed.
    - debian/patches/002_xdm_fixes.diff

  * Drop xlibs-static-dev's (exact versioned) dependency on xlibs, since I
    cannot think of a justification for it.  XKB data is not needed to compile
    objects that use XKB extension libraries, there is nothing else in xlibs,
    xlibs-static-dev still depends on -dev packages necessary to link objects
    using the libraries in this package, there is no shared counterpart for
    the libraries in this package upon which to declare an exact versioned
    dependency, and xlibs-static-dev is Architecture: any while xlibs is
    Architecture: all -- this renders binary-only NMUs of xfree86 impossible.
    Thanks to Colin Watson for bringing this issue up on debian-policy.
    - debian/control

  * Create the /etc/X11 directory in the xserver-common and xserver-xfree86
    package preinst scripts if the directory does not already exist.  These
    scripts may need to create files (or symlinks) in these directories,
    xfree86-common may not have been unpacked yet, and Pre-Depending on it is
    too heavyweight a solution.  Also, reduce the amount of hard-coding of the
    /etc/X11 directory, moving it into a shell variable instead.  Finally,
    remove the /etc/X11 directory on package purge if it is empty (it is
    not in dpkg's file list, as these packages do not ship it).  Thanks to
    Joey Hess for finding this problem.  (Closes: #228810)
    - debian/xserver-common.{config,preinst,postinst,postrm}.in
    - debian/xserver-xfree86.{config,preinst,postinst,prerm,postrm}.in

  * Add versioned build-dependency on linux-kernel-headers (>=
    2.5.999-test7-bk-15) for SPARC only; previous versions of
    linux-kernel-headers have a bug that causes XFree86 builds to fail on that
    architecture.
    - debian/control

  * Fix Xv support in r128 driver to work in conjuction with an earlier patch
    to let the driver permit framebuffer pitches in multiples of 8 bytes,
    which enabled support for some models of Rage 128, but broke video in
    depth 24 (thanks, Michel Dänzer and Dagfinn Ilmari Mannsåker).
    (Closes: #148775)
    - debian/patches/022_r128_driver_pitch_tweak.diff

  * Add recognition of two models of Radeon Mobility 9200 ("M9+") as
    RV280-based chipsets (and as Mobility products).
    - debian/patches/099_ati_recognize_more_RV280_models.diff

  * Attempt again to fix the problem with Xlib not finding the Xcursor library
    to dynamically open it.  Dynamic loading of Xcursor by Xlib wasn't working
    when an external Xcursor library was available during the build; Xlib was
    being told that the name of the Xcursor object was "Xcursor.so.", because
    SOXCURSORREV was only defined in xc/lib/Xcursor/Imakefile, which is not
    used when an external Xcursor library is used.
    - debian/patches/099c_support_loadable_external_Xcursor_lib.diff

  * Add Czech debconf template translations (thanks, Miroslav Kure).  Re-run
    debconf-updatepo.  (Closes: #231531)
    - debian/po/cs.po: new

  * Revert reordering of xfs's default font catalogue (and default font path
    element order in XFree86 X server configuration files written by dexconf)
    performed in 4.2.1-6.  Low-resolution character-cell fonts (such as those
    used by terminal emulators) come first, followed by unscaled 100dpi and
    75dpi bitmap fonts, followed by Type1 fonts (after the unscaled bitmap
    fonts, because the type1 rasterizer in X is not very good), CID, and
    Speedo fonts, and finally scaled 100dpi and 75dpi fonts.  Attempting to
    follow the advice in README.fonts just doesn't work too well for us.
    (Closes: #199111)
    - debian/local/dexconf
    - debian/patches/906_debian_xfs.diff

  * Update Danish debconf template translations (thanks, Claus Hindsgaul).
    - debian/po/da.po

  * Make xlibmesa-dri-dbg conflict with and replace xlibmesa3-gl-dbg (>=
    4.2.1-13) due to file overlaps with unstripped DRI modules.
    - debian/control

  * Make libxv-dev conflict with and replace xlibs-dev (<< 4.3.0) due to file
    overlap with Xv header files, static library, and manpages.
    - debian/control

 -- Branden Robinson <branden@debian.org>  Tue, 17 Feb 2004 12:58:28 -0500

xfree86 (4.3.0-0pre1v5) experimental; urgency=low

  * Grab fixes to upstream CVS xf-4_3-branch since last pull.
    - debian/patches/000_post430.diff:
      + (xc/programs/Xserver/hw/xfree86/doc/sgml/LICENSE.sgml,
         xc/programs/xdm/{genauth.c,prngc.c}):
          Grab licenses clarifications from trunk. (Matthieu Herrb)
      + (xc/programs/Xserver/hw/xfree86/doc/LICENSE):
          update formatted docs (Matthieu Herrb)
      + (xc/programs/Xserver/hw/xfree86/drivers/i810/{common.h,i810.h,
        i810.man,i830.h,i830_cursor.c,i830_dri.c,i830_dri.h,i830_driver.c,
        i830_memory.c,i830_video.c}):
          Fix some i830+ VT switch/exit crashes (David Dawes, Egbert Eich).
    - debian/patches/002_xdm_fixes.diff: resynced
    - debian/patches/056_i810_make_i830_usable.diff: resynced

  * Update Debian copyright file to resync with update to upstream LICENSE
    file (new BSD-style licenses from Theodore Ts'o, Theo de Raadt, and
    Damien Miller).
    - debian/copyright

  * Undocument the restriction on loading both freetype and xtt modules in
    the XFree86 X server's debconf questions, since this restriction no longer
    exists in XFree86 4.3.  Enable the xtt module by default.
    - debian/xserver-xfree86.templates

  * Update xlibs and xlibs-data's package descriptions to clarify that X
    Keyboard Extension (XKB) data is in xlibs, but other
    architecture-independent data is in xlibs-data.  The XKB data has not
    moved because dpkg supports no mechanism for migrating conffiles between
    packages, and it is unacceptable for people to be spuriously shown dpkg's
    changed-conffile prompt dozens of times when upgrading from versions of
    xlibs prior to 4.3.0.
    - debian/control

  * Correct mispelling of forthcoming package name in xlibs's shlibs file; the
    package containing libXmuu.so.1 will be called "libxmuu1", not "libxmuu6".
    - debian/xlibs.shlibs

  * Move correction of old /usr/X11R6/lib/X11/locale symlink problem from
    xlibs package to xlibs-data, and convert from simple remove-in-preinst
    approach to prepare-preinst/commit-postinst/rollback-postrm model.
    Correct mis-self-identification of xlibs-data's maintainer scripts (caused
    by sloppy cut-and-pasting), correct and update their copyright
    information, and use debhelper to ship the
    /usr/X11R6/lib/X11/icons/default directory instead of creating it behind
    the packaging system's back in xlibs-data's postinst.
    - debian/xlibs-data.dirs
    - debian/xlibs-data.postinst.in
    - debian/xlibs-data.postrm.in
    - debian/xlibs-data.preinst.in
    - debian/xlibs-data.prerm.in
    - debian/xlibs.preinst.in

  * Patch Xlib (CrGlCur.c) to search harder for an Xcursor library.  Not
    everybody has symlinks on their system for compile-time linking of objects
    with libXcursor.  Attempt to find "libXcursor.so.1" first, then (per the
    existing code), fall back to "libXcursor.so" and finally "libXcursor".
    (Closes: #204358)
    - debian/patches/099a_improve_search_for_libXcursor.diff

  * Update the extended descriptions of packages that depend on cpp-3.2 to
    explain why they use cpp in general, and why cpp-3.2 in particular.
    - debian/control

  * Move unstripped versions of the Mesa DRI modules from the (renamed)
    xlibmesa3-gl-dbg package to the new package xlibmesa-dri-dbg.
    - debian/control
    - debian/xlibmesa-dri-dbg.install.alpha
    - debian/xlibmesa-dri-dbg.install.i386
    - debian/xlibmesa-dri-dbg.install.ia64
    - debian/xlibmesa-dri-dbg.install.powerpc
    - debian/xlibmesa-dri-dbg.install.sparc

  * Grab latest fixes to upstream CVS xf-4_3-branch.
    - debian/patches/000_post430.diff:
      (xc/programs/Xserver/hw/xfree86/os-support/xf86drm.h):
        1009. Fix DRM_CAS on ia64 as used by the DRI (Bugzilla #778, John
              Dennis). (Alan Hourihane)
    - debian/patches/453_ia64_fix_radeon_dri_deadlock.diff: deleted;
        superseded by upstream patch

  * Fix building against 2.6.x kernel headers by adding '#define rate period'
    where needed. [Fabio Massimo Di Nitto, Daniel Stone]
    - debian/patches/000_stolen_from_HEAD.diff

  * Stop shipping render and renderproto.h in xlibs-dev.
    - debian/xlibs-dev.install
    - debian/xlibs-dev.install.hurd-i386
    - debian/xlibs-dev.install.s390

  * Make i830 driver automatically reserve the amount of memory specified in
    'Option "VideoRAM"', eliminating the need for an external program. Grab a
    couple of other small fixes from HEAD, and integrate this with patch #056.
    - debian/patches/000_stolen_from_HEAD_i830_driver.diff: new
    - debian/patches/056_i810_make_i830_usable.diff: deleted
    [Daniel Stone]

  * Add package relationships with xlibs-data and xutils where needed, and
    explain them in packages' extended descriptions.
    - debian/control:
      + xbase-clients depends on xlibs-data: the bitmap, editres, viewres,
        xbiff, xcalc, xconsole, xditview, xedit, xf86cfg, xman, xsetroot, and
        xsm programs use bitmap images provided by the xlibs-data package.
      + xmh depends on xlibs-data: the xmh program uses bitmap images provided
        by the xlibs-data package.
      + xterm recommends xutils: the uxterm command requires the luit program
        from the xutils package.
      + xterm depends on xlibs-data: the xterm program uses bitmap images
        provided by the xlibs-data package.
      + xutils suggests xlibs-data: the luit program requires locale
        information from the xlibs-data package (add luit to list of programs
        in xutils's extended description while we're at it).

  * In maintainer scripts, query the terminal to establish a default number of
    columns to use for displaying messages to the user.  This is used only as
    a fallback in the event the COLUMNS variable is not set.  Change from
    using fold to format messages to fmt, so we can get indentation on wrapped
    lines, making them easier to read.  Remove unused message_nonl() function.
    - debian/shell-lib.sh

  * Move correction of old /usr/X11R6/lib/X11/locale symlink problem from
    xlibs package to xlibs-data, and convert from simple remove-in-preinst
    approach to prepare-preinst/commit-postinst/rollback-postrm model.
    Correct mis-self-identification of xlibs-data's maintainer scripts (caused
    by sloppy cut-and-pasting), correct and update their copyright
    information, and use debhelper to ship the
    /usr/X11R6/lib/X11/icons/default directory instead of creating it behind
    the packaging system's back in xlibs-data's postinst.
    - debian/xlibs-data.dirs
    - debian/xlibs-data.postinst.in
    - debian/xlibs-data.postrm.in
    - debian/xlibs-data.preinst.in
    - debian/xlibs-data.prerm.in
    - debian/xlibs.preinst.in

  * Split xlibs package into one package per shared library, keeping only the
    XKB data files in xlibs (see above).  The XRX plugin
    (/usr/X11R6/lib/libxrx.so.6.3) and its manpage are being dropped entirely.
    - debian/xlibs.install: stop shipping everything but the XKB data
    - debian/xlibs.{dirs,links,postinst.in,postrm.in,preinst.in,shlibs,
      shlibs.dummy}: deleted
    - debian/rules: eliminate special dh_shlibdeps handling for xlibs package;
      add special dh_shlibdeps handling for libdps1 and libx11-6 (see below)
    - debian/scripts/manifest-install-reconcile: add libxrx shared library and
      object to list of files expected to be unshipped
    - debian/shell-lib.sh: define new functions to aid maintainer scripts of
      new libraries
      + register_x_lib_dir_with_ld_so(): add /usr/X11R6/lib to /etc/ld.so.conf
        if needed
      + deregister_x_lib_dir_with_ld_so(): remove /usr/X11R6/lib from
        /etc/ld.so.conf when no shared libraries left in directory
    - debian/{libice6,libsm6,libx11-6,libxext6,libxft1,libxi6,libxmu6,
      libxmuu1,libxp6,libxpm4,libxrandr2,libxt6,libxtrap6,libxtst6,
      libxv1}.install: new; ship shared library
    - debian/{libice6,libsm6,libx11-6,libxext6,libxft1,libxi6,libxmu6,
      libxmuu1,libxp6,libxpm4,libxrandr2,libxt6,libxtrap6,libxtst6,
      libxv1}.links: new; ship SONAME symlinks to shared libraries
    - debian/{libice6,libsm6,libx11-6,libxext6,libxft1,libxi6,libxmu6,
      libxmuu1,libxp6,libxpm4,libxrandr2,libxt6,libxtrap6,libxtst6,
      libxv1}.shlibs: new; provide shlibs file, specifying alternative
      versioned dependencies on older versions of xlibs (except in the case of
      libxv1, for which a shared version did not exist in XFree86 prior to
      4.3)
    - debian/{libdps1,libx11-6}.shlibs.local: add special local shlibs files
      for use during the package build so that libdps1 and libx11-6 do not get
      spurious self-dependencies; libdps1 ships three related shared
      libraries, and libx11-6 ships loadable modules for Xlib that reference
      symbols in Xlib -- both of these cases confuse dpkg-shlibdeps (via
      dh_shlibdeps)
    - debian/{libice6,libsm6,libx11-6,libxext6,libxft1,libxi6,libxmu6,
      libxmuu1,libxp6,libxpm4,libxrandr2,libxt6,libxtrap6,libxtst6,
      libxv1}.{postinst,postrm}: new; call register_x_lib_dir_with_ld_so(),
      deregister_x_lib_dir_with_ld_so(), and ldconfig as appropriate
    - debian/{libx11-6,libxt6}.{preinst,postinst,postrm}: migrate
      /usr/X11R6/lib/X11/{app-defaults,xkb} prepare/commit/rollback handling
      from xlibs maintainer scripts, now deceased
    - debian/libx11-6.links: migrated from xlibs.links for
      /usr/X11R6/lib/X11/xkb symlink
    - debian/libxt6.dirs: migrated from xlibs.dirs for /etc/X11/app-defaults
      directory
    - debian/libxt6.links: migrated from xlibs.links for
      /usr/X11R6/lib/X11/app-defaults symlink
    - debian/control: update package data to reflect split
      + add stanzas for new packages libice6, libsm6, libx11-6, libxext6,
        libxft1, libxi6, libxmu6, libxmuu1, libxp6, libxpm4, libxrandr2,
        libxt6, libxtrap6, libxtst6, xlibs-data
      + libx11-6 depends on xfree86-common (>> 4.3.0) and xlibs-data; needs
        xlibs-data for locale data and X error and keysym databases
      + xlibs is now a transitional package depending on the packages into
        which it split
      + sanitize xlibs's conflicts and replaces relationships by removing
        versioned conflicts on withdrawn packages (except where they continue
        to be Provided by still-existing packages)
      + xlibs is now an architecture-independent package
      + xlibs no longer provides libxpm4
      + rewrite xlibs's short and extended descriptions

  * Split xlibs-dbg package into one package per shared library.
    - debian/xlibs-dbg.install: deleted
    - debian/xlibs-dbg.links: deleted
    - debian/{libice6-dbg,libsm6-dbg,libx11-6-dbg,libxext6-dbg,libxft1-dbg,
      libxi6-dbg,libxmu6-dbg,libxmuu1-dbg,libxp6-dbg,libxpm4-dbg,
      libxrandr2-dbg,libxt6-dbg,libxtrap6-dbg,libxtst6-dbg,
      libxv1-dbg}.install: new; populated from xlibs-dbg.install
    - debian/{libice6-dbg,libsm6-dbg,libx11-6-dbg,libxext6-dbg,libxft1-dbg,
      libxi6-dbg,libxmu6-dbg,libxmuu1-dbg,libxp6-dbg,libxpm4-dbg,
      libxrandr2-dbg,libxt6-dbg,libxtrap6-dbg,libxtst6-dbg,
      libxv1-dbg}.links: new; populated from xlibs-dbg.links
    - debian/control: update package data to reflect split
      + add stanzas for new packages libice6-dbg, libsm6-dbg, libx11-6-dbg,
        libxext6-dbg, libxft1-dbg, libxi6-dbg, libxmu6-dbg, libxmuu1-dbg,
        libxp6-dbg, libxpm4-dbg, libxrandr2-dbg, libxt6-dbg, libxtrap6-dbg,
        libxtst6-dbg, libxv1-dbg
      + xlibs-dbg is now a pseudopackage depending on the packages into which
        it split
      + update x-window-system-dev to depend on the packages split from
        xlibs-dbg instead of xlibs-dbg itself
    - debian/rules:
      + don't dh_strip new -dbg packages
      + let dh_strip have its wicked way with xlibs-dbg, which no longer has a
        payload

  * Split xlibs-dev package into one package per shared library, plus separate
    packages for Proxy Management protocol headers (pm-dev), X protocol
    headers (x-dev), and libraries that exist only in static form
    (xlibs-static-dev).  Note that there is no libxft1-dev package; this is
    deliberate.  libxft1 is obsolete and libxft2 (packaged separately from
    XFree86) should be used instead.
    - debian/xlibs-dev.install: deleted
    - debian/xlibs-dev.links: deleted
    - debian/{libice-dev,libsm-dev,libx11-dev,libxext-dev,libxi-dev,
      libxmu-dev,libxmuu-dev,libxp-dev,libxpm-dev,libxrandr-dev,libxt-dev,
      libxtrap-dev,libxtst-dev,libxv-dev,pm-dev,x-dev,
      xlibs-static-dev}.install: new; populated from xlibs-dev.install
    - debian/{libice-dev,libsm-dev,libx11-dev,libxext-dev,libxi-dev,
      libxmu-dev,libxmuu-dev,libxp-dev,libxpm-dev,libxrandr-dev,libxt-dev,
      libxtrap-dev,libxtst-dev,libxv-dev}.install: new; populated from
      xlibs-dev.links
    - debian/control: update package data to reflect split
      + add stanzas for new packages libice-dev, libsm-dev, libx11-dev,
        libxext-dev, libxi-dev, libxmu-dev, libxmuu-dev, libxp-dev,
        libxpm-dev, libxrandr-dev, libxt-dev, libxtrap-dev, libxtst-dev,
        libxv-dev, pm-dev, x-dev, xlibs-static-dev
      + update dependencies for existing -dev packages libdps-dev,
        libxaw6-dev, libxaw7-dev, xlibmesa-gl-dev, xlibosmesa-dev
      + update dependencies for xlibs-static-pic based on actual linkage of
        the libraries within it
      + simplify xlibs-static-pic's extended description to refer to
        xlibs-static-dev for details
      + xlibs-dev is now a pseudopackage depending on the packages into which
        it split
      + update x-window-system-dev to depend on the packages split from
        xlibs-dev instead of xlibs-dev itself

  * The above package splits collectively resolve a request in the Debian Bug
    Tracking System to do so.  (Closes: #172550)

  * debian/patches/099b_Xft_FreeType_2.1.7_build_fix.diff:
    + Patch XFree86's internal copies of the Xft library to enable building
      against FreeType 2.1.7; fixes FTBFS.

  * Remove ${shlibs:Depends} substvar from dependencies of library -dbg
    packages; -dbg packages already declare an exact versioned dependency on
    their non-debugging counterparts, and using this substvar can lead to
    duplicate package relationships and lintian warnings.

  * Fix incorrect symlink to Xrender.h during package build. [ISHIKAWA
    Mutsumi]
    - debian/rules

  * Update libdps1's extended description to clarify the state of server-side
    DPS implementations, and stop referring to a package that is no longer
    shipped in Debian.  (Closes: #138883)
    - debian/control

  * Make x-window-system-dev depend on xlibmesa-gl-dbg and xlibmesa-glu-dbg,
    not xlibmesa3-gl-dbg and xlibmesa3-glu-dbg.
    - debian/control

  * Make the xlibmesa3 pseudopackage "Architecture: any" instead of
    "Architecture: all", because its dependencies vary depending on what
    architecture it is compiled for (thanks to F:Xlibmesa-gl-Depends).
    - debian/control

  * Fix encoding of Catalan translations file to not use a codepoint that is
    undefined in ISO 8859-15, which prevents the file from being transcoded
    from UTF-8 to ISO 8859-15 (thanks, Denis Barbier).  (Closes: #223024)
    - debian/po/ca.po

 -- Branden Robinson <branden@debian.org>  Fri,  5 Dec 2003 21:18:07 -0500

xfree86 (4.3.0-0pre1v4) experimental; urgency=low

  * Add missing symbolic links for libXTrap. [ISHIKAWA Mutsumi]
    - debian/xlibs-dev.links: add libXTrap link
    - debian/xlibs-dbg.links: add libXTrap link

  * Restore m68k package support.  Thanks, Adam Conrad!
    - {MANIFEST,xserver-xfree86.docs,xserver-xfree86.install,
       xutils.install}.m68k: added

  * Add missing libXv to xlibs-dbg. [ISHIKAWA Mutsumi]
    - debian/xlibs-dbg.install: add libXv.so.1.0
    - debian/xlibs-dbg.links: add libXv link

  * Grab latest fixes to upstream CVS xf-4_3-branch.
    - debian/patches/000_post430.diff:
      + (xc/programs/xdm/genauth.c):
          Build fixes (Branden Robinson, Matthieu Herrb).
      + (xc/programs/xdm/session.c):
          Use pam_strerror() to print an error message after pam_setcred()
          fails, C style unification (Branden Robinson).
      + (xc/programs/xdm/prngc.c):
          improve portability:
          - use the already defined X_NO_SYS_UN symbol for sys/un.h inclusion
          - don't use struct sockaddr_storage
    - debian/patches/002_xdm_fixes.diff:
      + resynchronize and drop patches applied upstream
      + fix for exciting new build failure in genauth.c
      + more stylistic cleanups to session.c
    - debian/patches/067_fix_X11_and_xdm_build_problems.diff: drop patches
      applied upstream

  * Add s390-specific debhelper install file for xlibs-static-pic, since s390
    doesn't compile the libxf86config object.
    - debian/xlibs-static-pic.install.s390: added

  * Add s390-specific debhelper install file for xlibs-data, since for some
    reason upstream decided s390 doesn't need the cursor themes.  s390 doesn't
    ship xf86cfg's bitmaps and pixmaps, either.
    - debian/xlibs-data.install.s390: added

  * Grab fixes to upstream CVS xf-4_3-branch since last pull.
    - debian/patches/000_post430.diff:
      + (xc/programs/Xserver/hw/xfree86/common/xf86Mode.c):
          1004. Fixed erronous freeing of DisplayModeRec in xf86DeleteMode()
                when deleting the modePool in xf86PruneDriverModes() the
                'prev' member has a different meaning for modePool modes than
                for ScrnInfoPtr->modes modes where it creates a doubly linked
                list (Bugzilla #678, Juergen Keil).
      + (xc/programs/mkfontscale/mkfontscale.c):
          1005. Close freetype fontfile filehandle in mkfontscale, this
                prevents problems from limitation of simultaniously open files
                (Bugzilla #676, Jun-ichiro itojun Hagino).
      + (xc/lib/X11/imDefIm.c):
          [undocumented] Call _XimShutdown(), not XimShutdown(), in
          _XimProtoOpenIM().
      + (xc/programs/Xserver/hw/xfree86/os-support/xf86_libc.h):
          1007. Fixing crash on ia64 because of wrong setjmp buffer alignment
                (Bugzilla #596, John Dennis).
      + (xc/config/cf/X11.tmpl):
          1008. Fixed definititon of UseInstalledOnCrossCompile so that it
                never is undefined (Harlod L. Hunt II).
    - debian/patches/000_stolen_from_HEAD_doc_extensions_fix.diff,
      debian/patches/057_X11.tmpl_warning_fix.diff,
      debian/patches/058_external_XrenderXftXcursor_X11.tmpl.diff: resynced
        offsets

  * Provide xlibs-pic pseudopackage to smooth upgrades from Debian 3.0
    systems.
    - debian/control:
      + add versioning of (<< 4.3.0) to xlibs-static-pic's conflicts and
        replaces relationships on xlibs-pic
      + xlibs-static-pic no longer provides xlibs-pic (dpkg does not support
        versioned provides)
      + resurrect xlibs-pic as an empty architecture-all pseudopackage in the
        oldlibs section which depends on xlibs-static-pic

  * Add s390-specific debhelper docs file for xfree86-common, since upstream
    doesn't ship the README.dps, RELNOTES, or Versions files when
    BuildXF86Server is switched off.  Grab these documents from the build-tree
    directory instead.
    - debian/xfree86-common.docs.s390: added

  * Fix regular DRI deadlocks on ia64; patch by John Dennis. [Daniel Stone]
    - debian/patches/453_ia64_fix_radeon_dri_deadlock.diff: added

  * Change xlibs package's shlibs file to specify alternatives for xlibs
    itself, using the names of the packages that xlibs will split into.  This
    should allow for more in the way of partial upgrades and a smoother
    transition for packages depending on the libraries in xlibs.
    - debian/xlibs.shlibs

  * Rename "stolen from HEAD" XTerm patch to not include the version number of
    XTerm in its name.
    - debian/patches/000_stolen_from_HEAD_xterm.diff: renamed from
      debian/patches/000_stolen_from_HEAD_xterm_177.diff

  * Enable building of scanpci utility for m68k architecture, and ship the
    executable and its manual page in the xutils package for m68k.
    - debian/patches/250_m68k_build_scanpci.diff: patch xfree86.cf to not
      exclude scanpci from building if Mc68020Architecture is defined
    - debian/MANIFEST.m68k: add scanpci and its manpage
    - debian/xutils.install.m68k: deleted; m68k can now use the generic
      xutils.install file

  * Give patch #453 a more accurate name, since the patch is not
    video-chipset-specific in any way (and has to do specifically with the
    DRM: Direct Rendering Manager).
    - debian/patches/453_ia64_fix_drm_deadlock.diff: renamed from
      debian/patches/453_ia64_fix_radeon_dri_deadlock.diff

  * Install the xmodmap.std file using dh_installexamples instead of placing
    it into /usr/X11R6/lib/X11/etc, a directory which contains no other files.
    Xmodmap is really old tech these days, too.
    - debian/xbase-clients.examples: add line
    - debian/xbase-clients.install: drop line

  * Apply patch to resolve problems with corruption when using XVideo on
    NVidia chipsets in fullscreen mode on a flat panel at high resolutions.
    (Closes: #215997)
    - debian/patches/098_nv_xvideo_fullscreen_fix.diff: new

  * Recognize the Radeon 9200 SE (RV280 5964) as any other RV280 chip; also,
    fix detection of RV280 5962 and 5963 chips by the ATI driver.
    (Closes: #216896)
    - debian/patches/099_ati_recognize_radeon_9200_se.diff: new

  * Fix build error when XF86DRI macro is undefined.  The "pI830" variable
    introduced in patch 056 is used unconditionaly, but only declared when
    XF86DRI macro is defined.  I could only reproduce this error in weird
    conditions on which the XF86DRI macro was undefined (probably due to wrong
    configuration in gnu.cf (GNU/Hurd)).  In any case, the bug is fixed now.
    [Robert Millan]
    - debian/patches/056_i810_make_i830_usable.diff

 -- Branden Robinson <branden@debian.org>  Wed, 22 Oct 2003 00:13:12 -0500

xfree86 (4.3.0-0pre1v3) experimental; urgency=high

  * Update pam_setcred() security fix to xdm to use pam_error and
    pam_strerror().
    - debian/patches/002_xdm_fixes.diff

  * Drop xlibmesa-drm-source package.
    - debian/MANIFEST.*: remove usr/src/xlibmesa-drm.tar.gz from list
    - debian/control: drop control stanza for package
    - debian/local/xlibmesa-drm-source: delete package infrastructure
      directory
    - debian/rules: stop constructing package
    - debian/xlibmesa-drm-src.install: deleted

  * SECURITY: Fix overflows in the test for integer overflows. Reported by
    Paul Anderson.
    - debian/patches/000_post430.diff

  * Apply more fixes for libraries' weak shared object dependencies.
    [ISHIKAWA Mutsumi]
    - debian/patches/063_fix_weak_deps.diff:
      + define SharedXvReqs in xc/config/cf/lnxLib.tmpl
      + add MathLibrary to SharedDPSTKReqs #define in xc/config/cf/lnxLib.tmpl
      + add MathLibrary to REQUIREDLIBS in xc/lib/GL/mesa/src/OSmesa/Imakefile
      + (cleanup) replace $(EXTENSIONLIB) $(XONLYLIB) with $(XLIB) in
        Shared*Reqs #defines in xc/config/cf/lnxLib.tmpl

 -- Branden Robinson <branden@debian.org>  Sat, 27 Sep 2003 03:43:37 -0500

xfree86 (4.3.0-0pre1v2) experimental; urgency=low

  * debian/patches/911_debian_XF86Config_to_XF86Config-4.diff: merge this
    (forgotten?) patch from the trunk and resync with 4.3.0 and current
    patches

  * Fix libxaa bug that could result in NULL pointers being passed to drivers,
    and thus complete machine death (thanks, Thomas Winischhofer).
    + debian/patches/000_stolen_from_HEAD.diff: new stanza, per Thomas

  * Address xlibmesa* package upgrade issues from woody and 4.2.1 packages in
    sarge/sid.
    + debian/scripts/vars.{alpha,i386,ia64,powerpc,sparc}:
        - add xlibmesa-dri to dependencies of x-window-system-core on
          architectures where xlibmesa-dri exists
        - add new variable, XLIBMESA_GL_SPECIAL_DEPENDS, which adds xlibmesa-dri
          to dependencies of xlibmesa on architectures where xlibmesa-dri exists
    + debian/rules:
        - pass expansion of XLIBMESA_GL_SPECIAL_DEPENDS to dpkg-gencontrol
        - report expansion of XLIBMESA_GL_SPECIAL_DEPENDS in "environment"
          target to aid debugging
    + debian/control:
        - change Architecture: of xlibmesa-dri from "any" to only those
          architectures which actually ship this package (alpha, i386, ia64,
          powerpc, sparc)
        - xlibmesa-dri conflicts/replaces xlibmesa3-gl and non-pseudo versions of
          xlibmesa3 (this was effectively a package split on 5 architectures)
        - tweak xlibmesa-dri's description to mention the Linux kernel
          specifically (poor unloved Hurd and *BSD folks get no respect, I tell
          you)
        - xlibmesa-gl conflicts/replaces xlibmesa3-gl and non-pseudo versions of
          xlibmesa3
        - xlibmesa-gl-dbg conflicts/replaces xlibmesa3-gl-dbg and non-psuedo
          versions of xlibmesa3-dbg
        - xlibmesa-gl-dev conflicts/replaces non-pseudo versions of xlibmesa-dev
        - update xlibmesa-gl-dev's description to refer to itself correctly
        - xlibmesa-glu conflicts/replaces xlibmesa3-glu and non-pseudo versions
          of xlibmesa3
        - xlibmesa-glu-dbg conflicts/replaces xlibmesa3-glu-dbg and non-psuedo
          versions of xlibmesa3-dbg
        - xlibmesa-glu-dev conflicts/replaces non-pseudo versions of xlibmesa-dev
        - update xlibmesa-glu-dev's description to refer to itself correctly
        - add xlibmesa3, xlibmesa3-dbg, and xlibmesa-dev pseudopackages (merged
          from trunk and updated) to smooth upgrades from woody
        - rename xlibmesa-drm-src to xlibmesa-drm-source, for consistency with
          other kernel module source packages, and make modules built with it
          depend on xlibmesa-dri (thanks, David B. Harris)
    + debian/local/xlibmesa-drm-source/debian/buildpkg
        - replace entirely bogus reference to /usr/src/modules/device3dfx

  * debian/xserver-xfree86.install.*: ship keyboard(4x) manpage (thanks,
    Michel Dänzer)

  * Grab all fixes to xf-4_3-branch since 4.3.0 was tagged.
    - debian/patches/000_post430.diff: fixes of interest include:
      + fix R300 PLL value (Enrik Berkhan)
      + Fix for possible buffer overflow in _XlcLocaleDirName().  privilegied
        binaries ignore the XLOCALEDIR environment variable and are not
        vulnerable.
      + Resync with the trunk's setjmp & libc5 changes.
      + Another setjmp fix
      + Fix typo that caused incorrect initialization of xkb memory (John
        Heasley).
      + int10 fix for all ix86 non-Linux systems (Marc La France).
      + Another int10 fix.  This time for adapters found at PCI:0:0:0.  This
        fix is particularly important for ZX1-based systems (Marc La France).
      + Fix bug in mode validation that occurs when the XF86Config doesn't
        specify any mode or virtual resolution information (Marc La France).
      + Now ShadowComposite correctly clips the refresh box. Fix server crash
        when using render outside of the visible screen with shadowfb.
      + fix XFree86ManVersionString in the case of a release.
      + Fix programming error in ix86 motherboard chipset determination
        (Marc La France).
      + Fix to prevent PCI and CardBus resets when switching out of the
        server's virtual console (Marc La France).
      + Fix infinite loop that occurs on systems whose PCI configuration space
        doesn't advertise a host bridge (Marc La France).  (Closes: #207460)
      + Workaround for broken devices that don't implement the header type
        field in their PCI configuration space (Marc La France).
      + Fix lockup on server reset in radeon driver (Michel Dänzer, Keith
        Whitwell).
      + Set Mesa hooks to flush vertices on state changes in Radeon 3D drivers
        (Keith Whitwell).
      + Check for NULL tObj in the i830 3D driver's TexEnv function.  This
        fixes a FlightGear crash (Keith Whitwell).
      + Fix double free bug when a Mac-specific font fails to load with
        Freetype.
      + Prevent a SIGFPE with the glint/pm3 driver when attempting to display
        an XVideo image less than 8 pixels wide (Måns Rullgård).
      + Fix a SEGV that can happen with Riva128 cards (Mark Vojkovich).
      + Fix SiliconMotion driver for mode switching and SEGV problem when
        initializing Xv functionality (Bugzilla #50, Alan Hourihane).
      + Fix a problem with savage driver when UseBIOS is off, such that the
        performance drops dramatically. Now the performance matches or
        exceeds that of the option UseBIOS (Alan Hourihane).
      + Typo fix in radeon driver cursor code, fixes the primary head
        switching off when the cursor moves to the secondary head on dualhead
        cards (Michel Dänzer)
      + i810/815 depth buffer needs to be a multiple of the tile size.  This
        fixes 3D corruption near the bottom of the screen at 800x600@16bpp
        (Bugzilla #283, Dave Airlie).
      + Fixed Imakefiles so the driver SDK builds again (Sven Luther).
      + Fix XDMCP queries when using getifaddrs() (Bugzilla #277, Joel Ray
        Holveck)
      + Fix repeated image problem when using a vesa video mode before
        starting the Xserver on the S3 Trio3D cards (Alan Hourihane).
      + Fix for a crash if a scalable font has a bitmap entry in fonts.dir
        (#5687, Bugzilla #332, Juliusz Chroboczek).
      + Fix for xfs crashes in Freetype backend (Bugzilla #242, Juliusz
        Chroboczek).
      + Pull twm fixes (signal handler, empty windows menu) from -current.
      + Fix calculation of CRTC2 frame offset with page flipping in radeon
        driver (Michel Daenzer)
      + Fix an XAA pixmap cache server crash that can happen in some cases
        when the off-screen memory is heavily fragmented (David Dawes, based
        on #5752, Koike Kazuhiko, Chisato Yamauchi).
      + Fixed a crash when _XIMProtoOpenIM(), hich is called through XOpenIM()
        API when protocol IM is being set up,  fails (Bugzilla #618, Hisashi
        MIYASHITA).
      + Don't call FBIOPAN_DISPLAY ioctl with arguments that will cause a
        confusing if harmless error (Michel Dänzer)
      + Fixes for potential integer overflows in font libraries. (blexim,
        Matthieu Herrb).
      + for integer overflow tests, use SIZE_MAX which is more standard than
        SIZE_T_MAX, and default to ULONG_MAX for the case of LP64 systems.
        Based on reports by Matthias Scheler and Alan Coopersmith (Bugzilla
        #646).
      + Many fixes to xdm:
        - use better pseudo-random generators to generate magic cookies,
          including EGD-like prng daemons support.
        - add support for LISTEN keyworkd in Xaccess
        - deal with small memory leaks
        - use SIOCGLIFCONF to query network interfaces where available
        - fix XDMCP bug that could cause localhost entries in /etc/X0.hosts
          to be lost
        - add xdm /dev/random handling for Solaris
        - fix XDMCP queries on systems using getifaddrs().
        (Alan Coopersmith, Marc La France, Oswald Buddenhagen, Matthieu Herrb,
        Nicolas JOLY, Jason L. Wright, Joel Ray Holveck).
      + SECURITY: not mentioned in the upstream commit message is a fix for
        CAN-2003-0690 (return value of pam_setcred() not checked, which could
        conceivably lead to privilege escalation in some configurations)
    - resynced:
      + debian/patches/000_stolen_from_HEAD.diff
      + debian/patches/000_stolen_from_HEAD_bsdsupport.diff
      + debian/patches/000_stolen_from_HEAD_doc_extensions_fix.diff
      + debian/patches/000_stolen_from_HEAD_int10.diff
      + debian/patches/000_stolen_from_HEAD_netbsd.diff
      + debian/patches/000_stolen_from_HEAD_nv_driver.diff
      + debian/patches/000_stolen_from_HEAD_sis_driver.diff
      + debian/patches/002_xdm_fixes.diff
      + debian/patches/003_linux.cf_and_xfree86.cf.diff
      + debian/patches/003a_damn_cpp_3.3_to_hell.diff
      + debian/patches/004_imake_manpage_handling_overhaul.diff
      + debian/patches/057_X11.tmpl_warning_fix.diff
      + debian/patches/058_external_XrenderXftXcursor_X11.tmpl.diff
      + debian/patches/061_savage_driver_1.1.27t.diff
      + debian/patches/068_fix_InstallAppDefFiles_screwage.diff
      + debian/patches/900_debian_config.diff
      + debian/patches/905_debian_xdm.diff
    - deleted:
      + debian/patches/000_xf-4.3-branch.diff
      + debian/patches/046_radeon_dualhead_cursor_crash.diff
      + debian/patches/047_radeon_r200_flush_vertices.diff
      + debian/patches/050_radeon_reset_no_lockup.diff
      + debian/patches/066_xdm_do_not_read_from_dev_mem.diff

  * debian/shlibs.local is a generated file, so we might as well generate it
    during the build process.
    - debian/shlibs.local: deleted from source package
    - debian/rules:
      + (clean): remove debian/shlibs.local
      + (debian/shlibs.local): new target
      + ($(STAMPDIR)/binary-arch): depends on debian/shlibs.local
      + ($(STAMPDIR)/binary-server): depends on debian/shlibs.local

  * debian/patches/063_fix_weak_deps.diff: fix weak shared object dependencies
    in libDPS and libDPSTK (Closes: #210651)

  * debian/patches/067_fix_X11_and_xdm_build_problems.diff: fix build
    failures; xc/lib/X11/Wrap.c and Wraphelp.c were being linked over from
    lib/Xdmcap but lib/Xdmcp/Wrap.h was not; same problem with xdm, plus
    identical problem with greeter's header files; also fix some problems with
    undeclared variables and pointer-to-integer comparison in genauth.c

  * debian/patches/068_fix_InstallAppDefFiles_screwage.diff: always define the
    Imake symbol "InstallAppDefFiles" to "YES" on Debian systems; shuts up an
    extremely annoying build-time warning

  * debian/patches/069_fix_ugly_r128_driver_warning.diff: fix an ugly
    diagnostic message which was also a multiline string literal

  * debian/po/ja.po: update Japanese translations (thanks, Kenshi Muto and
    Takeo Nakano)

  * debian/control: the XKB implementation in XFree86 4.3.0 has changed in a
    non-backward-compatible manner; update package relationships accordingly
    - xbase-clients conflicts with xlibs (<< 4.3.0) and xlibs-data (<< 4.3.0)
    - xlibs conflicts with xbase-clients (<< 4.3.0) and xlibs-data (<< 4.3.0)
    - xlibs-data conflicts with xbase-clients (<< 4.3.0)

  * Update xc/programs/Xserver/hw/xfree86/os-support/linux/lnx_video.c to
    latest version from upstream CVS HEAD to resolve severe performance
    problems caused by opening /dev/mem with the O_SYNC flag, per Egbert Eich.
    - debian/patches/000_stolen_from_HEAD_int10.diff: updated
    - debian/patches/021_riscpc_ioport_fix.diff: resynced (also improve error
      reporting when ioperm()/iopl() fail for reasons other then ENODEV)

  * The control file generated for xlibmesa-drm-module-* packages should
    include a "Source:" field.  (Closes: #212186)
    - debian/local/xlibmesa-drm-source/debian/control.m4

 -- Branden Robinson <branden@debian.org>  Mon, 22 Sep 2003 17:25:58 -0500

xfree86 (4.3.0-0pre1v1) experimental; urgency=low

  * new upstream release
    - XFree86 X server now supports ATI Radeon Mobility (Closes: #196810)
    - XFree86 X server now supports Intel i845G (Closes: #184322)
    - XFree86 X server now supports Intel i865G (Closes: #221686)
    - XFree86 X server now supports SiS 650, 651, and 740 (Closes: #183619)
    - XTerm allows window title reporting, disabled by default, to be enabled
      at the user's option via the allowWindowOps X resource (Closes: #200857)
    - Wacom driver has improved support for Graphire 2 tablets
      (Closes: #165849)
    - Wacom driver now supports absolute motion on Graphire tablets
      (Closes: #188842)
    - extraneous tokens at end of MakeSimpleDoc #ifdef in X11.tmpl removed
      (Closes: #196058)
    - XVideo supported at high resolutions on ATI Rage 128 Mobility LF
      (Closes: #176014)
    - Xinerama header file now usable by C++ code (Closes: #224757)
    - XFree86 X server has improved Xv support for ATI Radeon chipsets
      (Closes: #228408)
    - S3 driver now properly restores video mode on VT switch back to X on
      Trio 32/64 rev 67 (Closes: #164780)
    - ATI/Radeon driver now properly unblanks LCD on Radeon Mobility M7 LW rev
      0 (Closes: #169308)
    - Trident driver now works properly with TGUI 96xx rev 211
      (Closes: #170396)
    - xwd manpage no longer cross-references nonexistent xpr manpage
      (Closes: #104241)
    - SiS driver fixes distortion and cursor problems on 6326 rev 11
      (Closes: #195758)

  * Grab a number of documentation fixes from upstream CVS, including:
    + Lower-case file extensions, e.g. .ps instead of .PS.
    + New HTML and PostScript documentation (and PDF, seemingly).
    + A few manpage cleanups.  (Closes: #80404)
    [Daniel Stone]

  * Include patch for ATI RV280 chipset support.  (Closes: #211528)
    [Daniel Stone]
    - debian/patches/030b_radeon_rv280_support.diff

  * Update XTerm to upstream Patch #177.
    - debian/patches/000_stolen_from_HEAD_xterm_177.diff:
      + uxterm now recognizes locale modifiers (Closes: #179929)

  * Some things changed.  This release would not have been possible without
    the assistance of Daniel Stone (sponsored by Trinity College, Melbourne
    Uni) and ISHIKAWA Mutsumi.  A proper changelog entry for this release may
    not be possible even if God Himself grabbed my keyboard away from me.

  * converted package build process to use packaged version of DBS, courtesy
    of Warren Turkal
    - debian/control: build-depend on dbs
    - debian/rules: use DBS
    - debian/scripts/vars: DBS knows where the stampdir is
    - debian/setperms: no longer need to enforce permissions on local version of
        DBS
    - debian/{doogie-build-system,scripts/{fix.source.patch,patch.apply,
      patch.unapply,source.patch,source.unpack,unfix.source.patch}: deleted in
        favor of DBS

  * remove special-case logic in linux.cf that defined "HasLinuxInput" to
    "NO" for Mc68020Architecture:
    - m68k is now supported by the Linux 2.4.20 kernel (at least in
      Debian), so we let this symbol be defined to "YES" just like all the
      other architectures.  This only really affects the Wacom input driver
      and should not cause any regressions.  (thanks to James Troup for
      pointing out this no-longer-needed conditional)
    - patch #003 update

  * always disable FontLibSharedFreeType, ensuring similarity between normal
    XFree86 server and XFree86 debugging server:
    - patch #003 updated
    - this change should be dropped when the module-loading server can be
      linked against an external FreeType2 library          [ISHIKAWA Mutsumi]

  * Imake warning fix patch:
    - patch #057_X11.tmpl_warning_fix.diff: new             [ISHIKAWA Mutsumi]

  * Use external Xft, Xrender and Xcursor libraries:
    - patch #058, #059, #060: new
    - patch #909: remove (reimplemented as above patches)
    - xlibs{,-dbg,-dev}.*, shlibs*: drop Xrender and Xcursor related entry
    - debian/control: add Build-Depends: libxrender-dev, libxcursor-dev
                                                            [ISHIKAWA Mutsumi]

  * fix Xv regression in trident driver
    - #patch 000_stolen_from_HEAD: updated

  * new SiS driver, from XFree86 HEAD:
    - patch #000_stolen_from_HEAD_sis_driver: new
      + XVideo supported on SiS 630 (Closes: #186237)

  * new Savage driver (version 1.1.27t): patch #063.
    - driver supports ProSavage KM133 rev 3 (Closes: #110974)
    - xscreensaver's "blaster" and "critical" hacks no longer wedge system
      (Closes: #112703)
    - running xlock for a long time no longer hangs Savage/IX-MV rev 19
      (Closes: #115223)
    - switching to textmode VTs should work again on Savage/IX-MV rev 19
      (Closes: #117454)
    - system no longer freezes on server start when loading GLcore module on
      ProSavage PM133 rev 2 (Closes: #128125)
    - switching to textmode VTs should work again on Savage/MX-MV rev 17
      (Closes: #129216)
    - resolves SEGVs on Savage/MX-MV rev 17 (Closes: #145420)
    - resolves SEGVs when attempting to use Xinerama extension on Savage/MX-MV
      rev 17 (Closes: #148008)
    - resolves server crashes after suspending and resuming on Savage/IX-MV
      rev 19 (Closes: #152796)
    - includes code from 1.1.25t (Closes: #167910)
    - should fix flickering problems on Savage/IX-MV (Closes: #183300)
    - resolves system freezes while moving eterm windows in enlightenment
      (Closes: #185443)
    - should fix system hangs when gdm starts on ProSavage PM133
      (Closes: #191915)
    - resolves system freezes when drawing accelerated solid Bresenham lines
      on VIA/S3 ProSavage DDR-K (Closes: #194144)
    - resolves drawing problems with Savage/MX-MV rev 17 (Closes: #194351)
    - XVideo windows are no longer a non-working uniform blue
      (Closes: #197058)

  * eliminate TEXTREL section from libGL, making it PIC-compliant:
    - patch #062: new (Closes: #190323)

  * patch #063: new; fix weak library shared object dependencies
    - fix libGLU (Closes: #187365)
    - fix libXmuu, libXp, libXrandr (Closes: #187374)

  * xlibs-pic package renamed to xlibs-static-pic
    - reintegrate piclib_support.diff (previously patch #046, now patch #909)
    - all static-only libraries are now available in -fPIC varieties,
      including libXss (Closes: #185936)

  * fix DPMS-on-DVI for Radeon driver (Closes: #180938)
    - patch #048 updated with new patch from XFree86 Bugzilla, via Martin
      Loschwitz

  * Xft.man name conflict problem fix [ISHIKAWA Mutsumi]
    - patch #065: new
    - man page name under xc/lib/{Xft,Xft1}/Xft.man name space confliction fix,
      simply rename xc/lib/Xft1/Xft.man to xc/lib/Xft1/Xft1.man

  * patch #909: rework support for static libraries with PIC info; by default,
    only libraries without a shared version build static-PIC versions, and
    then only on systems where PIC info is not included in static ("normal")
    libraries by default (such as Debian)

  * xftcache related things cleanup [ISHIKAWA Mutsumi]
    - xftcache description dropped from debian/control.
    - use fc-cache instaed of xftcache in xfonts-scale.{postinst,postrm}

  * X-TT font engine update to X-TT 1.4.1 [ISHIKAWA Mutsumi]

  * debian/control:
    - Change all references to libstdc++5-dev to be
      libstdc++5-dev | libstdc++-dev, allowing libstdc++5-3.3-dev to satisfy
      the dependency, and thus allowing gcc3.2 to be removed.
      (Closes: #194136)

  * debian/xlibosmesa4-dbg.install: install the unstripped library in
    /usr/X11R6/lib/debug, not /usr/X11R6/lib

  * The xspecs package now contains HTML-formatted version of most X Window
    System technical documents.
    - debian/xspecs.docs

 -- Branden Robinson <branden@debian.org>  Thu, 26 Jun 2003 10:14:27 -0500

xfree86 (4.2.1-16) unstable; urgency=low

  * Neutralize the workaround for the Linux kernel kbd_rate structure change
    after it is no longer needed, so that we don't inadvertently re-#define a
    symbol used by the Linux kernel's kbd_repeat structure.  Yeesh.  Fixes
    FTBFS on SPARC (thanks, Daniel Jacobowitz and Nathanael Nerode!)
    (Closes: #220814)
    - debian/patches/098_fix_lnx_io_kbd_rate_fix.diff

  * Make xlibs's shlibs file report names of post-xlibs-split packages (and
    post-separate Xrender packaging) from experimental as alternatives to a
    versioned dependency on xlibs (requested by Daniel Stone).
    - debian/xlibs.shlibs
    - debian/shlibs.local: resync with xlibs.shlibs

 -- Branden Robinson <branden@debian.org>  Wed, 28 Jan 2004 11:51:38 -0500

xfree86 (4.2.1-15) unstable; urgency=medium

  * Urgency due to fix for FTBFS triggered by libfreetype6-dev package.

  * Fix corrupted error message text in check_symlinks_and_warn().
    (Closes: #220713)
    - debian/shell-lib.sh

  * Fix bogus invocation of "head" in xdm's configuration script.
    (Closes: #223038)
    - debian/xdm.config.in

  * Change maintainer scripts to never use safe_debconf() with db_get or
    db_metaget.  Instead, check the exit status of these commands normally
    with an if statement and only take the appropriate actions if the command
    succeeds.  For extra paranoia (in the event code is changed to live inside
    a loop in the future), clear variables we'll be filling with db_get or
    db_metaget output before using them.  (Closes: #217605)
    - debian/xdm.config.in
    - debian/xdm.postinst.in
    - debian/xdm.prerm.in
    - debian/xserver-common.config.in
    - debian/xserver-common.postinst.in

  * Don't make I/O permission and interrupt-related system calls meant for the
    x86 architecture on ARM machines (thanks, Peter Naulls).
    (Closes: #223567)
    - debian/patches/315_arm_fix_up_lnx_video_io_access.diff

  * Add aliases for more locale names supported by glibc 2.3.2 (thanks, Robert
    McQueen).  (Closes: #121900)
    - debian/patches/011a_recognize_glibc_2.3.2_locale_names.diff (renamed
      from debian/patches/011a_recognize_euro_modifier_locales.diff)

  * Ship the font encoding map for Microsoft Windows 3.1.  (Closes: #221773)
    - debian/patches/064_ship_microsoft_win3.1_encodings_file.diff
    - debian/MANIFEST.*: updated
    - debian/xfonts-base.install: ship new file in xfonts-base package

  * Do not include <freetype/freetype.h> directly; use the macro FT_FREETYPE_H
    to include it instead, as required by FreeType 2.1.7 (thanks, Tore
    Anderson).  Fixes FTBFS caused by new version of FreeType.
    - debian/patches/099b_Xft_FreeType_2.1.7_build_fix.diff

 -- Branden Robinson <branden@debian.org>  Wed, 17 Dec 2003 13:55:13 -0500

xfree86 (4.2.1-14) unstable; urgency=medium

  * Urgency due to fix for FTBFS triggered by linux-kernel-headers package.

  * Make libxaw6-dev and libxaw7-dev conflict with and replace libxaw-dev (<<
    4.0.3); the latter existed as a real package in pre-woody unstable, and
    this permits smooth upgrades from such systems.
    - debian/control

  * Update Catalan translations (thanks, Ivan Vilata i Balaguer).
    (Closes: #218788)
    - debian/po/ca.po

  * Make x-window-system-dev installable on architectures that do not ship the
    offscreen Mesa libraries.  Use the same technique as is used for populating
    x-window-system-core's dependencies on a per-architecture basis: define an
    architecture-specific Make variable, then use its value for a dpkg
    substvar.
    - debian/control
    - debian/rules
    - debian/scripts/vars.alpha
    - debian/scripts/vars.i386
    - debian/scripts/vars.ia64
    - debian/scripts/vars.powerpc
    - debian/scripts/vars.sparc

  * Fix building against 2.6.x kernel headers by adding '#define rate period'
    where needed; fixes FTBFS when linux-kernel-headers package installed.
    (Closes: #219714)
    - debian/patches/000_stolen_from_HEAD.diff

  * Recognize the ko_KR.EUC-KR locale (thanks, Denis Barbier).
    (Closes: #200256)
    - debian/patches/011b_recognize_ko_KR.EUC-KR_locale.diff

 -- Branden Robinson <branden@debian.org>  Wed, 12 Nov 2003 12:29:52 -0500

xfree86 (4.2.1-13) unstable; urgency=low

  * Acknowledge bug fixed in NMU.  Thanks, LaMont! (Closes: #213774)

  * Create new metapackage, x-window-system-dev, whose job it is to haul in
    all the -dbg and -dev packages (except for libxaw6, which is legacy stuff)
    as well as xspecs and xlibs-pic.  That's 14 packages already, and it will
    get much worse with the xlibs split in 4.3.0, so in my opinion a
    metapackage is warranted.  Drop xspecs from x-window-system metapackage,
    and clarify x-window-system's extended description.
    - debian/control

  * Add new entry to the Debian X FAQ: "I've customized my /etc/X11/X,
    /etc/X11/Xwrapper.config, and/or /etc/X11/XF86Config-4 files so the
    packages don't automatically update them anymore.  I'd like them
    automatically managed again, though; how can I achieve that?".
    - debian/local/FAQ

  * Update Russian translations (thanks, Ilgiz Kalmetev). (Closes: #214352)
    - debian/po/ru.po

  * Give uxterm another 10 points of update-alternatives priority.  In my own
    testing, at least, it seems to consistently do the right thing when
    presented with various locale settings in the environment.
    (Closes: #136470)
    - debian/xterm.postinst.in

  * Fix missing-word typo in Xsession.options(5) (thanks, Christian Garbs)
    (Closes: #214634)
    - debian/local/Xsession.options.5

  * Shell style cleanup: use integer (not string) comparisons on $?.
    - debian/xserver-common.config.in

  * Quote readlink subshell command in xbase-clients pre-installation script
    so that the test command doesn't fail in the case where readlink returns
    nothing.  (Closes: #214804)
    - debian/xbase-clients.preinst.in

  * Remove redundant test for the existence of the XFree86 X server
    configuration file from the xserver-xfree86 pre-installation script.
    - debian/xserver-xfree86.preinst.in

  * Fix font_update() to *really* ignore requests to run xftcache on the
    Speedo directory.  The previous attempt at a fix (in -12) was
